## $Id: ifhp.conf.in,v 1.69 2004/10/05 15:50:12 papowell Exp papowell $
## VERSION=3.5.20

###   Supported Printers

###   SUPPORTED START
### default - Generic Printer based on HP 4M Plus, PostScript, PJL, HPGL2, PCL, status, pagecount support
### apple - Generic PostScript printer, text to PS conversion, status, pagecount support
### postscript - Generic PostScript printer, text to PS conversion, status, pagecount support
### ps - Generic PostScript printer, text to PS conversion, status, pagecount support
### pcl - Generic PCL only printer, no status
### pcl_gs - HP LaserJet 4 PCL only printer, write only, no status
### hpiiisi - HP LaserJet III (PCL and PostScript Interpreter)
### hp3si - HP LaserJet III (PCL and PostScript Interpreter)
### ljet3 - HP LaserJet III (PCL and PostScript Interpreter)
### lj3 - HP LaserJet III (PCL and PostScript Interpreter)
### hpiiisi.gs - HP LaserJet III (PCL, PostScript via GhostScript)
### hp3si.gs - HP LaserJet III (PCL, PostScript via GhostScript)
### ljet3.gs - HP LaserJet III (PCL, PostScript via GhostScript)
### lj3.gs - HP LaserJet III (PCL, PostScript via GhostScript)
### hp4 - HP LaserJet 4 Family, HP LaserJet 4 (PostScript Interpreter)
### hp4m - HP LaserJet 4 Family, HP LaserJet 4m (PostScript Interpreter)
### hp4si - HP LaserJet 4 Family, HP LaserJet 4si (PostScript Interpreter)
### hp4simx - HP LaserJet 4 Family, HP LaserJet 4simx (PostScript Interpreter)
### hp4plus - HP LaserJet 4 Family, HP LaserJet 4plus (PostScript Interpreter)
### hp4mplus - HP LaserJet 4 Family, HP LaserJet 4mplus (PostScript Interpreter)
### hp4v - HP LaserJet 4 Family, HP LaserJet 4v (PostScript Interpreter)
### hp4mv - HP LaserJet 4 Family, HP LaserJet 4mv (PostScript Interpreter)
### hp4p - HP LaserJet 4 Family, HP LaserJet 4p (PostScript Interpreter)
### hp4mp - HP LaserJet 4 Family, HP LaserJet 4mp (PostScript Interpreter)
### hp4pj - HP LaserJet 4 Family, HP LaserJet 4pj (PostScript Interpreter)
### hpljpro - HP LaserJet 4 Family, HP LaserJet ljpro (PostScript Interpreter)
### hp4lc - HP LaserJet 4 Family, HP LaserJet 4lc (PostScript Interpreter)
### hp4mplus - HP LaserJet 4MPlus
### hp5l - HP LaserJet 5 Family, Hp LaserJet 5l
### hp6l - HP LaserJet 6 Family, Hp LaserJet 6l
### hp1100 - HP LaserJet 6 Family, Hp LaserJet 1100
### hp1100 - HP LaserJet 1000 Family, Hp LaserJet 1100
### hp4l - Hp LaserJet 4L, PCL only
### hp4ml - HP LaserJet 4ml
### hp5p - HP LaserJet 5p
### hp5mp - HP LaserJet 5mp
### hp6p - HP LaserJet 6p
### hp6mp - HP LaserJet 6mp
### hp5 - HP LaserJet 5
### hp5si - HP LaserJet 5si
### hp5simx - HP LaserJet 5simx
### hp5m - HP LaserJet 5m
### hp4100 - HP LaserJet 4100
### hp4200 - HP LaserJet 4200
### hp4300 - HP LaserJet 4300
### hp5simopier - HP LaserJet 5simopier
### hp4000 - HP LaserJet 4000
### hpcolorlj - HP Color LaserJet 
### hpcolorlj5 - HP Color LaserJet 5
### hpcolorlj5m - HP Color LaserJet 5m
### hpdj1200 - HP DesignJet 1200 Family
### hppjxl300 - HP PaintJet XL 300 Family
### hpdj1600 - HP DesignJet 1600 Family
### hpdj200 - HP DeskJet 200
### hpdj220 - HP DeskJet 220
### hpdj600 - HP DeskJet 600
### hpdj650 - HP DeskJet 650
### hpdj230 - HP DeskJet 230
### hpdj250c - HP DeskJet 250c
### hpdj330 - HP DeskJet 330
### hpdj350c - HP DeskJet 350c
### hpdj430 - HP DeskJet 430
### hpdj450c - HP DeskJet 450c
### hpdj455ca - HP DeskJet 455ca
### hpdj700 - HP DeskJet 700
### hpdj750c - HP DeskJet 750c
### hpdj750cplus - HP DeskJet 750cplus
### hpdj755cm - HP DeskJet 755cm
### hpdj2000cp - HP DeskJet 2000cp
### hp2500 - HP DesignJet 2500 - No PCL, PostScript Only
### hp2500cm - HP DesignJet 2500cm - No PCL, PostScript Only
### hp2500c - HP DesignJet 2500c - No PCL, PostScript Only
### hp2500cm - HP DesignJet 2500cm - PCL and PostScript
### hpdj2500cp - HP DesignJet 2500CP, not HP2500, HP2500c, HP2500cm
### hp4500 - HP Color LaserJet Printer 4500
### hp8500 - HP Color LaserJet Printer 8500
### hp8550 - HP Color LaserJet Printer 8550
### hp4550n - HP 4550N
### hp5000 - HP 5000 Model C4111A (LaserJet 5000)
### hp8000 - HP LaserJet 8000 Series, HP8000
### hp8100 - HP LaserJet 8000 Series, HP8100
### hp8150 - HP LaserJet 8000 Series, HP8150
### hp2100 - HP LaserJet 2100 Series
### hp2200 - HP LaserJet 2200 Series
### hp4050 - HP 4050 Series Printers
### qms1725 - QMS 1725, uses appsocket, no status, PostScript only
### qms2025 - QMS Laser Printer QMS 2025, appsocket, no status, PostScript and PCL
### qms860 - QMS Laser Printer QMS 860, appsocket, no status, PostScript and PCL
### qms2060 - QMS Laser Printer QMS 2060, appsocket, no status, PostScript and PCL
### phaser - Tektronics Generic Phaser Color Printer, appsocket, snmp monitoring, PostScript only
### phaser360 - Tektronics Phaser 360 Color Printer, appsocket, snmp monitoring, PostScript only
### phaser740 - Tektronics Phaser 740 Color Printer, appsocket, snmp monitoring, PostScript only
### phaser750 - Tektronics Phaser 750 Color Printer, appsocket, snmp monitoring, PostScript only
### phaser850 - Tektronics Phaser 850 Color Printer, appsocket, snmp monitoring, PostScript only
### phaser740 - Tektronics Phaser 740 Color Printer, appsocket, snmp monitoring, PostScript and PCL
### phaser5400 - Tektronics Phaser 5400 Color Printer, appsocket, snmp monitoring, PostScript and PCL
### phaser7700 - Tektronics Phaser 7700 Color Printer, appsocket, snmp monitoring, PostScript and PCL
### lexmark4039 - Lexmark 4039, Postscript only
### lexmark_optra_e312 - Lexmark Optra e312, Postscript, PCL and PJL
### ln15s - Digital Laser LN15, LN17ps, Compaq Laser LN 16
### ln16s - Digital Laser LN15, LN17ps, Compaq Laser LN 16
### ln17pss - Digital Laser LN15, LN17ps, Compaq Laser LN 16
### hpij2250s - HP Business Inkjet 2250
### gs_bj10 - Canon BubbleJet BJ10e 
### gs_bj10 - Canon BubbleJet BJ20 
### gs_bj200 - Canon BubbleJet BJ200 
### gs_bj200 - Canon BubbleJet BJC-210 B/W only 
### gs_bj200 - Canon BubbleJet BJC-240 B/W only 
### gs_bj200 - Canon BubbleJet BJC-250 B/W only 
### gs_bj200 - Canon BubbleJet BJC-70 B/W only 
### gs_bjc600 - Canon BubbleJet BJC-600 
### gs_bjc600 - Canon BubbleJet BJC-610
### gs_bjc600 - Canon BubbleJet BJC-50
### gs_bjc600 - Canon BubbleJet BJC-70 
### gs_bjc600 - Canon BubbleJet BJC-80 
### gs_bjc600 - Canon BubbleJet BJC-210 Color only
### gs_bjc600 - Canon BubbleJet BJC-240 Color only
### gs_bjc600 - Canon BubbleJet BJC-250 
### gs_bjc600 - Canon BubbleJet BJC-1000
### gs_bjc600 - Canon BubbleJet BJC-2000
### gs_bjc600 - Canon BubbleJet BJC-4000 
### gs_bjc600 - Canon BubbleJet BJC-4100 B/W only
### gs_bjc600 - Canon BubbleJet BJC-4200
### gs_bjc600 - Canon BubbleJet BJC-4300
### gs_bjc600 - Canon BubbleJet BJC-4550 
### gs_bjc600 - Canon BubbleJet BJC-6000
### gs_bjc600 - Canon MultiPASS C2500 color printer/fax/copier 
### gs_bjc800 - Canon BubbleJet BJC-800 
### gs_bjc800 - Canon BubbleJet BJC-7000 Color. 
### gs_bjc800 - Canon BubbleJet BJC-4300 Color
### gs_bjc800 - Canon BubbleJet BJC-4650 
### gs_deskjet - HP DeskJet 
### gs_deskjet - HP DeskJet Plus 
### gs_djet500 - HP DeskJet 500 B/W
### gs_djet500 - HP DeskJet Portable B/W
### gs_djet500 - HP OfficeJet 590 B/W
### gs_cdj500 - HP DeskJet 400
### gs_cdj500 - HP DeskJet 500C 
### gs_cdj500 - HP DeskJet 540C 
### gs_cdj500 - HP DeskJet 690C
### gs_cdj500 - HP DeskJet 693C
### gs_cdj550 - HP DeskJet 550C 
### gs_cdj550 - HP DeskJet 560C 
### gs_cdj550 - HP DeskJet 600
### gs_cdj550 - HP DeskJet 660C 
### gs_cdj550 - HP DeskJet 660C 
### gs_cdj550 - HP DeskJet 682C
### gs_cdj550 - HP DeskJet 683C
### gs_cdj550 - HP DeskJet 693C 
### gs_cdj550 - HP DeskJet 694C 
### gs_cdj550 - HP DeskJet 690C 
### gs_cdj550 - HP DeskJet 692C 
### gs_cdj550 - HP DeskJet 693C 
### gs_cdj550 - HP DeskJet 694C 
### gs_cdj550 - HP DeskJet 695C 
### gs_cdj550 - HP DeskJet 850 
### gs_cdj550 - HP DeskJet 870Cse 
### gs_cdj550 - HP DeskJet 895Cxi
### gs_cdj550 - HP DeskJet 970 
### gs_cdj550 - HP OfficeJet 590 
### gs_cdj550 - Olivetti jp450 
### gs_cdj550 - Xerox XJ6C, PCL and Postscript using GhostScript
### gs_cdj850 - HP DeskJet 850 
### gs_cdj850 - HP DeskJet 855 
### gs_cdj850 - HP DeskJet 870Cse 
### gs_cdj850 - HP DeskJet 870Cxi 
### gs_cdj850 - HP DeskJet 890C 
### gs_cdj850 - HP DeskJet 670C 
### gs_cdj850 - HP DeskJet 680 
### gs_cdeskjet - HP DeskJet 500C
### gs_cdjmono - HP DeskJet 500C 
### gs_cdjmono - HP DeskJet 510 
### gs_cdjmono - HP DeskJet 520 
### gs_cdjmono - HP DeskJet 540C 
### gs_cdjmono - HP DeskJet 693C 
### gs_epsonc - Fujitsu DL-1100 
### gs_epsonc - Fujitsu DL-2400 
### gs_hl7x0 - Brother HL-720 
### gs_hl7x0 - Brother HL-730 
### gs_laserjet - Bull Compuprint Pagemaster 415 
### gs_lips3 - Canon LBP4+
### gs_lj4dith - HP DeskJet 600 
### gs_ljet2 - HP LaserJet II 
### gs_ljet2 - Xerox 4030 - PCL,  PostScript support using GhostScript
### gs_ljet3 - Tandy LP800 With LaserJet III emulation. 
### gs_ljet4 - Brother HL-660 
### gs_ljet4 - Brother HL-760 600dpi 
### gs_ljet4 - Epson EPL5700 300dpi OK
### gs_ljet4 - HP DeskJet 600 margins wrong 
### gs_ljet4 - HP DeskJet 870Cse 
### gs_ljet4 - HP LaserJet 5 300dpi or 600dpi 
### gs_ljet4 - HP LaserJet 5L 300dpi or 600dpi
### gs_ljet4 - HP LaserJet 6L 600dpi
### gs_ljet4 - HP LaserJet 1100 600dpi OK. 
### gs_ljet4 - IBM Network Printer 17 
### gs_ljet4 - IBM/Lexmark 4029 Margins wrong. 
### gs_ljet4 - Lexmark Optra E+ 
### gs_ljet4 - Lexmark Optra SC 1275 B/W only. 
### gs_ljet4 - Oki OL410ex LED printer 300dpi or 600dpi 
### gs_ljetplus - HP LaserJet Plus 
### gs_ljetplus - Canon Laser LBP-600 
### gs_ljetplus - NEC SuperScript 860 
### gs_pjxl300 - HP PaintJet XL300 
### gs_pjxl300 - HP DeskJet 600
### gs_pjxl300 - HP DeskJet 1200C 
### gs_pjxl300 - HP DeskJet 1600C
### gs_r4081 - Ricoh 4081 laser printer 
### gs_r4081 - Ricoh 6000 laser printer 
### bjc610a0.upp - Canon BubbleJet BJC-610 (color, rendered) 360x360dpi plain paper, high speed
### bjc610a1.upp - Canon BubbleJet BJC-610 (color, rendered) 360x360dpi plain paper
### bjc610a2.upp - Canon BubbleJet BJC-610 (color, rendered) 360x360dpi coated paper
### bjc610a3.upp - Canon BubbleJet BJC-610 (color, rendered) 360x360dpi transparency film
### bjc610a4.upp - Canon BubbleJet BJC-610 (color, rendered) 360x360dpi back print film
### bjc610a5.upp - Canon BubbleJet BJC-610 (color, rendered) 360x360dpi fabric sheet
### bjc610a6.upp - Canon BubbleJet BJC-610 (color, rendered) 360x360dpi glossy paper
### bjc610a7.upp - Canon BubbleJet BJC-610 (color, rendered) 360x360dpi high gloss film
### bjc610a8.upp - Canon BubbleJet BJC-610 (color, rendered) 360x360dpi high resolution paper
### bjc610b1.upp - Canon BubbleJet BJC-610 (color, rendered) 720x720dpi plain paper
### bjc610b2.upp - Canon BubbleJet BJC-610 (color, rendered) 720x720dpi coated paper
### bjc610b3.upp - Canon BubbleJet BJC-610 (color, rendered) 720x720dpi transparency film
### bjc610b4.upp - Canon BubbleJet BJC-610 (color, rendered) 720x720dpi back print film
### bjc610b6.upp - Canon BubbleJet BJC-610 (color, rendered) 720x720dpi glossy paper
### bjc610b7.upp - Canon BubbleJet BJC-610 (color, rendered) 720x720dpi high-gloss paper
### bjc610b8.upp - Canon BubbleJet BJC-610 (color, rendered) 720x720dpi high resolution paper
### cdj550.upp - HP DeskJet 550C 300x300dpi 32-bit CMYK
### necp2x.upp - NEC P2X 360x360dpi 8-bit (Floyd-Steinberg)
### stcany.upp - Epson Stylus Color (Any) 360x360dpi 4-bit, PostScript halftoning
### stc.upp - Epson Stylus (Original) and Stylus Pro Color 360x360dpi 32-bit CMYK, 15-pin 
### stc_l.upp - Epson Stylus (Original) and Stylus Pro Color 360x360dpi 4-bit, PostScript halftoning, weaved noWeave
### stc_h.upp - Epson Stylus (Original) and Stylus Pro Color 720x720dpi 32-bit CMYK, 15-pin Weave
### stc2.upp - Epson Stylus (Original) and Stylus Pro Color 360x360dpi 32-bit CMYK, 20-pin, Epson Stylus Color II(s)
### stc2_h.upp - Epson Stylus (Original) and Stylus Pro Color 720x720dpi 32-bit CMYK, 20-pin, Epson Stylus Color II 
### stc2s_h.upp - Epson Stylus (Original) and Stylus Pro Color 720x720dpi 32-bit CMYK, 20-pin, Epson Stylus Color IIs
### stc500p.upp - Epson Stylus Color 500 360x360dpi 32-bit CMYK, noWeave, plain paper
### stc500ph.upp - Epson Stylus Color 500 720x720dpi 32-bit CMYK, noWeave, plain paper
### stc600pl.upp - Epson Stylus Color 600, 360x360dpi, 32/90-inch weaving 32-bit CMYK, 32-pin, plain paper
### stc600p.upp - Epson Stylus Color 600, 720x720dpi, 32/90-inch weaving 32-bit CMYK, 32-pin, plain paper
### stc600ih.upp - Epson Stylus Color 600, 1440x720dpi, 32/90-inch weaving 32-bit CMYK, 30-pin, inkjet paper
### stc800pl.upp - Epson Stylus Color 800, 64/180-inch weaving 360x360dpi 32-bit CMYK, 64-pin, plain paper
### stc800p.upp - Epson Stylus Color 800, 64/180-inch weaving 720x720dpi 32-bit CMYK, 64-pin, plain paper 
### stc800ih.upp - Epson Stylus Color 800, 64/180-inch weaving 1440x720dpi 32-bit CMYK, 62-pin, inkjet paper
### stc1520h.upp - Epson Stylus Color 800, 64/180-inch weaving 1440x720dpi 32-bit CMYK, 62-pin, inkjet paper
### imagerunner550 - Canon imageRUNNER 550/600 iR600-550-60 
### imagerunner600 - Canon imageRUNNER 550/600 iR600-550-60 
### hpdj800ps - HP DesignJet 800ps
### panther - Sharp Generic Panther Family, PS and PCL, uses SNMP for status and pagecount
### ar-160 - Sharp %, Panther Family, PS and PCL, uses SNMP for status and pagecount
### ar-161 - Sharp %, Panther Family, PS and PCL, uses SNMP for status and pagecount
### ar-162 - Sharp %, Panther Family, PS and PCL, uses SNMP for status and pagecount
### ar-162s - Sharp %, Panther Family, PS and PCL, uses SNMP for status and pagecount
### ar-163 - Sharp %, Panther Family, PS and PCL, uses SNMP for status and pagecount
### ar-164 - Sharp %, Panther Family, PS and PCL, uses SNMP for status and pagecount
### ar-200 - Sharp %, Panther Family, PS and PCL, uses SNMP for status and pagecount
### ar-200s - Sharp %, Panther Family, PS and PCL, uses SNMP for status and pagecount
### ar-201 - Sharp %, Panther Family, PS and PCL, uses SNMP for status and pagecount
### ar-205 - Sharp %, Panther Family, PS and PCL, uses SNMP for status and pagecount
### ar-206 - Sharp %, Panther Family, PS and PCL, uses SNMP for status and pagecount
### ar-207 - Sharp %, Panther Family, PS and PCL, uses SNMP for status and pagecount
### ar-f201 - Sharp %, Panther Family, PS and PCL, uses SNMP for status and pagecount
### cougar - Sharp Generic Cougar Family, PS and PCL, uses SNMP for status and pagecount
### ar-335 - Sharp %, Cougar Family, PS and PCL, uses SNMP for status and pagecount
### ar-336 - Sharp %, Cougar Family, PS and PCL, uses SNMP for status and pagecount
### ar-337 - Sharp %, Cougar Family, PS and PCL, uses SNMP for status and pagecount
### ar-s337 - Sharp %, Cougar Family, PS and PCL, uses SNMP for status and pagecount
### ar-405 - Sharp %, Cougar Family, PS and PCL, uses SNMP for status and pagecount
### ar-407 - Sharp %, Cougar Family, PS and PCL, uses SNMP for status and pagecount
### ar-505 - Sharp %, Cougar Family, PS and PCL, uses SNMP for status and pagecount
### ar-s505 - Sharp %, Cougar Family, PS and PCL, uses SNMP for status and pagecount
### ar-507 - Sharp %, Cougar Family, PS and PCL, uses SNMP for status and pagecount
### ar-s507 - Sharp %, Cougar Family, PS and PCL, uses SNMP for status and pagecount
### ar-250 - Sharp %, Cougar Family, PS and PCL, uses SNMP for status and pagecount
### ar-280 - Sharp %, Cougar Family, PS and PCL, uses SNMP for status and pagecount
### ar-281 - Sharp %, Cougar Family, PS and PCL, uses SNMP for status and pagecount
### ar-285 - Sharp %, Cougar Family, PS and PCL, uses SNMP for status and pagecount
### ar-286 - Sharp %, Cougar Family, PS and PCL, uses SNMP for status and pagecount
### leopard - Sharp Generic Leopard Family, PS and PCL, uses SNMP for status and pagecount
### ar-235 - Sharp %s, Leopard Family, PS and PCL, uses SNMP for status and pagecount
### ar-275 - Sharp %s, Leopard Family, PS and PCL, uses SNMP for status and pagecount
### ar-n275 - Sharp %s, Leopard Family, PS and PCL, uses SNMP for status and pagecount
### ar-m208 - Sharp %s, Leopard Family, PS and PCL, uses SNMP for status and pagecount
### tiger - Sharp Generic Tiger Family, PS and PCL, uses SNMP for status and pagecount
### ar-p350 - Sharp %, Tiger Family, PS and PCL, uses SNMP for status and pagecount
### ar-m350 - Sharp %, Tiger Family, PS and PCL, uses SNMP for status and pagecount
### ar-m350u - Sharp %, Tiger Family, PS and PCL, uses SNMP for status and pagecount
### ar-m350n - Sharp %, Tiger Family, PS and PCL, uses SNMP for status and pagecount
### ar-p450 - Sharp %, Tiger Family, PS and PCL, uses SNMP for status and pagecount
### ar-m450 - Sharp %, Tiger Family, PS and PCL, uses SNMP for status and pagecount
### ar-m450u - Sharp %, Tiger Family, PS and PCL, uses SNMP for status and pagecount
### ar-m450n - Sharp %, Tiger Family, PS and PCL, uses SNMP for status and pagecount
### toshiba650 - Sharp Generic Toshiba650 Family, PS and PCL, uses SNMP for status and pagecount
### ar-650 - Sharp %, Toshiba650 Family, PS and PCL, uses SNMP for status and pagecount
### ar-800 - Sharp %, Toshiba650 Family, PS and PCL, uses SNMP for status and pagecount
### fiery651 - Sharp Generic Fiery651 Family, PS and PCL, uses SNMP for status and pagecount
### ar-651 - Sharp %, Fiery651 Family, PS and PCL, uses SNMP for status and pagecount
### ar-810 - Sharp %, Fiery651 Family, PS and PCL, uses SNMP for status and pagecount
###   SUPPORTED END

### From Section 3 of the IFHP-HOWTO Document:
###
###   3. Recommended -Z options for Users
### 
###   Due to the general nature of the ifhp filter, there is no standard
###   set of -Z user options because there is no standard set of user
###   facilities. However, the following are recommended for use by
###   implementors of new configurations or printer support.
### 
###   3.1 Input Tray Selection
### 
###   If a printer supports an input tray selection mechanism, then the
###   following options are recommended for use. Local conditions or
###   printer type may require addition options.
### 
###   inupper, inlower, intray1, intray2, ..., manual, envelope
### 
###          The input tray selection options should start with the in
###          prefix and correspond to the various trays, if possible.
###          The manual and envelope options are included to select manual
###          feed or envelope feed. There is a possible source of conflict
###          here as there may be an envelope feeder as well as an envelope
###          media. This is a printer specific dependency.
### 
###   source=name
### 
###          The source=name option allows users to use options such as
###          -Zsource=inbin1, which may be useful for systems that have
###          an unusual or nonstandard input selection mechanism.
### 
###   3.2 Output Bin Selection
### 
###   If a printer has an output bin selection mechanism or some other
###   finishing mechanism, then the following are recommended for use.
### 
###   outupper, outlower, outbin1, ...
### 
###          The output bin selection should start with the out prefix.
### 
###   outbin=name
### 
###          The outbin=name form allow users to use options such as
###          -Zoutbin=stapler, which may be useful for systems that have
###          an unusual or nonstandard output selection mechanism.
### 
###   3.3 Media Size (Paper) Selection
### 
###   The paper size selection facilities usually are quite printer
###   dependent, and the input tray selection and paper size selection
###   mechanisms may interact in strange and mysterious ways.
### 
###   letter, legal, ledger, oversize, a0, a1, ...
### 
###          These are standard paper size names.
### 
###   11x17, tabloid
### 
###          These are usually aliases for ledger, but depending on local
###          conditions can select different types of paper.
### 
###   paper=name
### 
###          The paper=name form allow users to use options such as
###          -Zpaper=b3, which may be useful for systems that have an
###          unusual or nonstandard input media selection mechanism.
### 
###   3.4 Media Type Selection
### 
###   Media Type is not the same as paper size, and corresponds to the
###   name assigned to a particular media. Of course, the issue is
###   complicated by the fact that some media have standard sizes as
###   well. Again, the input tray selection, media size, and media type
###   selection will interact in confusing and mysterious ways, depending
###   on the whim of the printer firmware iplementors.
### 
###   You will notice that there is no generic mediatype=name facility.
###   This is due to the radically different way that PostScript,
###   PJL, PCL, etc., each handle media name and selection.  While
###   it is possible to determine the various strings, numbers, escape
###   codes, etc., that need to be sent for each mediatype,  a general
###   mechanism is too fragile and fraught with peril for the unwary
###   administrator to provide.  You have been warned.  Been there and
###   have the scars to prove it.
### 
###   plain, preprinted, letterhead, transparency, glossy, prepunched,
###   labels
### 
###          These are commonly used media type names gleaned from various
###          PostScript Printer Description Files, Microsoft printer
###          drivers, and arcane lore of the Printer Working Group. Note
###          that these are not accepted terms in the paper industry for
###          any of these type of media. You are warned.
### 
###   3.5 Duplex and Simplex
### 
###   Duplex printing is when impressions are placed on both sides of a
###   sheet of media. Due to a general lack of conventions, the orientation
###   of each of the impressions varies from vendor to vendor, and has
###   changed over the years.
### 
###   duplex, lduplex
### 
###          Print on both sides using the default orientation. The
###          lduplex is an alias for duplex.
### 
###   duplexshort, sduplex
### 
###          Print on both sides but reverse the orientation of one page.
###          The sduplex is an alias for duplex Which page is reversed
###          it at the whim of the firmware implementors and conventions
###          for the printer.
###   simplex
### 
###          Print on a single side of a page.
### 
###   tumble, shortedge
### 
###          This is use to print a single page on one side of the media,
###          but using the (nonstandard) orientation for the duplexshort.
###          This is usually done when a single impression must be
###          generated on the alternative side of the media, rather than
###          the default side. Again, this is dependent on the whims and
###          whimsys of the printer firmware implementors, and may have
###          some unexpected side effects.
### 
###   3.6 Copies
### 
###   This option has been provided to effectively allow the printer to
###   make multiple copies of a single page or job. This option tends to
###   be misimplemented on almost all known printers, and it is strongly
###   recommended that users do not use it. However, for completeness,
###   compatibility, and implementor consideration, this is included,
###   even against the better judgement of the implementors of the ifhp
###   software.
### 
###   copies=nnn
### 
###          Attempt to make nnn copies of each impression. This usually
###          fails with catastrophic problems unless you have a system
###          that supports all of the various options required, has enough
###          memory to handle rasterization, you do not have a paper
###          outage, and the printer does not stop with operator
###          intervention. You have been warned.
### 
### 

#########
#########   Default Printer Entry
#########    This describes the various supported options that are
#########   to be used in the ifhp.conf file.  There are others but
#########   these are reserved strictly for command line use.
#########

#
# PRINTER default - Generic Printer based on HP 4M Plus, PostScript, PJL, HPGL2, PCL, status, pagecount support

## Status file limits in K bytes
##
statusfile_max=8
statusfile_min=2

#--- START language setup
## default is to turn everything on
## We assume that we have PostScript, PJL, PCL, and text support
## Text is just PCL without any control sequences
##

pjl
pcl
ps
text

## HPGL2 support - added by Samuel Lown @ CERN - 2003-05-13
## by default hpgl2 support is turned off, this means an hpgl2 job
## type will be set to pcl by default, if enabled, the PJL job header
## will contain HPGL2 instead of PCL.
## This fixes many problems sending raw HPGL files to some plotters.
hpgl2@

## if you have a text file do LF to CRLF translation.
## This is dangerous and should not be used unless you are
## absolutely desperate AND have read the warnings in the
## source code.
# crlf

## These are for very ugly printers that have some strange problems
##  with PCL and PS end of job at the start of jobs.  If it is present,
##  the PJL settings are ignored,  or the rest of the job may be
##  ignored.
##
## PCL EOJ at start and end of job when PCL supported.
## If you set pcl_eoj@ you do NOT put an EOJ at start
## of job.  This violates the recommendations of the PCL
## Reference Manual.
## pcl_eoj_at_start   - (default), EOJ at start of job
## pcl_eoj_at_start@  - no EOJ
## pcl_eoj_at_end   - (default), EOJ at end of job
## pcl_eoj_at_end@  - no EOJ

pcl_eoj_at_start
pcl_eoj_at_end


## PS EOJ is usually put at start of PS when PS is being printed.
## You may not want this.
## ps_eoj   - ^D at start and end of job (default)
## ps_eoj_at_start   - (default), EOJ at start of job
## ps_eoj_at_end     - (default), EOJ at end of job

ps_eoj
ps_eoj_at_start
ps_eoj_at_end

## Some printers get very upset when PostScript jobs contain ^T or ^C
## characters.  You can remove various control character by setting
## their values in this string:
##  remove_ctrl=TC   will remove CTRL-T and CTRLC characters
##  This is only done for PostScript jobs.  You will usually find
## this when a job was generated on a system where it expects to
## communicate dynamically with a monitoring system,  and is being
## printed on another printer or system.
##
# remove_ctrl=TC
# 

## Some printers insist on using the Tagged Binary Commmunication Protocol
## to support sending embedded PS file.  If you need to use TBCP, enable this.
## This flag is inherently evil,  and is for desperate uses only,
## and should not be generally enabled. 
##
## If you don't know what this is about,  don't mess with it.
## As they say, You have been warned.  Read the code, read the
## TBCP documentation, and get ready to experiment with this
## before blindly enabling it.
##
# tbcp

#--- END lanuage setup

#--- START SNMP monitoring

# if you want to use SNMP monitoring then use the snmp_printer_status
# program.  This program will report the status of a printer
# by polling it using SNMP.  Status will be read from both the
# back channel (i.e. - connection to printer) and from the SNMP
# monitoring program.  The 'snmp_dev' device is determined by the
# ifhp program; it depends on the appsocket and other options

snmp_monitor@
snmp_program=@FILTER_DIR@/snmp_printer_status -h "\%s{snmp_dev}" -m "\%s{snmp_model}" -f "\%s{snmp_program_cfg}"
snmp_program_cfg=@FILTER_DIR@/snmp_printer_status.conf

# the snmp_printer_status.xml file has entries to specify the
# SNMP Object Identifiers (OIDs) for variuos printers
# The default is to use the standard Printer MIB entries for status.
# Again, you should look at the code and modify the entries for your
# printer.
snmp_model=default

# when we get status, we look for the following words in the
# status to indicate that the printer is ready and/or idle.
# Spaces in the status are replaced by underscores if necessary
# You use the status fields specified in snmp_status_fields
# One of the indicated conditions indicates the required condition
 
snmp_status_fields=status printerstatus
snmp_sync_status=ready power_save_mode
snmp_end_status=ready idle

# There are some totally brain dead printers that will NOT report
# status correctly until a timeout period after the last close or
# job sent.  These are evil and ugly,  but we love them anyways.
# Delay snmp_wait_after_close seconds when you are using Appsocket
# 
# Also, when you are NOT using appsocket, wait this long before getting
# status.  There is a finite delay for the SNMP status to change after
# sending the job if you are NOT using appsocket.
#
snmp_wait_after_close=2

#--- END SNMP monitoring

#--- START accounting extra information
## For those little moments of quiet desperation when you need to have the
## actual printing filter do some accounting.  Why?  because you may need to
## check with some specialized database,  update the information in it.
##
## Again,  this is inherently evil,  and is for desperate sysadmins who are
## trying to placate the bean counters in administration...
## If you don't know what this is about,  don't mess with it.
## You, as they say,  have been warned.  Read the IFHP-HOWTO for
## more details.

## accounting script
# accounting=accounting.sh
#--- END accounting extra information

#--- START connection
## The conventional use of the ifhp filter is to have the spooler open
## a connection.  However, the ifhp filter can also open the connection
## and must do so for the APPSOCKET protocol.  The following flags are
## used to control this.
## 
## dev=XXXX        - the device to open
##   dev=/dev/xxx   - open a device
##     if status@ then it is opened Write only
##     if status  then it is opened Read/Write
##   dev=host%port  - open a TCP/IP connection
## 
## appsocket      - use the appsocket protocol
##   This requires that a network connection be made to the printer for
##   each major stage in printing.
## 
## close_appsocket - this special flag is used with the appsocket
##   protocol to cause a TCP/IP 'close' to be done at the end of each
##   stage of printing processing,  rather than a network shutdown(SEND).
##   This is needed to force some printers to recognize an end of job
##   condition.
#--- END connection

#--- START printer status, sync, and pagecount

## 
## status
## 
## If you have a bi-directional channel to your printer,  it may or
## may not provide status information.  See the IFHP-HOWTO for details
## about this.
##
## status  - printer has bidirectional communications,  and will provide
##   status information that MUST be read.  The ifhp filter will do
##   non-blocking reads and writes to the printer.
##
## status@ - the ifhp filter will NOT attempt to read from the
##   printer and will do only (blocking) writes.
## 
##  Setting status@ can have
##  unexpected side effects if your printer sends status back on a
##  TCP/IP connection.  If it is not read,  the printer's output buffer
##  may becomes full and the printer will lock up.
##
##  If your printer has a bidirectional connection (network connection)
##  but does not provide status or interactive information,
##  use sync@ and pagecount@ to prevent the ifhp filter from interrogating
##  the printer.
##

status

## Status information is converted into strings of the form
##  key=statusvalue.
## The following keys are assumed to be valuable:
##   status - current device status
##   error  - device error
##   warning  - device error
##   pagecount - device pagecount
## Others will be shown in the log file but not used for status
## Ignore status reported with the following keys. 
## These match the first characters of the keys.  You can
## use _ to stand for blanks.  The match is done using globmatch
## status_ignore= junk this that the
##  Also see snmp_status_fields for fields used to monitor snmp status

status_ignore = name job page pages

##
## Under some very bizzare circumstances such as broken PJL
## implementations, you may need to translate the status keys from
## the vendor supplied to the ones needed above.
## Use status_translate to do the translation.  The entries have the
##   oldvalue=newvalue
## These match the first characters of the keys.  You can
## use _ to stand for blanks.  The match is done using an globmatch
## status_translate= id=hostid *status=status


##
## sync
##
## If you have a bidirectional communication port and your printer supports
## PJL ECHO, PJL JOB, or PostScript,  then you can send a small job to the
## printer that will effectively check on its health and clear out any problems
## it may have had from the last job.  This operation is called 'sync' because
## when it completes you have synchronized communication with the printer
## and are getting the current status information
##
## If you are not worried about this,  you can turn 'sync' off - sync@
##
## sync@     - no sync operations
## sync      - Use PJL JOB, PJL ECHO, or PostScript, depending on
##             what is supported by the printer.
## sync=ps   - use PostScript
## sync=pjl  - use PJL method
## sync=|/....  - run this program to get status (see STATUS HELPERS below) 
## sync=snmp   - use snmp_printer_status

sync

## try sending sync requests at these intervals
#
sync_interval=20

##
## pagecount
##
## If your printer suppors a hardware page counter,  then this operation
## gets the value of the pagecounter both before and after the job has been
## printed.  This information is written to the accounting log file.
##

##
## pagecount@     - no pagecount
## pagecount      - if pjl availble us it, then if ps available use it
##             this is best method to sync
## pagecount=ps   - use ps method
## pagecount=pjl  - use pjl method
## pagecount=|/....  - run this program to get pagecount (see STATUS HELPERS below) 
## pagecount=snmp   - use snmp_printer_status
pagecount

##  If your printer does not have a reliable way to determine that
## the last job has finished,  you can 'poll' it at intervals.
##
## The page count will be sampled 'pagecount_poll' times (0 or 1 is once)
## until it is stable, at pagecount_interval seconds.
## The pagecount_poll is for printers which do not report the correct
## end of job conditions
## - pagecount_poll_start specifies number of polls at start
## - pagecount_poll_end specifies number of polls at end
##   - default is to use pagecount_poll if not specified
##
##  You can specify a non-zero pagecount timeout that will limit
##  the amount of time that you try to get pagecounts
##  This is ok at the start of a job,  but can be dangerous
##  if you are trying to the end of job pagecount value and
##  the job is very long.  See the 'waitend' for a possible solution

#pagecount_poll=5
#pagecount_poll_end=5
#pagecount_poll_start=1
pagecount_interval=1
pagecount_timeout=0

##  You can send a 'sync' query at the end of job to determine when
##  a job has completed.  However,  this may only report that the printer
##  has received all of a job and is processing it, not that the job
##  is actually finished.  In fact, you can get status back indicating a
##  job is finished and the printer is actually off line, waiting for paper.
##
##  If you do not want to try to determine the end of job, set waitend@
##    (Note: waitend@ is DANGEROUS if you expect to get error status back.
##  You can also set
##   waitend=ps - send a small PostScriptjob which will generate information
##     of the job has been completed.  Unfortunately, this will only tell
##     if the PostScript interpreter is available for printing.
##     You may to use ps_ctrl_t (see above) to force printer status to be
##     delivered as well. 
##   waitend=pjl  send a small PJL job to the printer which should, if
##     the printer supports PJL, cause some information to be sent back.
##   waitend=|/program  - run a program to query printer.  See STATUS HELPERS
##
##  Remember:  if your printer spools jobs or buffers them, then you can
##   get back 'job completed' status even though the job has not been printed.
##
## waitend@     - no waitend operation done
## waitend      - Use PJL JOB, PJL ECHO, or PostScript, depending on
##             what is supported by the printer. Priority is PJL JOB,
##             PJL ECHO and then PostScript
## waitend=ps   - use PostScript only
## waitend=pjl  - use PJL method only
## waitend=|/....  - run this program to get status (see STATUS HELPERS below) 
## waitend=snmp   - use snmp_printer_status
##  See the snmp_end_status for fields that are used for monitoring snmp status

waitend

##  When you use waitend=ps (or have a PostScript only printer),  you can
##  optionally periodically send a ^T (control T) to ask the printer for
##  status.  This will cause printer status to be returned in the format:
##
##    %%[ status: value ]%%
##
##  However, you may discover that the printer does not like to see
##  ^T on the network comm port, and may lock up if you send it.
##  You may need to use ps_ctrl_t@ to disable sending it.
##  You may wait a long time without getting any status, even
##  though the printer is OK, but has a paper jam or is offline.
##  To suppress sending CTRL_T use ps_ctrl_t@
## 
##  The waitend_ctrl_t_interval value is the interval between sending
##  ^T to the printer.
##   You may find that these CTRL_T's may get ignored if
##   the PostScript engine is busy,  so do not send too fast
##
##  If the value returned is one listed in the end_status list,
##  then this indicates that the last page has been printed.
##  The values are separated by colon, semicolon, or whitespace.
##  You can also use the !value to indicate that when this value does NOT
##  occur as a status,  then you have a done condition.  For example,
##  !printing will accept any status BUT printing as a done condition.
##

ps_ctrl_t
waitend_ctrl_t_interval=3
end_status=busy idle

##
##  Interval to prompt for reprompt status after job has been sent
##
waitend_interval=120

##
##  Timeout for the waitend response - 0 is no timeout.
##  The send_job_rw_timeout will set a limit on the maximum time of
##  IO activities, the waitend_timeout will set a maximum time for the
##  job to finish.

waitend_timeout=0

###
### DESPERATION MEASURES
###
###   Some printers,  when sent malformed or unually complex PCL or
### PostScript jobs will lock up and not return status.  The
### XXX_timeout value sets a timeout for the overall job completion.
### Actually,  these are the maximum time to wait for a file descriptor
### to become available for reading or writing.  Note that when a printer
### goes offline the file descriptor may block.
###
### This facility is provided to handle the case where a printer will lock
### up and not respond.  This time should be at least as long as it takes
### for a job to complete.
###
### send_job_rw_timeout       - maximum wait time for printer IO

##  STATUS HELPERS
## The sync, pagecount, and waitend functions can be implemented by
## running a 'status helper' program.  These programs are run with:
##  STDIN = printing device
##  STDOUT = for reporting
##  STDERR = for errors
## 
## Information written to STDERR will be put into the error log.
## Information written to STDOUT should have the format: key=value
##   KEY     VALUE
##   sync    1 (or nonzero)  - sync is done
##   waitend 1 (or nonzero)  - waitend is done
##   pagecount nnn           - pagecounter value
## 
## Note: you can use a single program to do all 3 operations,
## in which case simply write 3 lines with sync, waitend, and pageount
## values.
## 
## Alternatively,  if the sync,waitend, or pagecount
## program exits with 0 status, then success is assumed,
## otherwise IFHP will exit with the same error status,
## except for coredumps, etc., in which case it will exit
## with JABORT status.
## 
## If no pagecount information is returned, then a 0 (no pagecounter
## available) is assumed.
##
##
## 
## how often to report progress - minimum of percent or
##  amount written (in Kbytes)
##  report when you have done this much more percent of the job
progress_pc=25
##  report when you have done this much more Kbytes of job
progress_k=1000

#--- END printer status, sync, and pagecount

#--- START paper size for conversion purposes

## This is basically a nasty hack to allow users to pass paper
## sizes through to GhostScript.  The idea is that you define
## the set of paper sizes that GhostScript can handle in this
## list,  and then user the -M \%s{papersize} entry on the
## command line.
## 'papersize' is a 'Built In' function that will
## look through the 'papersize' list of values and check to see
## if one of them appears in the command line -Z or -T options values.
## If not, then it will check for a 'paper=' or 'papersize='
## option, and finally use the value of 'papersize_default'
## if all the tests fail.  If it is invoked for a 'number' then it
## will translate the name to a number corresponding to the PCL
## selection code. See pcl_papersize
## This allows you to use -Za0 on the lpr command line
##  or -Zpapersize=a0 or -Zpaper=a0
##
papersize= 
 a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 a10 b0 b1 b2 b3 b4 b5
 archA archB archC archD archE flsa flse halfletter
 note letter legal 11x17 ledger tabloid
papersize_default= letter


## START PJL configuration

## only allow these PJL commands
##
##  The format for this list is:
##    commandname   (no option checking)
pjl_only=[
    COMMENT DEFAULT DINQUIRE ECHO ENTER EOJ
    FSAPPEND FSDIRLIST FSQUERY FSUPLOAD FSDELETE FSDOWNLOAD FSINIT FSMKDIR
    INFO INITIALIZE INQUIRE JOB OPMSG PJL RDYMSG
    RESET SET STMSG USTATUS USTATUSOFF
## special builtins that expand variables correctly
    COPIES

  ]

## do NOT allow these PJL commands, even if they are in pjl_only
pjl_except=[ ]

## BUILTIN PJL Support
##  pjl_enter - printer supports language selection
pjl_enter
##  pjl_job -   printer supports PJL JOB 
pjl_job
##  pjl_console -   printer supports PJL console setting 
##  (you can use the console@ as well)
pjl_console
## Set console message during job
##  This is also used as a unique string to identify job
## values you want - \%s{n} is user name -
pjl_ready_msg = \%s{n} \%s{J}:\%s{P}
## Set console message when job is done
##  Set this to empty string if you do not want a ready message
##  at end of job
pjl_done_msg = Done: \%s{n} \%s{J}:\%s{P}
## maximum number of characters on the console display for messages
##  (you can use the display_size=nnn option as well)
pjl_display_size= 20

## expand the following on startup,  after the builtin
pjl_init=[ info=id ustatus teoj ]

## expand the following on termination,  after the builtin
pjl_term=[ ustatus teoj ]

## You can, if you are feeling very odd, force a file
##  to be send as part of the PJL setup
##  1. add setup to pjl_user_opts if you want user specified files
##    specify this with -Tsetup=filename
##  2. put setup=filename in pjl_init=[ ... ] list
##    if you want it permanently set up
##  The setup will get expanded to font_download=filename
##    and the actual file will come from ${pjl_fontdir}/filename
##  This keeps users from downloading /etc/passwd to your printer 

pjl_fontdir=@FONT_DIR@/pjl
pjl_setup=[ font_download=\%s{setup} ]
## default value for testing or insurance
setup=test

##   PJL USTATUS command string
##    This usually will force job status to be sent at 10
##   second intervals,  which is pretty useful for a keepalive
pjl_ustatus=
    @PJL USTATUSOFF
    @PJL USTATUS JOB = ON
    @PJL USTATUS DEVICE = ON
    @PJL USTATUS PAGE = ON
    @PJL USTATUS TIMED = 10

##   If your printer has 'True End of Job'  then this is useful.
##  The TEOJ is an undocumented option for PJL that forces JOB
##  status to be delayed until the job has been totally printed.
##  Sometimes it works,  usually does not
##
pjl_teoj= @PJL TEOJ = ON


## PJL Variables supposedly supported by HP and others
##  Your milage may vary.  More may be added as time goes on
##  Note:  the pjl_vars_set += [ ... ] format may soon
##  allow additional values to be added
## The format is:
##   VAR                - no parameter checking
##   VAR=DEFAULT        - no parameter checking, default value
##   VAR=Constraints    -  constraints, no default value
##   VAR=DEFAULT!Constraints - constraints and default value
##  
##    Contraints: [(XLATEDVAR)]Type;
##     XLATEDVAR is the actual form to use.  Spaces are replaced by +
##    Type is STRING, ENUMERATED,RANGE
##      STRING;        - type is string, remove metachars
##      ENUMERATED;V1,V2,...  - type is ENUMERATED, values V1, V2...
##      RANGE;LOW,HIGH  - type is RANGE, lower and upper limits
##  Note: all constraints have a ; in them

pjl_vars_set= [
    AUTOCONF AUTOSELECT BINDING BITSPERPIXEL CLEARABLEWARNINGS CONTEXTSWITCH
    COPIES=1 COURIER=REGULAR CPCLOCK CPLOCK DENSITY DISKLOCK
    DUPLEX ECONOMODE FINISH FORMLINES HOLD HOLDTYPE
    IMAGEADAPT INTRAY1 INTRAY1SIZE INTRAY2 INTRAY2SIZE INTRAY3SIZE
    INTRAY4SIZE INTRAY5SIZE INTRAY6SIZE INTRAY7SIZE INTRAY8SIZE IOBUFFER
    IOSIZE JOBATTR JOBOFFSET LANG=ENGLISH LOWTONER LPARM_PCL_FONTNUMBER
    LPARM_PCL_PITCH LPARM_PCL_PTSIZE LPARM_PCL_RESOURCESAVESIZE
    LPARM_PCL_SYMSET MANUALFEED MEDIASOURCE
    MEDIATYPE MPTRAY ORIENTATION OUTBIN OUTLINEPOINTSIZE PAGEPROTECT
    PAPER PAPERLENGTH PAPERWIDTH PARALLEL PERSONALITY POWERSAVE
    POWERSAVETIME PRINTQUALITY=NORMAL QTY=1 RENDERMODE REPRINT=AUTO RESOLUTION
    RESOURCESAVE RESOURCESIZE RET TIMEOUT TUMBLE WIDEA4
    LPARM_PCL_FONTNUMBER=(LPARM:PCL+FONTNUMBER)RANGE;0,52
    LPARM_PCL_PITCH=(LPARM:PCL+PITCH)RANGE;0.44,99.99
    LPARM_PCL_PTSIZE=(LPARM:PCL+PTSIZE)RANGE;4.00,999.75
    LPARM_PCL_RESOURCESAVESIZE=(LPARM:PCL+RESOURCESAVESIZE)RANGE;700,700
    LPARM_PCL_SYMSET=(LPARM:PCL+SYMSET)ENUMERATED;ROMAN8,ISOL1,ISOL2,ISOL5,PC8,PC8DN,PC850,PC852,PC8TK,WINL1,WINL2,WINL5,DESKTOP,PSTEXT,VNINTL,VNUS,MSPUBL,MATH8,PSMATH,VNMATH,PIFONT,LEGAL,ISO4,ISO6,ISO11,ISO15,ISO17,ISO21,ISO60,ISO69,WIN30
  ]

## PJL options - format is PJL option [value]
##  Your milage may vary.  More may be added as time goes on
##  Note:  the pjl_vars_set += [ ... ] format allows
##  additional values to be added

pjl_options_set = [ info ]

##
## PJL Options in -Z opts
##

pjl_user_opts = [

    11x17 1200 1200dpi 300 300dpi 600 600dpi a0 a1 a2 a3 a4 b5
    bond cardstock color duplex duplexshort env10 envb5 envc5
    envmonarch executive glossy heavy inlower intray1 intray2
    intray3 inupper labels landscape lduplex ledger legal letter
    letterhead manual outlower outupper plain portrait preprinted
    prepunched recycle sduplex shortedge simplex source tabloid
    transparency tray1 tray2 tray3 tumble

## Variables PJL var = value

    AUTOCONF AUTOSELECT BINDING BITSPERPIXEL CLEARABLEWARNINGS CONTEXTSWITCH
    COPIES=1 COURIER=REGULAR CPCLOCK CPLOCK DENSITY DISKLOCK
    DUPLEX ECONOMODE FINISH FORMLINES HOLD HOLDTYPE
    IMAGEADAPT INTRAY1 INTRAY1SIZE INTRAY2 INTRAY2SIZE INTRAY3SIZE
    INTRAY4SIZE INTRAY5SIZE INTRAY6SIZE INTRAY7SIZE INTRAY8SIZE IOBUFFER
    IOSIZE JOBATTR JOBOFFSET LANG=ENGLISH LOWTONER LPARM_PCL_FONTNUMBER
    LPARM_PCL_PITCH LPARM_PCL_PTSIZE LPARM_PCL_RESOURCESAVESIZE LPARM_PCL_SYMSET MANUALFEED MEDIASOURCE
    MEDIATYPE MPTRAY ORIENTATION OUTBIN OUTLINEPOINTSIZE PAGEPROTECT
    PAPER PAPERLENGTH PAPERWIDTH PARALLEL PERSONALITY POWERSAVE
    POWERSAVETIME PRINTQUALITY=NORMAL QTY=1 RENDERMODE REPRINT=AUTO RESOLUTION
    RESOURCESAVE RESOURCESIZE RET TIMEOUT TUMBLE WIDEA4

## PJL Options
    INFO
]

## Your milage may vary on these,  but supposedly most PJL aware
## printers will either support or ignore them
##
pjl_source=[  mediasource=\%s{source} ]
#pjl_outbin=[ \%s{outbin} ]
# pjl_paper=[ \%s{paper} ]
# pjl_papersize=[ \%s{papersize} ]
# pjl_pagesize=[ \%s{pagesize} ]

# - these are pretty standard - DEFAULTS
pjl_duplex=[  duplex=on ]
pjl_duplexshort=[ duplex=on tumble=on ]
pjl_lduplex=[ duplex ]
pjl_sduplex=[ duplexshort ]
pjl_simplex=[ duplex=off ]
pjl_tumble=[  tumble=on ]
pjl_shortedge=[ tumble ]

pjl_inupper=[  mediasource=tray1 ]
pjl_inlower=[  mediasource=tray2 ]
pjl_outupper=[  outbin=upper ]
pjl_outlower=[  outbin=lower ]
pjl_tray1=[  mediasource=tray3 ]
pjl_intray1=[ pjl_tray1 ]
pjl_tray2=[  mediasource=tray0 ]
pjl_intray2=[ pjl_tray2 ]
pjl_tray3=[  mediasource=tray1 ]
pjl_intray3=[ pjl_tray3 ]

pjl_landscape=[  orientation=landscape ]
pjl_portrait=[  orientation=portrait ]

pjl_letter=[  paper=letter ]
pjl_legal=[  paper=legal ]
pjl_ledger=[  paper=ledger ]
pjl_11x17=[ ledger ]
pjl_tabloid=[ ledger ]
pjl_executive=[  paper=executive ]
pjl_a0=[  paper=a0 ]
pjl_a1=[  paper=a1 ]
pjl_a2=[  paper=a2 ]
pjl_a3=[  paper=a3 ]
pjl_a4=[  paper=a4 ]
pjl_b5=[  paper=b5 ]
pjl_envb5=[  paper=envisob5 ]
pjl_env10=[  paper=env10 ]
pjl_envc5=[  paper=envc5 ]
pjl_envmonarch=[  paper=envmonarch ]

pjl_transparency=[  mediatype=transparency ]
pjl_plain=[  mediatype=plain ]
pjl_preprinted=[  mediatype=preprinted ]
pjl_letterhead=[  mediatype=letterhead ]
pjl_glossy=[  mediatype=gloss ]
pjl_prepunched=[  mediatype=prepunched ]
pjl_labels=[  mediatype=labels ]
pjl_bond=[  mediatype=bond ]
pjl_recycle=[  mediatype=recycle ]
pjl_heavy=[  mediatype=heavy ]
pjl_cardstock=[  mediatype=cardstock ]
pjl_color=[  mediatype=color ]
pjl_manual=[  manualfeed=on ]

pjl_300=[  resolution=300 ]
pjl_300dpi=[ 300 ]
pjl_600=[  resolution=600 ]
pjl_600dpi=[ 600 ]
pjl_1200=[  resolution=1200 ]
pjl_1200dpi=[ 1200 ]

## PJL USTATUS information will include a lot of
## codes that are just not interesting,  such as 'printer on line',
## or 'power up'.  You can suppress reporting status for these codes
## by putting their code numbers in this list

pjl_quiet_codes=[
    10001
    10023
    10030
    40000
  ]

## Special error messages
##  One per line
##  The idea is that you may get an error code,  but you
## it is not 'standard'.  You can add additional codes here
## or override the default strings in the ifhp source.
## 
pjl_error_codes=[
    10006=Toner Low 
  ]

## Inform operator if this error number occurs
pjl_alert_codes=[
  15* 40* 41* 42* 44*
  ]

# use this program to write error to operator
# error will be read from STDIN.  You can play games with
# mail or whatever you want here.
#
pjl_alert_handler=


#--- END of PJL

#--- START of PostScript

## PostScript Information
##    WARNING - YOUR POSTSCRIPT PRINTER MAY NOT ACCEPT
##  SOME OF THE COMMANDS HERE.  Check the printer PostScript Printer
##  Description File for details.

## use the following string to cause the printer to echo
## ifhp will replace NAME by a unique identifier to make sure
## that the latest echo was detected


#  put the PostScript out immediately before the start of the job
# and before user options
# example:
#ps_init = [ nocopypage ]
#ps_nocopypage = /copypage {showpage} def


# ps_term:
# put the PostScript out immediately AFTER the job and BEFORE the
#  PostScript EOF
# example:
#ps_term = [ stopduplex ]
#ps_stopduplex = statusdict begin false setduplexmode end


ps_status_code=
    %!PS-Adobe-2.0
## for PS Level 3 add:
#   false 0 startjob pop
    ( %%[ echo: NAME ]%% ) print () = flush

##  PageCount
##   This is a very nasty piece of PostScript that will
##  get the current pagecount value out of the statusdict
##  Note: you really should use the PS Level 3 if you have it
##  Note: some printers INSIST on ignoring the startjob stuff,
##    and will report the current pagecount.  You sometimes need
##    to sit in a loop and wait until it stops changing.
##    See pagecount_interval

ps_pagecount_code=
    %!PS-Adobe-2.0
## for PS Level 3 add:
#   false 0 startjob pop
    /p{print}def ( %%[ pagecount: ) p
    statusdict begin pagecount end 20 string cvs p
    ( ]%% ) p () = flush

## PostScript options in -Z
##  defaults - for HP LaserJet4Mplus
## support for font download
##  use:  -Tfont=name1,font=name2
##  This will get expanded to fontdownload 
##  and fontdownload will get the ${font} value set by font=
##  the ps_fontdir value will be prefixed,  and
##   ${ps_fontdir}/name1  and ${ps_fontdir}/name2 will be downloaded
##  to the printer
## 
ps_fontdir=@FONT_DIR@/ps
ps_font=[ font_download ]


## Support for PostScript based page settings 
## YOU NEED TO CHECK YOUR PPD FILE FOR THIS STUFF
##
## You can also use tray=xx, source=xx, paper=xx, papersize=xx, pagesize=xx
## These are also passed as the PJL values so you can make them work
## with PostScript or PJL
ps_source=[ \%s{source} ]
ps_outbin=[ \%s{outbin} ]
ps_paper=[ \%s{paper} ]
## this gets the value of the pagesize variable and then uses
## it as an index or key to find the corresponding string
ps_papersize=[ \%s{papersize} ]
ps_pagesize=[ \%s{pagesize} ]

##

ps_duplex=   statusdict begin true setduplexmode false settumble end
ps_lduplex=[ duplex ]
ps_duplexshort=  statusdict begin true setduplexmode true settumble end
ps_sduplex=[ duplexshort ]
ps_simplex=  statusdict begin false setduplexmode end
ps_inupper=  statusdict begin 0 setpapertray end
ps_inlower=  statusdict begin 1 setpapertray end
ps_manual=   statusdict begin /manualfeed true store end
ps_envelope= statusdict begin com10envelopetray end
ps_outupper= statusdict begin 0 setoutputtray end
ps_outlower= statusdict begin 1 setoutputtray end
ps_transparency= <</MediaType (Transparency)>> setpagedevice
ps_tumble=  statusdict begin true settumble end
ps_shortedge=[ tumble ]

# paper size selection
ps_a0=
ps_a1=
ps_a2=
ps_a3=
ps_a4=
ps_letter=
ps_ledger=
ps_11x17=[ ledger ]
ps_tabloid=[ ledger ]
ps_executive=
ps_oversize=

# PageSize Letter/US Letter: 
# from HP4Mplus PPD file
ps_letter =
    2 dict 
    dup /Policies 1 dict dup /PageSize 1 put put 
    dup /DeferredMediaSelection true put setpagedevice
    2 dict dup /PageSize [612 792] put dup /ImagingBBox null put setpagedevice
# End
# PageSize Legal/US Legal: 
ps_legal =
    2 dict 
    dup /Policies 1 dict dup /PageSize 1 put put 
    dup /DeferredMediaSelection true put setpagedevice
    2 dict dup /PageSize [612 1008] put dup /ImagingBBox null put setpagedevice
# End
# PageSize A4/A4 : 
ps_a4 =
    2 dict 
    dup /Policies 1 dict dup /PageSize 1 put put 
    dup /DeferredMediaSelection true put setpagedevice
    2 dict dup /PageSize [595 842] put dup /ImagingBBox null put setpagedevice
# End
# PageSize Executive/Executive : 
ps_executive =
    2 dict 
    dup /Policies 1 dict dup /PageSize 1 put put 
    dup /DeferredMediaSelection true put setpagedevice
    2 dict dup /PageSize [522 756] put dup /ImagingBBox null put setpagedevice
# End
# PageSize Comm10/Env Comm10: 
ps_comm10 =
    2 dict 
    dup /Policies 1 dict dup /PageSize 1 put put 
    dup /DeferredMediaSelection true put setpagedevice
    2 dict dup /PageSize [297 684] put dup /ImagingBBox null put setpagedevice
# End
# PageSize Monarch/Env Monarch: 
ps_monarch =
    2 dict 
    dup /Policies 1 dict dup /PageSize 1 put put 
    dup /DeferredMediaSelection true put setpagedevice
    2 dict dup /PageSize [279 540] put dup /ImagingBBox null put setpagedevice
# End
# PageSize DL/Env DL: 
ps_env_dl =
    2 dict 
    dup /Policies 1 dict dup /PageSize 1 put put 
    dup /DeferredMediaSelection true put setpagedevice
    2 dict dup /PageSize [312 624] put dup /ImagingBBox null put setpagedevice
# End
# PageSize C5/Env C5: 
ps_env_c5 =
    2 dict 
    dup /Policies 1 dict dup /PageSize 1 put put 
    dup /DeferredMediaSelection true put setpagedevice
    2 dict dup /PageSize [459 649] put dup /ImagingBBox null put setpagedevice
# End
# PageSize B5/Env ISO B5: 
ps_env_b5
    2 dict 
    dup /Policies 1 dict dup /PageSize 1 put put 
    dup /DeferredMediaSelection true put setpagedevice
    2 dict dup /PageSize [499 708] put dup /ImagingBBox null put setpagedevice
# End

mediaselect=3
ps_mediaselect=<</DeferredMediaSelection true /MediaPosition \%d{mediaselect}>> setpagedevice

ps_user_opts=[
	11x17 300x300 600x600 a0 a1 a2 a3 a3 a3fb a4 a4fb a5 async autoscale_36x60
	autoscale_a0 autoscale_a3 autoscale_a4 autoscale_letter autoselect b4 b5 b5 
	b6 bond bond c5 c9 cardstock cardstock cmykinkseuro cmykinksfast cmykinksswop
	cmykinkstoyo collate color color colorascolor
	colorasgray comm10 converter custom1 custom2 
	custom3 custom4 custom5 custom6 dl 
	draft duplex duplexshort duplexshortedge enhance 
	enhanced env10 envb5 envc5 envdl
	envelope envelope envmonarch executive executive 
	fast font fourup fourupl
	gamma glossy grayscale halftone halftoneenhanced
	halftonestandard heavy high init inlarge
	inlargecapacity inlower inmiddle intray1 intray1 
	intray10 intray2 intray3 intray4 intray5
	intray6 intray7 intray8 intray9 inupper
	isob5 labels labels landscape lduplex
	ledger leftbin legal legal letter
	letter letterhead letterhead lxcollate manual
	manual manualfeed mediacolor mediaselect monarch 
	nearestsizeadjust nearestsizenoadjust nineuo nineupl noenhance 
	nolxcollate normal nosmoothing nosmoothing oneup
	oneupl other outbin outbin2 outbin3
	outbin4 outbin5 outbin6 outbin7 outbin8
	outbin9 outleft outlower outputbin outupper
	oversize pagecount_code pagesize paper papersize
	plain plain policya4 policyletter portrait
	preprinted preprinted prepunched printquality promptuser
	recycled rough scalepatterns sduplex shortedge
	simplex sixteenup sixteenupl sixup sixupl
	smoothing smoothing smoothingoff smoothingon source
	standard status_code sync tabloid topbin
	transparancy transparency transparency tumble twoup
	twoupl universal w558h774 w612h935 wmallpages
	wmangle wmfirstpage wmfont wmsize wmtext
	wmtextstylehalo wmtextstylemedium wmtextstylenarrow wmtextstylewide
	11x17 a0 a1 a2 a3 a4 a5 duplex duplexshort envelope executive
	font inlower inupper lduplex ledger legal letter manual mediaselect
	outlower outupper oversize sduplex simplex tabloid transparency
  ]

#--- END PostScript

#--- START PCL


## PCL options in -Z

pcl_user_opts=[
	a3 a4 a5 autoselect bold bond cardstock 
	clearmargins color converter courier crlf delete_fonts duplex
	duplexback duplexfront duplexselect duplexshort fixed font font_id
	font_op font_primary gloss height helvetica hmi inhighcapacity
	init inlower inright intray1 intray2 intray3 intray4
	inupper italic jobseparation labels landscape lduplex ledger
	leftmargin leftoffset legal letter letterhead lf_stacker lineprinter
	linesperpage linewrap lpi manual nolinewrap normalpage orientation
	outbin outlower outupper pagesize paper papersize pc8 pitch plain 
	portrait preprinted prepunched proportional recycled rightmargin rough 
	sduplex simplex source stacker1 stacker2 stacker3 stacker4
	stacker5 stacker6 stacker7 stacker8 style symbol_set topmargin
	topoffset transparency typeface user_opts vellum vmi weight
  ]

## turn LF into CRLF
pcl_crlf=\033&k2G
## turn line wrap on
pcl_linewrap=\033&s0C
pcl_nolinewrap=\033&s1C

## paper (job) size
##  use -Zpapersize=size gets translated to pcl code to select paper
## 1 - executive, 2 - letter, 3 - legal, 6 - ledger, 25 - A5, 26 - A4, 27 - A3
## 80 - Monarch Envelope, 81 - Comm. 10 Envelope, 90 - Intl. DL Envelope
## 91 - Intl. C5 Envelope, 100 - Intl. D5 Envelope, 101 - Custom
## 71 - Hagaki Postcard, 72 - Oufuku-Hagaki Postcard
##   Note that the papersize key is specially interpreted

## name to number tranlsation
pcl_papersize_codes =  [
 executive=1 letter=2 legal=3
 ledger=6 a5=25 a4=26
 a3=27 monarch_envelope=80 comm_10_envelope=81
 intl_dl_envelope=90 intl_c5_envelope=91 intl_d5_envelope=100
 custom=101 hagaki_postcard=71 oufuku=72
 ]

# use the 'translate this value' facility
#  to get the corresponding numberical value
pcl_papersize=\033&l\%d{papersize,pcl_papersize_codes}A
pcl_letter=[ papersize=letter ]
pcl_legal=[ papersize=legal ]
pcl_ledger=[ papersize=ledger ]
pcl_a5=[ papersize=a5 ]
pcl_a4=[ papersize=a4 ]
pcl_a3=[ papersize=a3 ]
pcl_pagesize=[ papersize=%s{pagesize} ]
pcl_paper=[ papersize=%s{paper} ]


## paper source selection
##   use -Zsource=n
## 0 - current, 1 - upper, 2 - manual paper, 3 - manual envelope
## 4 - lower,   5 - optional paper, high capacity
## 6 - optional manual or envelope feeder, 7 - autoselect, 8 right side
## 20-39 high capacity input trays 2-21

source=0
pcl_source=\033&l\%d{source}H
pcl_inupper=\033&l1H
pcl_manual=\033&l2H
pcl_inlower=\033&l4H
pcl_inhighcapacity=\033&l5H
pcl_autoselect=\033&l7H
pcl_inright=\033&l8H

## orientation
##  0 - portrait, 1, landscape, 2 - reverse portrait, 3 reverse landscape
pcl_orientation=\033&l\%d{orientation}O
pcl_portrait=\033&l0O
pcl_landscape=\033&l1O

## simplex or duplex
##  0 - simplex,  1 - duplex long edge, 2 - duplex short edge
pcl_simplex=\033&l0S
pcl_duplex=\033&l1S
pcl_lduplex=[ duplex ]
pcl_duplexshort=\033&l2S
pcl_sduplex=[ duplexshort ]

## offsets
##  these are specified in 1/720 inch units
##  i.e. - if you want 1/2 inch, you need  720 x .5 = 360 units
leftoffset=0
pcl_leftoffset=\033&l\%d{leftoffset}U
topoffset=0
pcl_topoffset=\033&l\%d{topoffset}Z

## duplex page side selection
duplex_select=1
pcl_duplexselect=\033&a\%d{duplexselect}G
pcl_duplexfront=\033&a1G
pcl_duplexback=\033&a2G

## job separaton
pcl_jobseparation=\033&l1T

## output bin 
## 0 - auto, 1 - bin 1,top/facedown 2 - bin 2,left/faceup
## 3 - bin 3 (HCO faceup)
## 4 - bin 4 (HCO 1, facedown)
## 5 - bin 5 (HCO 2, facedown)
## 6 - bin 6 (HCO 3, facedown)
## 7 - bin 7 (HCO 4, facedown)
## 8 - bin 8 (HCO 5, facedown)
## 9 - bin 9 (HCO 6, facedown)
## 10 - bin 10 (HCO 7, facedown)
## 11 - bin 11 (HCO 8, facedown)

outbin=1
pcl_outbin=\033&l\%d{outbin}G
pcl_outupper=\033&l1G
pcl_outlower=\033&l2G

## margins
pcl_clearmargins=\0339
leftmargin=0
pcl_leftmargin=\033&a\%d{leftmargin}L
rightmargin=80
pcl_rightmargin=\033&a\%d{rightmargin}M
topmargin=0
pcl_topmargin=\033&l\%d{topmargin}E
linesperpage=66
pcl_linesperpage=\033&l\%d{linesperpage}F

## the HMI (Horizontal Motion Index)
##  this is dangerous...
##  This is the number of 1/120 inch unit per character
##  i.e. - 120 unit per inch
##  If you want 10 cpi, you want HMI = 120/10 = 12
hmi=12
pcl_hmi=\033&k\%d{hmi}H

## the VMI (Vertical Motion Index)
##  this is dangerous...
##  This is the number of 1/48 inch unit per line
##  i.e. - 48 unit per inch
##  If you want 6 lines per inch, you want HMI = 48/6 = 8
vmi=8
pcl_vmi=\033&l\%d{vmi}C

## the LPI (Lines Per Inch) - inverse of VMI
##  This is the lines per line
##  If you want 6 lines per inch, you want LPI = 6
lpi=6
pcl_lpi=\033&l\%d{lpi}D

## symbol set
##  - don't fool around with this one...
## 10U = PC 8 - shows the funny PC characters???
##
symbol_set=8U
pcl_symbol_set=\033(\%s{symbol_set}
pcl_pc8=\033(10U

## spacing
##  0 - fixed, 1 - proportional
pcl_fixed=\033(s0P
pcl_proportional=\033(s1P

## pitch for fixed spaced font
##  in characters per inch
pitch=10
pcl_pitch=\033(s\%3.2f{pitch}H

## height for proportional spaced font
##  in points
height=10
pcl_height=\033(s\%3.2f{height}V

## style for proportional spaced font
##  0 - normal, 1 - italic, 4 condensed, etc
style=0
pcl_style=\033(s\%d{style}S
pcl_italic=\033(s1S


## weight -
##  ranging from -7 (ultra thin) to 7 (ultra black)
weight=0
pcl_weight=\033(s\%d{weight}B
pcl_bold=\033(s3B

## Typeface Family
## See Appendic C in the PCL 5 comparison guide
##   consists of foundary * 4096 + fontid
##   foundary = 1 - AGFA, 2- Bitstream, etc 
##   fontid   = 0 - line printer, 3 = courier, 4 = helvetica
##   id 4099 - Courier
##      4100 - Helvetica
##
typeface=4099
pcl_typeface=\033(s\%d{typeface}T
pcl_courier=\033(s4099T
pcl_helvetica=\033(s4100T
pcl_lineprinter=\033(s0T


##
## Fonts and Font Downloading
##  fontid is used to set the current font
font_id=1
pcl_font_id=\033*c\%d{font_id}D
## set primary font
font_primary=1
pcl_font_primary=\033(\%d{font_primary}X

## font control
##
font_op=0
pcl_font_op=\033*c\%d{font_op}F
pcl_delete_fonts=\033*c0F

## font directory
font=c1201b.10
pcl_fontdir=@FONT_DIR@/pcl

## combination command
pcl_font=[ delete_fonts font_id font_download font_primary ]

## canned setup
pcl_normalpage=[ @PAGE_SIZE@ crlf linewrap portrait clearmargins fixed pitch=10 courier ]

pcl_init=[ normalpage ]
# put things here that should go at the VERY end of the PCL job
# but before the PCL EOJ
#pcl_term=[ ]

##
## Forced processing of all files
##  (option: forceprocessing)
##
##  Problem:  you want to process all files that pass through ifhp
##   including literal files. Basically, you want to ignore the -c
##   option which LPRng has passed in.
##
##  Setting forceprocessing to true will force ifhp to process all files
##  which are passed to it, ignoring the -c option. Jobs for autodetect
##  printers are not processed.
##  This can be useful when you want to process all print jobs which arrive.
##  eg: to add a 'colorasgray' before all jobs to force colour printouts to
##  come out in grayscale. Without forceprocessing users can specify -b|-l
##  to lpr and get around the conversion.
##
# Set forceprocessing to process all files.

forceprocessing@

##
## Text and Incompatible file type conversion control
##
##  Problem:  you get files of very odd type and want to print
##   them,  but you need a converter program to do so
##
## Step 0:  set default file language type.  This is used if the
##   the language type is explicitly determined.
##    default_language=unknown
##
## Step 1:  determine file type
##
##  Method 1 - SIMPLE, BUT LIMITED - let ifhp detect the file type
##  this will be pjl, ps, text, or unknown
##  (option: forceconversion@, file_util_path=)
##
##  Method 2 - POWERFUL, BUT MORE COMPLEX
##   Force the file utility to find the file type
##       - the file utility's output is lower cased,
##       multiple whitespace is removed, and all white space
##       (blanks, tabs, LF, HT, etc) are replaced
##       by underscores
##  (option: forceconversion, file_util_path=/path_to_file_utility)
##
##  Method 3: - let ifhp try to find the simple ones,
##     and then use file utiltyh.  (default)
##  (option: forceconversion@, file_util_path=/path_to_file_utility)
##
## Step 2:  do conversion
##
## file_output_match = [
##   *pcl*        pcl \%s{pcl_converter}
##   *ps*         ps  \%s{ps_converter}
##   *postscript* ps  \%s{ps_converter}
##   *pjl*        pjl \%s{pjl_converter}
## # if your printer understands PCL, use the next line
## # *text*       pcl \%s{pcl_converter}
## # if your printer only understands PostScript, use the next line
##   *text*       ps  \%s{text_converter}
##   *pdf*        ps  \%s{pdf2ps_converter}
##   *_gif_*  pcl @FILTER_DIR@/gif2pcl --autosize -x 2400 -y 3300 -d=300 -o-
##   *            unknown
## # for rasterizing
## # if you need to rasterize, use: 
##   *text*       raw  \%s{text_converter}
##   *ps*         raw  \%s{ps_converter}
##   *postscript* raw  \%s{ps_converter}
##   *gif*        filter \%s{gif_to_ps_converter}
##   *            msg  no_converter
## ]
##   *text*       ps  @A2PS@ -q -B -1 -M Letter --borders=no -o-
##   ^^^ glob match
##                ^^ result type
##                    ^^ optional conversion program
##
## 
## We match the (method 1) determined file type file or (method 2)
## file utility output against a 'glob' pattern.  This pattern is URL
## encoded so that it can include spaces or other characters.
## 
## The if there is a match,  the resulting conversion output type is set to
## the second entry.  If this is 'unknown', then the file is not
## printed.
##
## If the conversion output type is 'filter',  then the converter is
## run on the file and the converted output is used again.  For example:
##   *gzip_compressed* filter gzip -c -d
## This would cause the gzip program to be used to uncompress the file
##
## If the file type is "msg" then the message value is sent
## and the ifhp exits with a 0 (successful) status.  The converter name
## is used to select the type of error message.  If the converter name is xx,
## If PostScript is available then the contents of ps_xxx will be sent to the
## standard output; if PCL is available then pcl_xx will
## be sent,  the value of xx will be sent. See below for a typical value and
## way to use this.
##  The following values are available:
## \%s{file_output} is set to the output of the the 'file' program
## \%s{pgm} is set to the converter program value
## \%s{msg} to the error message for file conversion failure
##   - this is the value of the command line -e option if it was specified
##     as LPRng passes the input file as the value of the -e option
##     OR /dev/fd/0 if no -e value was specified
##     OR - if the operating system does not support the /dev/fd facility
##
## The third entry (and rest of line) is the conversion program and
## options to use.  As shown above, this can be an option whose
## value is expanded and substituted.  For example:
##
## gs_converter= @GS@ -dSAFER -dPARANOIDSAFER -dBATCH -dNOPAUSE -q '-sOutputFile=@DEVFD3@' 3>&1 1>&2
##   -sDEVICE=\%s{gs_device} \%s{gs_options} -
##
## Note: the above clever trick was used by the Foomatic (www.linuxprinting.org)
##   but has been since spotted in the wild in other scripts.
##
##
#ps_converter= \%s{gs_converter}

##
##
a2ps_converter= @A2PS@ -q -B -1 -M Letter --borders=no -o-
text_converter= \%s{a2ps_converter}

##
## If no conversion is specified,  then the original
## file is used.  If the program has pipe or meta characters,  then
## it is executed using /bin/sh -C 'program spec',   allowing you to
## pipe output of one program to another.
##
## 
##  The converter program command line ZOPTS and TOPTS words are replaced with
##  the values of the -Z flag and options and -T flag and options respectively,
##  and the ARGV word with the entire set of ifhp filter command line options.
##  For example,  if the filter was @FILTER_DIR@/mystuff ZOPTS
##  and you did lpr -Zlandscape,  then you would get
##     @FILTER_DIR@/mystuff -Zlandscape.
##  This allows you to pass options to the converter
##
##  The conversion program exit status must be 0 for successful conversion.
##  Please note that programs such as enscript exit with non-zero
##  exit status when they perform conversions correctly but need to wrap lines,
##  or have some minor difficulty with non-ascii characters in the input.
##  The use of a wrapper such as shown below is recommended,  and is the
##  default with ifhp:
##    #!/bin/sh
##    # @FILTER_DIR@/wrapper path [options]
##    # wrapper script for enscript and others
##    #   path is the path to the program and options are the
##    #   options to pass.  The program is run and then the exit
##    #   code is corrected
##    program=$1
##    status=1;
##    shift
##    if test -n "$program" ; then
##      $program "$@"
##      status=$?
##    fi;
##    case "$status" in
##      1 ) exit $status;;
##    esac
##    exit 0
## 
##  Spaces in the file utility output can be matched with %20
##  (URL escaped space)
## 
##  file - utility to determine file type
##     ftp://ftp.astron.com/pub/file/
##     ftp.deshaw.com/pub/file/
##   OR
##	    ftp://ftp.lpng.com/pub/LPRng/UNIXTOOLS/file/
##     Also available from the RedHat.com SRPMS in (of course) rpm format

## foomatic support
##  - The foomatic-rip filter (see http://www.linuxprinting.org) uses PPD files
##    to do conversions.  If you have the 'foomatic' option enabled AND
##    you have a PostScript file,  then the 'foomatic_rip' program will be
##    used.  The value of the foomatic option can be specified in the T or Z
##    options,  or as a printcap configuration entry.

foomatic_rip=@FOOMATIC_RIP@ \%s{ppd_file} \%s{ARGV}
foomatic=@FOOMATIC@

# set forceconversion to force the file(1) utility to be used
default_language=text
forceconversion@

##  UNIX File utility path
##  WARNING: your version of file MUST repeat MUST use '-' as meaning
##   read from STDIN
file_util_path= @FILEUTIL@ -
##  Patterns and Converters
# example conversion program
file_output_match = [
  *postscript*  ps   \%s{ps_converter}
  *pdf*         ps   \%s{pdf2ps_converter}
  *pcl*         pcl  \%s{pcl_converter}
  *pjl*         pjl  \%s{pjl_converter}
  *printer*job*language* pjl
  *ascii*text*  ps  \%s{text_converter}
  *gzip_compressed*  filter  \%s{gzip_decompress}
  *             msg  no_converter
  ]

ps_no_converter = %!PS-Adobe-3.0
  /Courier
  findfont 10 scalefont setfont
  72 500 moveto
  (No conversion available for type '\%s{file_output}') show
  showpage

no_converter = No conversion available for type '\%s{file_output}'

ps_conversion_error = %!PS-Adobe-3.0
  /Courier
  findfont 10 scalefont setfont
  72 500 moveto
  (Conversion failed for type '\%s{file_output}') show
  72 480 moveto
  (Using '\%s{pgm}') show
  72 460 moveto
  (Error: '\%s{msg}') show
  showpage

conversion_error =  Conversion failed for type '\%s{file_output}'
  Using '\%s{pgm}'
  Error: '\%s{msg}'

# gs_device=epsonc
# gs_options=-r240x72
# gs_converter= @GS@ -dSAFER -dPARANOIDSAFER -dBATCH -dNOPAUSE -q '-sOutputFile=@DEVFD3@' 3>&1 1>&2
#   \%s{gs_options} -
# 
#
gs_converter=  @GS@ -dSAFER -dPARANOIDSAFER -dBATCH -dNOPAUSE -q '-sOutputFile=@DEVFD3@' 3>&1 1>&2 -sPAPERSIZE=\%L{papersize} -sDEVICE=\%s{gs_device} \%s{gs_options} -
gs_unidriver=  @GS@ -dSAFER -dPARANOIDSAFER -dBATCH -dNOPAUSE -q '-sOutputFile=@DEVFD3@' 3>&1 1>&2 -sPAPERSIZE=\%L{papersize} @\%s{gs_device} \%s{gs_options} -
a2ps_options= -q -B -1 -M \%M{papersize} --borders=no -o-
a2ps_converter= @A2PS@ \%s{a2ps_options} -

pdf2ps_converter=  @GS@ -dSAFER -dPARANOIDSAFER -dBATCH -dNOPAUSE -q '-sOutputFile=@DEVFD3@' 3>&1 1>&2 -sDEVICE=pswrite \%s{pdf2ps_options} -c save pop -f -


#ps_converter=  \%s{ gs_converter } 
#pcl_converter=
#pjl_converter=
#text_converter=

## you may need a temp file location
##
##  This will be extended to ..ifhpXXXXX
##   for use by the unix mktemp() routine
##
#tempfile=/var/tmp/ifhp

## Printer Specific Configurations

## Apple or PostScript Printers
# PRINTER % - Generic PostScript printer, text to PS conversion, status, pagecount support
[ apple postscript ps ]
pjl@
pcl@
ps
text@
file_output_match = [
  *postscript*       ps
  *text*             ps  \%s{a2ps_converter}
  *pdf*              ps  \%s{pdf2ps_converter}
  *gzip_compressed*  filter  \%s{gzip_decompress}
  ]


## Apple or PostScript Printers
## PRINTER % - Generic PostScript printer connected using appletalk
#  Note 1: you need to use the updated version of pap that
#   puts out status messages with "%%[ ... ]%%" around them
#   See the ifhp/UTILS/pap.c and ifhp.UTILS/README.pap files
#
# Here is the printcap that we started with:
# ps
#	:sd=/var/tmp/LPD/%P
#	:filter=/usr/libexec/filters/ifhp
#	:ifhp=model=ps,ps_eoj@,debug=4,ps_ctrl_t@,\
#    end_status=idle waiting,pagecount_poll_start=1\
#    pagecount_poll_end=5
#	:mx=0
#	:lp=| $- /usr/local/bin/pap -p "PET\:LaserJet 2200"
#
# Use: ifhp=model=ps_appletalk
# 
# 
[ ps_appletalk ]
tc=ps
ps_eoj@
ps_ctrl_t@
end_status=idle waiting
pagecount_poll_start=1
pagecount_poll_end=5

## PCL Only Printer
# PRINTER % - Generic PCL only printer, no status
[ pcl ]
status@
pjl@
pcl
ps@
text@
file_output_match = [
  *pcl*  pcl
  *text*  pcl
  *gzip_compressed*  filter  \%s{gzip_decompress}
 ]

# PRINTER % - HP LaserJet 4 PCL only printer, write only, no status
[ pcl_gs ]
status@
pjl@
pcl
ps@
text@
gs_device=ljet4
file_output_match = [
  *pcl*  raw
  *text*  pcl
#  postscript to PCL conversion
  *postscript*  raw \%s{gs_converter}
  *pdf*   filter \%s{pdf2ps_converter}
  *gzip_compressed*  filter  \%s{gzip_decompress}
 ]

# TEMPLATE % - GhostScript PostScript to raster conversion, write only, no status
[ ghostscript gs ]
status@
pcl@
pjl@
ps
text@
# something for a default
gs_device=ljet4
file_output_match = [
  *postscript*       raw     \%s{gs_converter}
  *pdf*              filter  \%s{pdf2ps_converter}
  *text*             filter  \%s{a2ps_converter}
  *gzip_compressed*  filter  \%s{gzip_decompress}
 ]

## HP Printers

## These all support PJL to a limited extent and PCL
##  WARNING: PCL versions differ,  and some PCL is actually
##  the dreaded 'raster format' for PPA (no,  I don't know
##  what the acronym means) format.
##  PCL now comes in versions 3, 4, 5.  Enjoy.
##  Patrick Powell
### 

# PRINTER % - HP LaserJet III (PCL and PostScript Interpreter)
[ hpiiisi hp3si ljet3 lj3 ]
pjl_only=[
    COMMENT ENTER
  ]

### 
# PRINTER % - HP LaserJet III (PCL, PostScript via GhostScript)
[ hpiiisi.gs hp3si.gs ljet3.gs lj3.gs ]
tc=pcl_gs
gs_device=ljet3
pjl_only=[
    COMMENT ENTER
  ]


# PRINTER % - HP LaserJet 4 Family, HP LaserJet {/hp(.*)/$1/} (PostScript Interpreter)
[ hp4 hp4m hp4si hp4simx hp4plus hp4mplus hp4v hp4mv hp4p hp4mp hp4pj hpljpro hp4lc ]

pjl_except=[
    FSAPPEND FSDIRLIST FSQUERY FSUPLOAD FSDELETE FSDOWNLOAD FSINIT FSMKDIR
  ]

# HP LaserJet 4M, has limited pagecount capability
[ hp4m ]
pagecount=ps

#
# Provided by Wilfried.Gaensheimer@infineon.com
#   --- Note: see also the HP 5000 and HP 8000 entries
# If you know "more", let me (Wilfried.Gaensheimer@infineon.com) know
#
# PRINTER hp4mplus - HP LaserJet 4MPlus
[ hp4mplus ]

pjl_only=[
    COMMENT DEFAULT DINQUIRE ECHO ENTER EOJ
    FSAPPEND FSDIRLIST FSQUERY FSUPLOAD FSDELETE FSDOWNLOAD
    FSINIT FSMKDIR
    INFO INITIALIZE INQUIRE JOB OPMSG PJL RDYMSG
    RESET SET STMSG USTATUS USTATUSOFF
    COPIES
  ]

#
# Some options do not really apply to the hp4mplus
# (I used that entry to try the new 4500 DN, too).
# - select tray (I left all of them in, of course the hp4mplus
#   doesn't have all of them ....)
# - manual feed
# - duplex, shortedge, ....
# - select a4 or letter or legal paper
# - set printquality and/or resolution (I guess that will
#    interact if you use both)
# - select rendermode (does not apply to the hp4mplus ...
#
# If you know "more", let me (wig or Wilfried.Gaensheimer@infineon.com)
# know. Or if I got it wrong (i'm still trying to figure out
# how this works) ... wig
#


pjl_printquality=[  printquality=\%s{printquality} ]
pjl_draft=[  printquality=draft ]
pjl_normal=[  printquality=normal ]
pjl_high=[  printquality=high ]

pjl_rendermode=[  rendermode=\%s{rendermode} ]
pjl_color=[  rendermode=color ]
pjl_grayscale=[  rendermode=grayscale ]

pjl_user_opts += [
	color draft grayscale
	high normal printquality rendermode
  ]


# HP LaserJet 4 Family, HP LaserJet {/hp(.*)/$1/}
[ hp4v hp4mv ]
# Paper Selection By Size

ps_letter= <</DeferredMediaSelection true /PageSize [612 792] /ImagingBBox null>> setpagedevice
ps_legal= <</DeferredMediaSelection true /PageSize [612 1008] /ImagingBBox null>> setpagedevice
ps_ledger=<</DeferredMediaSelection true /PageSize [792 1224] /ImagingBBox null>> setpagedevice
ps_oversize=<</DeferredMediaSelection true /PageSize [842 1274] /ImagingBBox null>> setpagedevice
ps_a3 = <</DeferredMediaSelection true /PageSize [842 1191] /ImagingBBox null>> setpagedevice
ps_a4 = <</DeferredMediaSelection true /PageSize [595 842] /ImagingBBox null>> setpagedevice


# PRINTER % - HP LaserJet 5 Family, Hp LaserJet {/hp(.*)/$1/}
[ hp5l ]
pjl_except=[
    EOJ JOB OPMSG RDYMSG STMSG
    FSAPPEND FSDIRLIST FSQUERY FSUPLOAD FSDELETE FSDOWNLOAD FSINIT FSMKDIR
  ]

# PRINTER % - HP LaserJet 6 Family, Hp LaserJet {/hp(.*)/$1/}
[ hp6l hp1100 ]
pjl_except=[
    EOJ JOB OPMSG RDYMSG STMSG
    FSAPPEND FSDIRLIST FSQUERY FSUPLOAD FSDELETE FSDOWNLOAD FSINIT FSMKDIR
  ]

# PRINTER % - HP LaserJet 1000 Family, Hp LaserJet {/hp(.*)/$1/}
[ hp1100 ]
pjl_except=[
    EOJ JOB OPMSG RDYMSG STMSG
    FSAPPEND FSDIRLIST FSQUERY FSUPLOAD FSDELETE FSDOWNLOAD FSINIT FSMKDIR
  ]


# PRINTER % - Hp LaserJet 4L, PCL only
[ hp4l ]
status@
pjl@
pcl
ps@
text@
#Using 'laserjet', the printed area is shifted to the right on a 'portrait
#letter' piece of paper.  Using 'ljet4', it prints centered.  I.e., it
#looks better.
# 
#  Luca Filipozzi, Debian Developer
#gs_device=laserjet
gs_device=ljet4

gs_options=-r300x300
file_output_match = [
  *pcl*  pcl
  *text*  pcl
#  postscript to PCL conversion
  *postscript*  pcl \%s{gs_converter}
  *pdf*              filter  \%s{pdf2ps_converter}
  *gzip_compressed*  filter  \%s{gzip_decompress}
 ]



# PRINTER % - HP LaserJet {/hp(.*)/$1/}
[ hp4ml hp5p hp5mp hp6p hp6mp ]
pjl_except=[
    OPMSG RDYMSG STMSG
    FSAPPEND FSDIRLIST FSQUERY FSUPLOAD FSDELETE FSDOWNLOAD FSINIT FSMKDIR
  ]

# PRINTER % - HP LaserJet {/hp(.*)/$1/}
[ hp5 hp5si hp5simx hp5m ]

pjl_except=[
    FSAPPEND FSDIRLIST FSQUERY FSUPLOAD
  ]

# There may be problems with the copypage and EOJ interaction
#ps_init = [ nocopypage ]
#ps_nocopypage = /copypage {showpage} def

# put things here that should appear at the very very end
#  of the PostScript job,  but BEFORE the ^D at end

#ps_term = [ stopduplex ]
#ps_stopduplex = statusdict begin false setduplexmode end


ps_manual=<</ManualFeed true>> setpagedevice
ps_envelope=<</DeferredMediaSelection true /MediaPosition 2>> setpagedevice

ps_inupper=[ intray1 ]
ps_inlower=[ intray2 ]

## *InputSlot Tray1/Tray 1:
ps_intray1=<</DeferredMediaSelection true /MediaPosition 3>> setpagedevice

##InputSlot Tray2/Tray 2: 
ps_intray2=<</DeferredMediaSelection true /MediaPosition 0>> setpagedevice

##InputSlot Tray3/Tray 3: 
ps_intray3=<</DeferredMediaSelection true /MediaPosition 1>> setpagedevice

##InputSlot Tray4/Tray 4: 
ps_intray4=<</DeferredMediaSelection true /MediaPosition 4>> setpagedevice

# Paper Selection By Size
ps_letter= <</DeferredMediaSelection true /PageSize [612 792] /ImagingBBox null>> setpagedevice
ps_legal= <</DeferredMediaSelection true /PageSize [612 1008] /ImagingBBox null>> setpagedevice
ps_ledger=<</DeferredMediaSelection true /PageSize [792 1224] /ImagingBBox null>> setpagedevice
ps_oversize=<</DeferredMediaSelection true /PageSize [842 1274] /ImagingBBox null>> setpagedevice
ps_a3 = <</DeferredMediaSelection true /PageSize [842 1191] /ImagingBBox null>> setpagedevice
ps_a4 = <</DeferredMediaSelection true /PageSize [595 842] /ImagingBBox null>> setpagedevice


## *OutputBin Upper/Top Output Bin (Face Down):
##ps_outupper=<</Staple 0 /OutputType (TOP OUTPUT BIN)>> setpagedevice
## *OutputBin Left/Left Output Bin (Face Up):
##ps_outlower=
##   currentpagedevice /OutputAttributes get
##   5 known
##         {<</Staple 0 /OutputType (FACE UP BIN)>> setpagedevice}
##         {<</Staple 0 /OutputType (LEFT OUTPUT BIN)>> setpagedevice}
##       ifelse
##
## *OutputBin Stacker/Stacker (Face Down):
ps_outbin2=<</Staple 0 /OutputType (OPTIONAL OUTBIN 2)>> setpagedevice

## *OutputBin Separator/Job Separator (Face Down): 
ps_outbin3=<</Staple 0 /OutputType (OPTIONAL OUTBIN 2)>> setpagedevice

## *OutputBin Stapler/Stapler (Face Down):       
ps_outbin4=<</Staple 2>> setpagedevice

## *OutputBin OutputBin1/Mailbox 1 (Face Down):  
ps_outbin5=<</Staple 0 /OutputType (OPTIONAL OUTBIN 2)>> setpagedevice

## *OutputBin OutputBin2/Mailbox 2 (Face Down):  
ps_outbin6=<</Staple 0 /OutputType (OPTIONAL OUTBIN 3)>> setpagedevice

## *OutputBin OutputBin3/Mailbox 3 (Face Down):  
ps_outbin7=<</Staple 0 /OutputType (OPTIONAL OUTBIN 4)>> setpagedevice

## *OutputBin OutputBin4/Mailbox 4 (Face Down):  
ps_outbin8=<</Staple 0 /OutputType (OPTIONAL OUTBIN 5)>> setpagedevice

## *OutputBin OutputBin5/Mailbox 5 (Face Down):  
ps_outbin9=<</Staple 0 /OutputType (OPTIONAL OUTBIN 6)>> setpagedevice

## *Duplex None/Off: 
ps_simplex=
     <</Duplex false /Tumble false>> setpagedevice
## *Duplex DuplexNoTumble/Long-Edge Binding: 
ps_duplex=
	<</Duplex true /Tumble false>> setpagedevice
ps_lduplex= [ duplex ]
## *Duplex DuplexTumble/Short-Edge Binding: 
ps_duplexshort=
	<</Duplex true /Tumble true>> setpagedevice
ps_sduplex= [ duplexshort ]

ps_tumble=<</Tumble true>> setpagedevice
ps_shortedge=[ tumble ]

ps_user_opts += [
	letter ledger simplex duplex
    intray1 intray2 intray3 intray4
    outbin2 outbin3 outbin4 outbin5 outbin6 outbin7 outbin8 outbin9
 ]


## We have printcap information
[ hp4000_pcl ]
## pcl paper source selection
##   use -Zsource=n
## 0 - current, 1 - tray 2 (first cassette), 2 - manual
## 3 - ????
## 4 - tray 1 (Multipurpose), 5 - tray 3 (second cassete)
## 6 - envelope    8 - tray 4 (third cassette)
## 20-39 high capacity input trays 2-21
##

pcl_intray1=\033&l4H
pcl_intray2=\033&l1H
pcl_intray3=\033&l5H
pcl_intray4=\033&l8H

pcl_bond         = \033&n5WdBond
pcl_plain        = \033&n6WdPlain
pcl_color        = \033&n6WdColor
pcl_labels       = \033&n7WdLabels
pcl_recycled     = \033&n9WdRecycled
pcl_letterhead   = \033&n11WdLetterhead
pcl_cardstock    = \033&n10WdCardstock
pcl_prepunched   = \033&n11WdPrepunched
pcl_transparency = \033&n13WdTransparency

pcl_user_opts += [
    intray1 intray2 intray3 intray4
    bond plain color labels recycled
    letterhead cardstock prepunched transparency
 ]

# now we define the additional goodies that we have

# PRINTER % - HP LaserJet {/hp(.*)/$1/}
[ hp4100 hp4200 hp4300 ]
tc=hp4000_pcl
pjl_waitend_byjobname

# PRINTER % - HP LaserJet {/hp(.*)/$1/}
[ hp5simopier hp4000 ]
tc=hp4000_pcl


# PRINTER % - HP Color LaserJet {/hpcolorlj(.*)/$1/}
[ hpcolorlj hpcolorlj5 hpcolorlj5m ]
pjl_only=[
    COMMENT ECHO ENTER EOJ
    INFO INITIALIZE INQUIRE JOB PJL RDYMSG
    USTATUS USTATUSOFF
  ]

# PRINTER hpdj1200 - HP DesignJet 1200 Family
[ hpdj1200 ]
pjl_only=[
    COMMENT ENTER
    PJL
  ]
status@


# PRINTER hppjxl300 - HP PaintJet XL 300 Family
[ hppjxl300 ]
pjl_only=[
    COMMENT ENTER
    PJL
  ]
status@

# PRINTER hpdj1600 - HP DesignJet 1600 Family
[ hpdj1600 ]
pjl_only=[
    COMMENT DEFAULT DINQUIRE ECHO ENTER EOJ
    JOB PJL
    RESET SET
  ]

# PRINTER % - HP DeskJet {/hpdj(.*)/$1/}
[ hpdj200 hpdj220 hpdj600 hpdj650 ]

pjl_only=[
    COMMENT ECHO ENTER
    INFO 
    USTATUS USTATUSOFF
  ]

# PRINTER % - HP DeskJet {/hpdj(.*)/$1/}
[ hpdj230 hpdj250c hpdj330 hpdj350c hpdj430 hpdj450c hpdj455ca hpdj700 hpdj750c hpdj750cplus hpdj755cm hpdj2000cp ]

# The plotter version likes HPGL2 files
hpgl2

pjl_only=[
    COMMENT ECHO ENTER EOJ
    INFO JOB RESET SET
    USTATUS USTATUSOFF
  ]


#
# The HP DesignJet 2500 CP and the HP2500 (hp2500) are NOT the same
#
# hp2500 hp2500cm chp2500c
# HP 2500C, HP 2500C+ and HP 2500CM - What's the Difference?
# 
# HP 2500C
# 
# The HP 2500C with 4MB RAM is a network capable printer for Windows
# and DOS. This is the base model in the HP 2500C series printer
# family. The printer is designed to leverage existing hardware
# investments with the flexibility to install a HP MIO print server,
# upgrade with Adobe PostScript 3 or PCL 5Ce and memory up to 84MB
# RAM when you need it.
# 
# HP 2500C+2
# 
# The HP 2500C+ with 12 MB RAM and PCL 5Ce, is a network capable
# printer designed to serve users who have standardized on a PCL 5Ce
# printing solution or require a replacement for the DeskJet 1200C
# or DeskJet 1600C series of color inkjet printers. This printer also
# offers the flexibility to install a HP MIO print server, upgrade
# with Adobe Postscript 3 and memory up to 84 MB RAM, when you need
# it.
# 
# HP 2500CM 
# 
# The HP 2500CM with 20 MB RAM and Adobe PostScript 3 is a network
# ready printer for Macintosh, Windows and DOS. This printer is
# designed for immediate workgroup connectivity with built-in HP MIO
# print server and true Adobe PostScript 3, upgradable to a total of
# 84MB RAM for maximum document portability.
# 

# PRINTER % - HP DesignJet {/hp(.*)/$1/} - No PCL, PostScript Only
[ hp2500 hp2500cm hp2500c ]

# no PCL, only PostScript and limited PJL
pcl@
ps
pjl
# some firmware releases for this printer do not like ^D
ps_eoj@

pjl_only=[
    COMMENT ECHO ENTER EOJ
    INFO JOB RESET SET
    USTATUS USTATUSOFF
  ]

# PRINTER % - HP DesignJet {/hp(.*)/$1/} - PCL and PostScript
[ hp2500cm ]
tc=hp2500
pcl

# PRINTER hpdj2500cp - HP DesignJet 2500CP, not HP2500, HP2500c, HP2500cm
[ hpdj2500cp ]

# Supplied by: Wilfried.Gaensheimer@infineon.com
# my try to get most out of our HP DesignJet 2500 ...
# please let me (Wilfried.Gaensheimer@infineon.com) know when I got it wrong  ...
#wig19990813
#   Modified Patrick Powell Fri Aug 13 11:14:35 PDT 1999

pjl_only=[
    COMMENT ECHO ENTER EOJ
    INFO JOB RESET SET
    USTATUS USTATUSOFF
  ]

# This device does not support pagecount (obvious ...)
pagecount@

#
# According to my copy of the PJL reference guide it supports
# only the DEVICE and the TIMED USTATUS commands ...
# I just don't know what these are for ... ?
#
pjl_ustatus=
    @PJL USTATUSOFF
    @PJL USTATUS DEVICE = ON
    @PJL USTATUS TIMED = 10

#
# setting orientation, printqualtity, rendermode with PJL did not work ...
# I left them in, but PostScript seems to be the better place ...
#
#
# DesignJet does not honor these PJLs???
# O.k., so we resort to ps_ (see below) ....
# I left them in because they might work one day ....
#
pjl_a3=[  paperlength=8420 paperwidth=11910 ]

pjl_draft=[  printquality=draft ]
pjl_normal=[  printquality=normal ]
pjl_high=[  printquality=high ]

pjl_color=[  rendermode=color ]
pjl_grayscale=[  rendermode=grayscale ]

pjl_user_opts += [ 
    autoselect autoconf
    paperlength paperwidth printquality draft normal high
    gamma color greyscale rendermode 
    ]

#
# We need to use the PostScript options ...
# Some of them might be there because of copy&paste ...
#
#
# The options allow to:
#   - choose manualfeed
#   - choose certain papersizes ( fb is for full bleed)
#   - scale on papersize to another (use -Za4,autoscale_a3)
#   - choose rendermode (color vs. grayscale)
#   - set gamma (defaults to 0.333, allows to reduce intensity
#     for ink based printing of "real" pictures
#   - set orientation
#   - set printquality
#   - set resolution (t.b.d.)
# 
# BTW.: If you want to have a A3 printed in endless paper, combine that
#   with the "landscape" option

ps_autoscale_letter=/HPDict /ProcSet findresource /SetAutoScale get
        true exch exec /HPDict /ProcSet findresource /SetDestinationPageSize
        get [612 792 ] exch exec <<>> setpagedevice

ps_autoscale_a4=/HPDict /ProcSet findresource /SetAutoScale get
        true exch exec /HPDict /ProcSet findresource /SetDestinationPageSize
        get [595 842] exch exec <<>> setpagedevice

ps_autoscale_a3=/HPDict /ProcSet findresource /SetAutoScale get
        true exch exec /HPDict /ProcSet findresource /SetDestinationPageSize
        get [842 1191] exch exec <<>> setpagedevice

ps_autoscale_a0=/HPDict /ProcSet findresource /SetAutoScale get
        true exch exec /HPDict /ProcSet findresource /SetDestinationPageSize
        get [2384 3370] exch exec <<>> setpagedevice

ps_autoscale_36x60=/HPDict /ProcSet findresource /SetAutoScale get
        true exch exec /HPDict /ProcSet findresource /SetDestinationPageSize
        get [2592 4320] exch exec <<>> setpagedevice

ps_a4=<</PageSize[595 842]/ImagingBBox null>> setpagedevice

# full bleed ...
ps_a4fb=<</PageSize[760 1059]/ImagingBBox null>> setpagedevice

ps_a3=<</PageSize[842 1191]/ImagingBBox null>> setpagedevice

ps_a3fb=<</PageSize[1007 1408]/ImagingBBox null>> setpagedevice

ps_a0=<</PageSize[2384 3370]/ImagingBBox null>> setpagedevice

ps_grayscale=<< /ProcessColorModel /DeviceGray >> setpagedevice

ps_color=<< /ProcessColorModel /DeviceCMYK >> setpagedevice

ps_landscape=userdict /HPCustTrans known
  {
    (<<) cvx exec
    /Orientation
    userdict /HPCustTrans get 
    1 eq 
    { 0 }
    { 1 } ifelse 
    (>>) cvx exec setpagedevice
  }
  {
    <</Orientation 1>> setpagedevice
  } ifelse

ps_portrait=userdict /HPCustTrans known
  {
    (<<) cvx exec
    /Orientation
    userdict /HPCustTrans get 
    (>>) cvx exec setpagedevice
  }
  {
     <</Orientation 0>> setpagedevice
  } ifelse

# set gamma correction to reduce color intensity for InkJets ..
gamma=0.333
ps_gamma={ \%6.3f{gamma} exp } dup dup currenttransfer set colortransfer

ps_printquality=[ \%s{printquality} ]

ps_draft=  << /HWResolution [300 300]
    /PostRenderingEnhance true
    /PostRenderingEnhanceDetails
    << /PrintQuality 1
    /Type 11 >>
    >> setpagedevice

ps_normal= << /HWResolution [300 300]
    /PostRenderingEnhance true
    /PostRenderingEnhanceDetails
    << /PrintQuality 2
      /Type 11 >>
  >> setpagedevice

ps_fast= [ high ]
ps_high= << /HWResolution [600 600]
    /PostRenderingEnhance true
    /PostRenderingEnhanceDetails
    << /PrintQuality 3
      /Type 11 >>
    >> setpagedevice

ps_user_opts += [
	a0 a3 a3fb a4 a4fb autoscale_36x60 autoscale_a0 autoscale_a3
	autoscale_a4 autoscale_letter color draft fast
	gamma grayscale high landscape normal portrait printquality
    font
 ]

#
# O.K., here we are the end of the story, at least today ...
#wig19990813
#


# PRINTER % - HP Color LaserJet Printer {/hp(.*)/$1/}
[ hp4500 hp8500 hp8550 hp4550n]

# Apparently this printer does not like ^D at start of job
ps_eoj_at_start@
pjl_inupper=[  mediasource=tray0 ]
pjl_inlower=[  mediasource=tray1 ]

## paper source selection
##   use -Zsource=n
## 0 - current, 1 - lower, tray2, 2 - manual paper, 3 - manual envelope
## 4 - upper tray1,   5 - optional paper, high capacity - tray3

pcl_intray1=\033&l4H
pcl_intray2=\033&l1H
pcl_intray3=\033&l5H

pcl_bond         = \033&n5WdBond
pcl_plain        = \033&n6WdPlain
pcl_color        = \033&n6WdColor
pcl_labels       = \033&n7WdLabels
pcl_recycled     = \033&n9WdRecycled
pcl_letterhead   = \033&n11WdLetterhead
pcl_cardstock    = \033&n10WdCardstock
pcl_prepunched   = \033&n11WdPrepunched
pcl_preprinted   = \033&n11WdPreprinted
pcl_transparency = \033&n13WdTransparency
pcl_rough        = \033&n6WdRough
pcl_vellum       = \033&n7WdVellum
pcl_gloss        = \033&n7WdGloss

pcl_user_opts += [
	intray1 intray2 intray3
    bond plain color labels
	recycled letterhead cardstock prepunched
	preprinted transparency rough vellum gloss
 ]
#duplex (optional)
ps_simplex= <</Duplex false /Tumble false>> setpagedevice
ps_duplex= <</Duplex true /Tumble false>> setpagedevice
ps_lduplex=[ duplex ]
ps_duplexshort= <</Duplex true /Tumble true>> setpagedevice
ps_sduplex=[ duplexshort ]

ps_tumble= <</Tumble false>> setpagedevice
ps_shortedge=[ tumble ]

#Tray
#  This is totally bizzare and does not make sense
#  but this is what the PPD file says.
ps_inupper=  <</MediaPosition 0>> setpagedevice
ps_intray1=  <</MediaPosition 0>> setpagedevice
ps_inlower= <</MediaPosition 3>> setpagedevice
ps_intray2= <</MediaPosition 3>> setpagedevice
ps_intray3= <</MediaPosition 1>> setpagedevice

ps_manual= <</ManualFeed true>> setpagedevice

#PageSize
ps_letter= <</PageSize [612 792] /ImagingBBox null>> setpagedevice
ps_legal= <</PageSize [612 1008] /ImagingBBox null>> setpagedevice
ps_executive= <</PageSize [522 756] /ImagingBBox null>> setpagedevice
ps_a3= <</PageSize [842 1191] /ImagingBBox null>> setpagedevice
ps_a4= <</PageSize [595 842] /ImagingBBox null>> setpagedevice
ps_a5= <</PageSize [420 595] /ImagingBBox null>> setpagedevice
ps_b5= <</PageSize [516 729] /ImagingBBox null>> setpagedevice
ps_envb5= <</PageSize [499 709] /ImagingBBox null>> setpagedevice
ps_env10= <</PageSize [297 684] /ImagingBBox null>> setpagedevice
ps_envc5= <</PageSize [459 649] /ImagingBBox null>> setpagedevice
ps_envmonarch= <</PageSize [312 624] /ImagingBBox null>> setpagedevice
#MediaType
ps_plain= <</MediaType (Plain)>> setpagedevice
ps_preprinted= <</MediaType (Preprinted)>> setpagedevice
ps_letterhead= <</MediaType (Letterhead)>> setpagedevice
ps_transparency= <</MediaType (Transparency)>> setpagedevice
ps_glossy= <</MediaType (Gloss)>> setpagedevice
ps_prepunched=  <</MediaType (Prepunched)>> setpagedevice
ps_labels= <</MediaType (Labels)>> setpagedevice
ps_bond= <</MediaType (Bond)>> setpagedevice
ps_recycled= <</MediaType (Recycled)>> setpagedevice
ps_color= <</MediaType (Color)>> setpagedevice
ps_heavy= <</MediaType (Heavy)>> setpagedevice
ps_cardstock= <</MediaType (Cardstock)>> setpagedevice
# Print Color as Gray
ps_colorasgray= <</ProcessColorModel /DeviceGray>> setpagedevice
ps_colorascolor= <</ProcessColorModel /DeviceCMY>> setpagedevice
# CMYK Ink Space
ps_cmykinksfast= << /CMYKInkSet 0 >> setpagedevice
ps_cmykinksswop= << /CMYKInkSet 1 >> setpagedevice
ps_cmykinkseuro= << /CMYKInkSet 2 >> setpagedevice
ps_cmykinkstoyo= << /CMYKInkSet 3 >> setpagedevice

ps_user_opts +=[
    a3 a4 a5 b5 bond cardstock cmykinkseuro cmykinksfast cmykinksswop
    cmykinkstoyo color colorascolor colorasgray duplex duplexshort
    env10 envb5 envc5 envmonarch executive glossy heavy inlower
    inupper labels legal letter letterhead manual plain preprinted
    prepunched recycled simplex transparency tray1 tray2 tray3
	lduplex sduplex tumble shortedge
]

# PRINTER hp4550n - HP 4550N
[ hp4550n ]
# to fix waitend
pjl_waitend_byjobname

#
# Hewlett Packard 5000 Series
# Model number: C4111A (LaserJet 5000N)
# Printer short description: Letter/Legal/A4/A3, PostScript Level3
#
# Input taken from
# hp5000_6.ppd
#
# Author: Wilfried.Gaensheimer@infineon.com
# wig19991020
#
# Status: untested
#
# Open Issues:
#
# Implemented commands:
#
# PJL:
#
# paper: A3,A4,Letter,Legal,Ledger/Tabloid/11x17
# resolution: 300/300dpi | 600/600dpi | 1200/1200dpi
# ??bitsperpixel: ( 2 | 1 )
# ??economode: ( ON | OFF )
# 
# Postscript:
#
# ?? collate: ( true | false )
# ?? smoothing: ( true | false )
# pagesize/papersize/paper:
#        letter | executive | legal | ledger/tabloid/11x17 | a3 | a4 | a5
#   not implemented: ....
# source/tray: upper/tray1 | manual/manualfeed | middle/tray2 |
#             lower/tray3 |largecapacity/tray4/large |
# media type: plain | transparency | preprinted
#   not implemented: | letterhead | prepunched | labels | bond | recycled |
#              colorpaper (*) | cardstock | rough
# (*) color in PPD
# ?? scalepattern (not implemented)
# ?? halftone: enhanced | standard (not implemented)
# duplex | sduplex/duplexshort | simplex | shortedge/tumble

# PRINTER % - HP 5000 Model C4111A (LaserJet 5000)
[ hp5000 ]

pjl_only=[
    COMMENT DEFAULT DINQUIRE ECHO ENTER EOJ
    FSAPPEND FSDIRLIST FSQUERY FSUPLOAD FSDELETE FSDOWNLOAD
    FSINIT FSMKDIR
    INFO INITIALIZE INQUIRE JOB OPMSG PJL RDYMSG
    RESET SET STMSG USTATUS USTATUSOFF
    COPIES
]

economode=ON
pjl_economode=[  economode=\%s{economode} ]
pjl_economodeoff=[  economode=off ]

pjl_user_opts += [
	bitsperpixel economode economodeoff
    ]

# we have the same PCL as the HP 4000
tc=hp4000_pcl

# now we do the PostScript

collate=true
ps_collate=<</Collate \%s{collate}>> setpagedevice

# smoothing: ( true | false )
smoothing=true
ps_smoothing=
   << /PostRenderingEnhance true /PostRenderingEnhanceDetails << /REValue 2 /Type 8 >>
    >> setpagedevice
ps_nosmoothing=
   << /PostRenderingEnhance true /PostRenderingEnhanceDetails << /REValue 0 /Type 8 >>
    >> setpagedevice

#
# Paper size selection ...
#
ps_letter=<</PageSize [612 792] /ImagingBBox null>> setpagedevice
ps_executive= <</PageSize [522 756] /ImagingBBox null>> setpagedevice
ps_legal= <</PageSize [612 1008] /ImagingBBox null>> setpagedevice
ps_ledger= <</PageSize [792 1224] /ImagingBBox null>> setpagedevice
ps_a3= <</PageSize [842 1191] /ImagingBBox null>> setpagedevice
ps_a4= <</PageSize [595 842] /ImagingBBox null>> setpagedevice
ps_a5= <</PageSize [420 595] /ImagingBBox null>> setpagedevice

#
# source ...
#
ps_inupper=<</ManualFeed false /MediaPosition 3>> setpagedevice
ps_intray1=[ inupper ]
ps_manual=<</ManualFeed true /MediaPosition 3>> setpagedevice
ps_manualfeed=[ manual ]
ps_inmiddle=<</ManualFeed false /MediaPosition 0>> setpagedevice
ps_intray2=[ inmiddle ]
ps_inlower=<</ManualFeed false /MediaPosition 1>> setpagedevice
ps_intray3=[ inlower ]
ps_inlargecapacity=<</ManualFeed false /MediaPosition 4>> setpagedevice
ps_inlarge=[ inlargecapacity ]
ps_intray4=[ inlargecapacity ]

#
# Media type ...
#
ps_plain=<</MediaType (Plain)>> setpagedevice
ps_preprinted=<</MediaType (Preprinted)>> setpagedevice
ps_transparency=<</MediaType (Transparency)>> setpagedevice

#
# Duplex control ..
#
ps_duplex=<</Duplex true>> setpagedevice
ps_lduplex=[ duplex ]
ps_duplexshort=<</Duplex true /Tumble true>> setpagedevice
ps_sduplex=[ duplexshort ]
ps_simplex=<</Duplex false /Tumble false>> setpagedevice

ps_tumble=<</Tumble true>> setpagedevice
ps_shortedge=[ tumble ]

ps_user_opts += [
	collate executive inlarge inlargecapacity
	inmiddle intray intray1 intray2 intray3 intray4
	nosmoothing pagesize paper
	papersize plain preprinted smoothing
	source
    ]

#
# Take PCL from generic section ....
#

#!End of [ hp5000 ]

#
# Hewlett Packard 8000 Series, 8100 Series
#
# Printer short description: Letter/Legal/A4, PostScript Level3
#                            300/600
#
# Input taken from
# hp8000_5.ppd
#
# Author: Wilfried.Gaensheimer@infineon.com
# wig19990921
#
# Status: untested
#
# Open Issues:
#
# Implemented commands:
#
# PJL:
#
# resolution: 300/300dpi | 600/600dpi
# bitsperpixel: ( 2 | 1 )
# economode: ( ON | OFF )
# 
# Postscript:
#
# outputbin: upper/topbin | left/leftbin | 
#   not implemented: stacker | collator |separator | stapler | ....
# collate: ( true | false )
# smoothing: ( true | false )
# pagesize/papersize/paper:
#        letter | executive | legal | tabloid/11x17 | a3 | a4 | a5
#   not implemented: w842h1274 | b4 | b5 | doublepostcard |
#                    w612h935 | w558h774 | w774h1116 |
#                    env10 envmonarch envdl envc5 envisob5
# source/tray: upper/tray1 | manual/manualfeed | middle/tray2 |
#             lower/tray3 |largecapacity/tray4/large |
#             tray5 | envelope | plain | preprinted | 
#             transparency 
#   not implemented: | letterhead | prepunched | labels | bond | recycled |
#              colorpaper (*) | cardstock | rough
# (*) color in PPD
# scalepattern (not implemented)
# halftone: enhanced | standard
# duplex | sduplex/duplexshort | simplex | shortedge/tumble

# PRINTER % - HP LaserJet 8000 Series, {/hp(.*)/HP$1/}

[ hp8000 hp8100 hp8150 ]

pjl_only=[
    COMMENT DEFAULT DINQUIRE ECHO ENTER EOJ
    FSAPPEND FSDIRLIST FSQUERY FSUPLOAD FSDELETE FSDOWNLOAD
    FSINIT FSMKDIR
    INFO INITIALIZE INQUIRE JOB OPMSG PJL RDYMSG
    RESET SET STMSG USTATUS USTATUSOFF
    COPIES
]

pjl_economodeoff=[  economode=off ]
#ExtractedKey: JCLEconomode True/Save Toner
pjl_economode=[  economode=on ]
#ExtractedKey: JCLFastRes True/On
pjl_fastres=[  bitsperpixel=2 ]
#ExtractedKey: JCLFastRes False/Off
pjl_fastresoff=[  bitsperpixel=1 ]

pjl_user_opts += [
    economode economodeoff fastres fastresoff
 ]

# the HP 8000 has the same PCL as the hp4000
tc=hp4000_pcl

## but different large capacity definition !
## 20-39 high capacity input trays 2-21
##
## the large capacity tray 4 has a different pcl definition

pcl_intray4=\033&l20H
pcl_lf_stacker=\033&l3G
pcl_stacker1=\033&l4G
pcl_stacker2=\033&l5G
pcl_stacker3=\033&l6G
pcl_stacker4=\033&l7G
pcl_stacker5=\033&l8G
pcl_stacker6=\033&l9G
pcl_stacker7=\033&l10G
pcl_stacker8=\033&l11G

pcl_user_opts += [
	lf_stacker stacker1 stacker2 stacker3 stacker4
	stacker5 stacker6 stacker7 stacker8
 ]

# now for the PostScript

ps_outputbin=[ \%s{outputbin} ]

# *OutputBin Upper/Top Bin: "<</Staple 0 /OutputType (TOP OUTPUT BIN)>> setpagedevice"
ps_outupper=<</Staple 0 /OutputType (TOP OUTPUT BIN)>> setpagedevice
ps_topbin=[ outupper ]

ps_leftbin=
   currentpagedevice /OutputAttributes get
   4 known
         {<</Staple 0 /OutputType (FACE UP BIN)>> setpagedevice}
         {<</Staple 0 /OutputType (LEFT OUTPUT BIN)>> setpagedevice}
       ifelse
ps_outleft=[ leftbin ]
ps_outlower=[ leftbin ]

# *OutputBin Stacker/Stacker: "<</Staple 0 /OutputType (OPTIONAL OUTBIN 2)>> setpagedevice"
ps_lf_stacker= <</Staple 0 /OutputType (OPTIONAL OUTBIN 2)>> setpagedevice
# *OutputBin Stapler2/Stapler (max 50 Sheets): "
#   userdict /HPStapleOption known {<</Staple 2 /StapleDetails <</Type 8 /StapleOption HPStapleOption /Portrait true>> >>
#     setpagedevice}{<</Staple 2 /StapleDetails <</Type 8 /Portrait true>> >> setpagedevice} ifelse"
# *End
# *OutputBin Stapler2Opposing/Stapler Opposing (max 50): "
#   userdict /HPStapleOption known {<</Staple 2 /StapleDetails <</Type 8 /StapleOption HPStapleOption /Portrait false>> >>
#     setpagedevice}{<</Staple 2 /StapleDetails <</Type 8 /Portrait false>> >> setpagedevice} ifelse"
# *End
# *OutputBin Stapler/Stapler (max 20 Letter or A4): "<</Staple 2>> setpagedevice"
ps_stapler= <</Staple 2>> setpagedevice
# *OutputBin Collator/Collator: "<</Staple 0 /OutputType (OPTIONAL OUTBIN 2)>> setpagedevice"
# *OutputBin Separator/Job Separator: "<</Staple 0 /OutputType (OPTIONAL OUTBIN 2)>> setpagedevice"
# *OutputBin OutputBin1/Bin 1: "<</Staple 0 /OutputType (OPTIONAL OUTBIN 2)>> setpagedevice"
# *OutputBin OutputBin2/Bin 2: "<</Staple 0 /OutputType (OPTIONAL OUTBIN 3)>> setpagedevice"
# *OutputBin OutputBin3/Bin 3: "<</Staple 0 /OutputType (OPTIONAL OUTBIN 4)>> setpagedevice"
# *OutputBin OutputBin4/Bin 4: "<</Staple 0 /OutputType (OPTIONAL OUTBIN 5)>> setpagedevice"
# *OutputBin OutputBin5/Bin 5: "<</Staple 0 /OutputType (OPTIONAL OUTBIN 6)>> setpagedevice"
# *OutputBin OutputBin6/Bin 6: "<</Staple 0 /OutputType (OPTIONAL OUTBIN 7)>> setpagedevice"
# *OutputBin OutputBin7/Bin 7: "<</Staple 0 /OutputType (OPTIONAL OUTBIN 8)>> setpagedevice"
# *OutputBin OutputBin8/Bin 8: "<</Staple 0 /OutputType (OPTIONAL OUTBIN 9)>> setpagedevice"
ps_stacker1 = <</Staple 0 /OutputType (OPTIONAL OUTBIN 2)>> setpagedevice
ps_stacker2 = <</Staple 0 /OutputType (OPTIONAL OUTBIN 3)>> setpagedevice
ps_stacker3 = <</Staple 0 /OutputType (OPTIONAL OUTBIN 4)>> setpagedevice
ps_stacker4 = <</Staple 0 /OutputType (OPTIONAL OUTBIN 5)>> setpagedevice
ps_stacker5 = <</Staple 0 /OutputType (OPTIONAL OUTBIN 6)>> setpagedevice
ps_stacker6 = <</Staple 0 /OutputType (OPTIONAL OUTBIN 7)>> setpagedevice
ps_stacker7 = <</Staple 0 /OutputType (OPTIONAL OUTBIN 8)>> setpagedevice
ps_stacker8 = <</Staple 0 /OutputType (OPTIONAL OUTBIN 9)>> setpagedevice


collate=true
ps_collate=<</Collate \%s{collate}>> setpagedevice

# smoothing: ( true | false )
smoothing=true
ps_smoothing=
   << /PostRenderingEnhance true /PostRenderingEnhanceDetails << /REValue 2 /Type 8 >>
    >> setpagedevice
ps_nosmoothing=
   << /PostRenderingEnhance true /PostRenderingEnhanceDetails << /REValue 0 /Type 8 >>
    >> setpagedevice

#
# Paper size selection ...
#
ps_letter=<</DeferredMediaSelection true /PageSize [612 792] /ImagingBBox null>> setpagedevice
ps_executive=
    <</DeferredMediaSelection true /PageSize [522 756] /ImagingBBox null>> setpagedevice
ps_legal=
    <</DeferredMediaSelection true /PageSize [612 1008] /ImagingBBox null>> setpagedevice
ps_ledger=
  <</DeferredMediaSelection true /PageSize [792 1224] /ImagingBBox null>> setpagedevice
ps_a3=
    <</DeferredMediaSelection true /PageSize [842 1191] /ImagingBBox null>> setpagedevice
ps_a4=
    <</DeferredMediaSelection true /PageSize [595 842] /ImagingBBox null>> setpagedevice
ps_a5=
    <</DeferredMediaSelection true /PageSize [420 595] /ImagingBBox null>> setpagedevice

#
# source ...
#

ps_inupper=<</ManualFeed false /MediaPosition 3>> setpagedevice
ps_intray1=[ inupper ]
ps_manual=<</ManualFeed true /MediaPosition 3>> setpagedevice
ps_manualfeed=[ manual ]
ps_inmiddle=<</ManualFeed false /MediaPosition 0>> setpagedevice
ps_intray2=[ inmiddle ]
ps_inlower=<</ManualFeed false /MediaPosition 1>> setpagedevice
ps_intray3=[ inlower ]
ps_inlargecapacity=<</ManualFeed false /MediaPosition 5>> setpagedevice
ps_inlarge=[ inlargecapacity ]
ps_intray4=[ inlargecapacity ]
ps_intray5=<</ManualFeed false /MediaPosition 6>> setpagedevice

ps_bond= <</ManualFeed false /MediaType (Bond)>> setpagedevice
ps_cardstock= <</ManualFeed false /MediaType (Card Stock)>> setpagedevice
ps_color= <</ManualFeed false /MediaType (Color)>> setpagedevice
ps_envelope= <</ManualFeed false /MediaPosition 2>> setpagedevice
ps_labels= <</ManualFeed false /MediaType (Labels)>> setpagedevice
ps_letterhead= <</ManualFeed false /MediaType (Letterhead)>> setpagedevice
ps_plain=<</ManualFeed false /MediaType (Plain)>> setpagedevice
ps_preprinted= <</ManualFeed false /MediaType (Preprinted)>> setpagedevice
ps_prepunched=  <</ManualFeed false /MediaType (Prepunched)>> setpagedevice
ps_recycled= <</ManualFeed false /MediaType (Recycled)>> setpagedevice
ps_rough=  <</ManualFeed false /MediaType (Rough)>> setpagedevice
ps_transparency=<</ManualFeed false /MediaType (Transparency)>> setpagedevice

ps_halftone=[ \%s{halftone} ]
ps_enhanced=
  << /Install {
     currentpagedevice /HWResolution get
     dup 0 get 600 eq exch 1 get 600 eq and
     { /EnhancedColorRendering600 } { /EnhancedColorRendering } ifelse
     /ColorRendering findresource setcolorrendering
     /EnhancedHalftone /Halftone findresource sethalftone
     { } settransfer false setstrokeadjust
   }
   >> setpagedevice
   currentpagedevice /HWResolution get dup 0 get 600 eq exch 1 get 600 eq and
   {
       << /PostRenderingEnhance true
            /PostRenderingEnhanceDetails << /REValue 0 /Type 8 >>
       >> setpagedevice
   } if
   /setscreen { pop pop pop } def
   /setcolorscreen { pop pop pop pop pop pop pop pop pop pop pop pop } def
   /sethalftone { pop } def 
ps_standard=
     << /Install {
     currentpagedevice /HWResolution get
     dup 0 get 600 eq exch 1 get 600 eq and dup
     currentpagedevice /PostRenderingEnhance get
     currentpagedevice /PostRenderingEnhanceDetails get /REValue get 0 ne and
     { {/DefaultColorRenderingRE600} {/DefaultColorRenderingRE} ifelse}
     { {/DefaultColorRendering600} {/DefaultColorRendering} ifelse} ifelse
     /ColorRendering findresource setcolorrendering
     { /DefaultHalftone600 } {/DefaultHalftone} ifelse
     /Halftone findresource sethalftone
     {} settransfer false setstrokeadjust
   } >> setpagedevice
   currentpagedevice /HWResolution get dup 0 get 600 eq exch 1 get 600 eq and
   {
     << /PostRenderingEnhance true /PostRenderingEnhanceDetails
     << /REValue 0 /Type 8 >> >> setpagedevice
   } if  

#
# Duplex control ..
#
ps_duplex=<</Duplex true>> setpagedevice
ps_lduplex=[ duplex ]
ps_sduplex=<</Duplex true /Tumble true>> setpagedevice
ps_duplexshort=[ sduplex ]
ps_simplex=<</Duplex false /Tumble false>> setpagedevice

ps_tumble=<</Tumble true>> setpagedevice
ps_shortedge=[ tumble ]

ps_user_opts += [
	collate enhanced halftone inlarge inlargecapacity inmiddle intray
	intray1 intray2 intray3 intray4 intray5 leftbin nosmoothing outleft
	outputbin pagesize paper papersize plain preprinted smoothing source
	standard topbin
	bond cardstock color envelope labels letterhead plain
	preprinted prepunched recycled rough transparency
    stapler lf_stacker stacker1 stacker2 stacker3 stacker4 stacker5 stacker6 stacker7 stacker8
    ]

#!End of [ hp8000 ]


# same feature set as the HP 4000
# but no outbins, no media selection

# PRINTER hp2100 - HP LaserJet 2100 Series

[ hp2100 ]

## pcl paper source selection
##   use -Zsource=n
## 0 - current, 1 - tray 2 (first cassette), 2 - manual
## 3 - ????
## 4 - tray 1 (Multipurpose), 5 - tray 3 (second cassete)

pcl_intray1=\033&l4H
pcl_intray2=\033&l1H
pcl_intray3=\033&l5H

pcl_user_opts += [
    intray1 intray2 intray3
 ]

# minimalist low end laserjet printer
#  like HP4MP, but has some tray selection

# PRINTER hp2200 - HP LaserJet 2200 Series
[ hp2200 ]

pjl_vars_set += [
	LANG=ENGLISH!ENUMERATED;ENGLISH,FRENCH,GERMAN,ITALIAN,SPANISH,SWEDISH,DANISH,NORWEGIAN,DUTCH,FINNISH,PORTUGUESE,TURKISH,POLISH,RUSSIAN,CZECH,HUNGARIAN
	COPIES=1!RANGE;1,999
	DUPLEX=ENUMERATED;OFF,ON
	BINDING=ENUMERATED;LONGEDGE,SHORTEDGE
	PAPER=LETTER!ENUMERATED;LETTER,LEGAL,A4,EXECUTIVE,COM10,MONARCH,C5,DL,ISOB5,B5,CUSTOM,JISB5,JPOST,JPOSTD,A5,FOOLSCAP,ROC16K
	ORIENTATION=PORTRAIT!ENUMERATED;PORTRAIT,LANDSCAPE
	FORMLINES=60!RANGE;5,128
	MANUALFEED=ENUMERATED;OFF,ON
	RET=ENUMERATED;OFF,ON
	PAGEPROTECT=ENUMERATED;AUTO,ON
	RESOLUTION=ENUMERATED;300,600,1200
	PERSONALITY=AUTO!ENUMERATED;AUTO,PCL,POSTSCRIPT
	TIMEOUT=300!RANGE;5,300
	MPTRAY=ENUMERATED;CASSETTE,FIRST
	INTRAY1=ENUMERATED;UNLOCKED,LOCKED
	INTRAY2=ENUMERATED;UNLOCKED,LOCKED
	INTRAY3=ENUMERATED;UNLOCKED,LOCKED
	AUTOCONT=ENUMERATED;OFF,ON
	DENSITY=RANGE;1,5
	SCAN=RANGE;0,65535
	QTY=1!RANGE;0,999
	ECONOMODE=ENUMERATED;OFF,ON
	COURIER=ENUMERATED;REGULAR,DARK
	WIDEA4=ENUMERATED;NO,YES
	REPRINT=AUTO!ENUMERATED;OFF,ON,AUTO
	BITSPERPIXEL=ENUMERATED;1,2
	TRAY1TEMP=ENUMERATED;HIGH,MEDIUM,LOW,HIGH2
	TRAY2TEMP=ENUMERATED;HIGH,MEDIUM,LOW,HIGH2
	TRAY3TEMP=ENUMERATED;HIGH,MEDIUM,LOW,HIGH2
	TESTPAGE=ENUMERATED;SELFTEST,PCLTYPELIST,CONTSELFTEST,DEMOPAGE,PSTYPEFACELIST
	OUTLINEPOINTSIZE=RANGE;12,999
	LPARM_PCL_FONTNUMBER=(LPARM:PCL+FONTNUMBER)RANGE;0,103
	LPARM_PCL_PITCH=(LPARM:PCL+PITCH)RANGE;0.44,99.99
	LPARM_PCL_PTSIZE=(LPARM:PCL+PTSIZE)RANGE;4.00,999.75
	LPARM_PCL_SYMSET=(LPARM:PCL+SYMSET)ENUMERATED;PC8,ROMAN8,ISOL1,ISOL2,ISOL5,ISOL6,PC775,PC8DN,PC850,PC852,PC8TK,PC1004,WINL1,WINL2,WINL5,WINBALT,DESKTOP,PSTEXT,LEGAL,ISO4,ISO6,ISO11,ISO15,ISO17,ISO21,ISO60,ISO69,WIN30,MCTEXT,PC866CYR,PC866UKR,WINCYR,ISOCYR,PC8GRK,PC851GRK,WINGRK,ISOGRK,GREEK8,PC862HEB,ISOHEB,HEBREW7,HEBREW8,PC864ARA,ARABIC8,HPWARA
	LPARM_PCL_LINETERMINATION=(LPARM:PCL+LINETERMINATION)ENUMERATED;0,1,2,3
	LPARM_POSTSCRIPT_PRTPSERRS=(LPARM:POSTSCRIPT+PRTPSERRS)ENUMERATED;OFF,ON
  ]

pjl_user_opts += [
	LANG
	COPIES
	DUPLEX
	BINDING
	PAPER
	ORIENTATION
	FORMLINES
	MANUALFEED
	RET
	PAGEPROTECT
	RESOLUTION
	PERSONALITY
	TIMEOUT
	MPTRAY
	INTRAY1
	INTRAY2
	INTRAY3
	AUTOCONT
	DENSITY
	SCAN
	QTY
	ECONOMODE
	COURIER
	WIDEA4
	REPRINT
	BITSPERPIXEL
	TRAY1TEMP
	TRAY2TEMP
	TRAY3TEMP
	TESTPAGE
	OUTLINEPOINTSIZE
	LPARM_PCL_FONTNUMBER
	LPARM_PCL_PITCH
	LPARM_PCL_PTSIZE
	LPARM_PCL_SYMSET
	LPARM_PCL_LINETERMINATION
	LPARM_POSTSCRIPT_PRTPSERRS
 ]

## paper source selection
##   use -Zsource=n
## 1 - upper, 2 - manual paper, 3 - manual envelope
## 4 - manual,   5 - lower
## 6 - lower
 
pcl_inupper=\033&l1H
pcl_inlower=\033&l5H
pcl_manual=\033&l2H

#
# Hewlett Packard 4050 Series
#
# Model number: C4253A (LaserJet 4050N)
#
# Printer short description: Letter/Legal/A4, PostScript Level3
#                            300/600/1200
#
# Input taken from
# HP4050_6.ppd
#
# Author: Wilfried.Gaensheimer@infineon.com
# wig20000124
#
# Status: untested
#
# Open Issues:
#
# Implemented commands:
#
# PJL:
#
# paper: A4,Letter,Legal
# resolution: 300/300dpi | 600/600dpi | 1200/1200dpi
# fastres
# bitsperpixel: ( 2 | 1 )
# economode: ( ON | OFF )
# retention: ( on | off ) | quickcopy private proof store
# 
# Postscript:
#
# collate: ( true | false )
# smoothing: ( true | false ) smoothingon smoothingoff
# pagesize/papersize/paper:
#        letter | executive | legal | a4 | a5 |
#        b5 | w612h935 | w558h774 |
#        env10 | envmonarch | envdl | envc5 | envb5
# oneup oneupl twoup twoupl fourup fourupl sixup sixupl
#         nineup nineupl sixteenup sixteenupl
# Watermarks:
#   wmtext wmfont wmsize wmangle
#   wmtextstylenarrow wmtextstylemedium wmtextstylewide wmtextstylehalo
#   wmallpages wmfirstpage
# tray|source: upper/tray1 | manualfeed/manual | middle/tray2
#    lower/tray3 | large/largecapacity/tray4
#    tray5 | tray6 | tray7 | tray8 | tray9 | tray10 | envelope
# media type: plain | transparency | preprinted
# media type:
#  plain | preprinted | letterhead | transparancy | prepunched |
#  labels | bond | recycled | mediacolor(*) | cardstock | rough
# (*) color in PPD
# promptuser
#   nearestsizeadjust
#   nearestsizenoadjust
#   policyletter
#   policya4
# scalepatterns
# halftone: halftoneenhanced | halfetonestandard
# duplex | sduplex/duplexshort/duplexshortedge | simplex | shortedge/tumble

# PRINTER % - HP 4050 Series Printers
[ hp4050 ]

pjl_only=[
    COMMENT DEFAULT DINQUIRE ECHO ENTER EOJ
    FSAPPEND FSDIRLIST FSQUERY FSUPLOAD FSDELETE FSDOWNLOAD
    FSINIT FSMKDIR
    INFO INITIALIZE INQUIRE JOB OPMSG PJL RDYMSG
    RESET SET STMSG USTATUS USTATUSOFF
    COPIES
 ]

# use the HP4000 PCL - it is identical
tc=hp4000_pcl

# You can set retention to ON or OFF ... quickcopy, private and store are
# predefined ...
retention=OFF
pjl_retention=[  hold=\%s{retention} ]
#ExtractedKey: JCLRetention JCLRetentionQuickCopy/Quick Copy
pjl_quickcopy=[  hold=on ]

#ExtractedKey: JCLRetention JCLRetentionProof/Proof and Hold
pjl_proof=[  hold=proof ]

#ExtractedKey: JCLRetention JCLRetentionPrivate/Private Job
pjl_private= [ hold=on holdtype=private ]

#ExtractedKey: JCLRetention JCLRetentionStore/Stored Job
pjl_store=[  hold=store ]

#ExtractedKey: JCLFastRes True/On
pjl_fastres=[  bitsperpixel=2 ]
#ExtractedKey: JCLFastRes False/Off
pjl_fastresoff=[  bitsperpixel=1 ]

# Set economode
economode=ON
pjl_economode=[  economode=\%s{economode} ]
#ExtractedKey: JCLEconomode False/Highest Quality
pjl_economodeoff=[  economode=off ]
#ExtractedKey: JCLEconomode True/Save Toner
#pjl_economode=[ economode=on ]

pjl_user_opts += [
    retention quickcopy proof private store 
    fastres bitsperpixel economode economodeoff fastresoff
 ]
pjl_vars_set += [ bitsperpixel ]


### PostScript


#ExtractedKey: HPNup OneUp/1 (Portrait)
ps_oneup=
    % Copyright (c) Hewlett-Packard Co 1997
      userdict begin
      true setglobal /HPwm 5 dict dup begin /HPwmOn true def /HPwmOdd true def end def false setglobal
  
      userdict /HPwmAngle known not {/HPwmAngle 45 def} if
      userdict /HPwmSize known not {/HPwmSize 48 def} if
      userdict /HPwmLocation known not {/HPwmLocation true def} if
      userdict /HPwmStyle known not {/HPwmStyle .48 def} if
      userdict /HPwmDuplex known not {/HPwmDuplex 0 def} if
  
      /HPwmEOP {HPwmDuplex 0 eq {true}{HPwmDuplex 1 eq HPwmOdd eq dup not {erasepage}if
        true setglobal /HPwmOdd HPwmOdd not def false setglobal}ifelse} bind def
      end
  
      <<
      /EndPage {userdict begin
      userdict /HPwmText known HPwm /HPwmOn get and
        {initmatrix
         0 setgray 1 setlinewidth true setstrokeadjust 0 setlinejoin 0 setlinecap [] 0 setdash
         currentpagedevice /PageSize get aload pop 2 div exch 2 div exch translate
         HPwmAngle rotate /HPwmFont userdict /HPppScale known {HPwmSize HPppScale mul}{HPwmSize}ifelse selectfont
         HPwmText stringwidth 2 div neg exch 2 div neg exch
           userdict /HPppScale known {HPwmSize HPppScale mul}{HPwmSize}ifelse .25 mul sub moveto
         HPwmText false charpath userdict /HPwmStyle1 known
           {gsave 1 setgray HPwmStyle1 HPwmStyle add setlinewidth stroke grestore} if
         0 setgray HPwmStyle setlinewidth stroke
         HPwmLocation not {true setglobal HPwm /HPwmOn false put false setglobal} if
        } if
        2 eq {pop false}{pop HPwm begin HPwmEOP end} ifelse
        end } bind
      >> setpagedevice

#ExtractedKey: HPNup OneUpL/1 (Landscape)
ps_oneupl=
    % Copyright (c) Hewlett-Packard Co 1997
      userdict begin
      true setglobal /HPwm 5 dict dup begin /HPwmOn true def /HPwmOdd true def end def false setglobal
  
      userdict /HPwmAngle known not {/HPwmAngle 45 def} if
      userdict /HPwmSize known not {/HPwmSize 48 def} if
      userdict /HPwmLocation known not {/HPwmLocation true def} if
      userdict /HPwmStyle known not {/HPwmStyle .48 def} if
      userdict /HPwmDuplex known not {/HPwmDuplex 0 def} if
  
      /HPwmEOP {HPwmDuplex 0 eq {true}{HPwmDuplex 1 eq HPwmOdd eq dup not {erasepage}if
        true setglobal /HPwmOdd HPwmOdd not def false setglobal}ifelse} bind def
      end
  
      <<
      /EndPage {userdict begin
      userdict /HPwmText known HPwm /HPwmOn get and
        {initmatrix
         0 setgray 1 setlinewidth true setstrokeadjust 0 setlinejoin 0 setlinecap [] 0 setdash
         currentpagedevice /PageSize get aload pop 2 div exch 2 div exch translate
         HPwmAngle 90 add rotate /HPwmFont userdict /HPppScale known {HPwmSize HPppScale mul}{HPwmSize}ifelse selectfont
         HPwmText stringwidth 2 div neg exch 2 div neg exch
           userdict /HPppScale known {HPwmSize HPppScale mul}{HPwmSize}ifelse .25 mul sub moveto
         HPwmText false charpath userdict /HPwmStyle1 known
           {gsave 1 setgray HPwmStyle1 HPwmStyle add setlinewidth stroke grestore} if
         0 setgray HPwmStyle setlinewidth stroke
         HPwmLocation not {true setglobal HPwm /HPwmOn false put false setglobal} if
        } if
        2 eq {pop false}{pop HPwm begin HPwmEOP end} ifelse
        end } bind
      >> setpagedevice

#ExtractedKey: HPNup TwoUp/2 (Portrait)
ps_twoup=
    % Copyright (c) Hewlett-Packard Co 1997
      userdict begin
      userdict /HPwmPgWidth known not
        {/HPwmPgWidth currentpagedevice /PageSize get aload pop /HPwmPgHeight exch def def} if
      /HPwmShWidth currentpagedevice /PageSize get aload pop /HPwmShHeight exch def def
  
      /HPwmCTM {
        /HPwmScale HPwmShWidth 32 sub HPwmPgHeight div dup HPwmShHeight 32 sub 2 div 
          HPwmPgWidth div dup 3 1 roll lt {pop} {exch pop} ifelse def
        /HPwmX1 HPwmShWidth HPwmPgHeight HPwmScale mul sub 2 div HPwmPgHeight HPwmScale mul add def
        /HPwmY1 HPwmShHeight HPwmPgWidth HPwmScale mul 2 mul sub 2 div def
        /HPwmY2 HPwmPgWidth HPwmScale mul HPwmY1 add def
      } bind def HPwmCTM
  
      true setglobal /HPwm 5 dict dup begin /HPwmOn true def /HPwmOdd true def end def false setglobal
  
      /restore {/PageSV where {pop dup PageSV eq 
        {restore HPwm begin HPwmMatrix setmatrix end}{restore}ifelse}{restore}ifelse} bind def
  
      userdict /HPwmAngle known not {/HPwmAngle 45 def} if
      userdict /HPwmSize known not {/HPwmSize 48 def} if
      userdict /HPwmLocation known not {/HPwmLocation true def} if
      userdict /HPwmStyle known not {/HPwmStyle .48 def} if
      userdict /HPwmDuplex known not {/HPwmDuplex 0 def} if
  
      /HPwmEOP {HPwmDuplex 0 eq {true}{HPwmDuplex 1 eq HPwmOdd eq dup not {erasepage}if
        true setglobal /HPwmOdd HPwmOdd not def false setglobal}ifelse} bind def
  
      /HPWaterMark {
      0 setgray 1 setlinewidth true setstrokeadjust 0 setlinejoin 0 setlinecap [] 0 setdash
      0 0 HPwmPgWidth HPwmPgHeight rectstroke
      userdict /HPwmText known HPwmOn and
        {HPwmPgWidth 2 div HPwmPgHeight 2 div translate
         HPwmAngle rotate /HPwmFont HPwmSize selectfont
         HPwmText stringwidth 2 div neg exch 2 div neg exch HPwmSize .25 mul sub moveto
         HPwmText false charpath userdict /HPwmStyle1 known
           {gsave 1 setgray HPwmStyle1 HPwmScale div HPwmStyle add setlinewidth stroke grestore} if
         0 setgray HPwmStyle setlinewidth stroke
         HPwmLocation not {true setglobal HPwm /HPwmOn false put false setglobal} if
        } if
      } bind def
      end
  
      <<
      /BeginPage {userdict begin
        2 mod 0 eq { HPwmX1 HPwmY1 translate }{ HPwmX1 HPwmY2 translate } ifelse
        90 rotate HPwmScale HPwmScale scale
        HPwm begin true setglobal
          /HPwmMatrix matrix currentmatrix def
        false setglobal end
        end } bind
   
      /EndPage {userdict begin
        HPwm begin HPwmMatrix setmatrix
        2 eq {2 mod 0 ne {HPwmEOP}{false}ifelse}{HPWaterMark 2 mod 1 eq {HPwmEOP}{false}ifelse} ifelse end
        end } bind
      >> setpagedevice
  
    /setpagedevice {userdict begin dup /PageSize known {/HPwmPgWidth exch /PageSize get aload pop /HPwmPgHeight exch def def
      HPwmCTM <</PageSize [HPwmShWidth HPwmShHeight] /ImagingBBox null>>
      userdict /HPwmSPD known {HPwmSPD}{setpagedevice} ifelse}if end} bind def

#ExtractedKey: HPNup TwoUpL/2 (Landscape)
ps_twoupl=
    % Copyright (c) Hewlett-Packard Co 1997
      userdict begin
      userdict /HPwmPgWidth known not
        {/HPwmPgWidth currentpagedevice /PageSize get aload pop /HPwmPgHeight exch def def} if
      /HPwmShWidth currentpagedevice /PageSize get aload pop /HPwmShHeight exch def def
  
      /HPwmCTM {
        /HPwmScale HPwmShWidth 32 sub HPwmPgHeight div dup HPwmShHeight 32 sub 2 div 
          HPwmPgWidth div dup 3 1 roll lt {pop} {exch pop} ifelse def
        /HPwmX1 HPwmShWidth HPwmPgHeight HPwmScale mul sub 2 div def
        /HPwmY1 HPwmShHeight HPwmPgWidth HPwmScale mul 2 mul sub 2 div HPwmShHeight exch sub def
        /HPwmY2 HPwmY1 HPwmPgWidth HPwmScale mul sub def
      } bind def HPwmCTM
  
      true setglobal /HPwm 5 dict dup begin /HPwmOn true def /HPwmOdd true def end def false setglobal
  
      /restore {/PageSV where {pop dup PageSV eq 
        {restore HPwm begin HPwmMatrix setmatrix end}{restore}ifelse}{restore}ifelse} bind def
  
      userdict /HPwmAngle known not {/HPwmAngle 45 def} if
      userdict /HPwmSize known not {/HPwmSize 48 def} if
      userdict /HPwmLocation known not {/HPwmLocation true def} if
      userdict /HPwmStyle known not {/HPwmStyle .48 def} if
      userdict /HPwmDuplex known not {/HPwmDuplex 0 def} if
  
      /HPwmEOP {HPwmDuplex 0 eq {true}{HPwmDuplex 1 eq HPwmOdd eq dup not {erasepage}if
        true setglobal /HPwmOdd HPwmOdd not def false setglobal}ifelse} bind def
  
      /HPWaterMark {
      0 setgray 1 setlinewidth true setstrokeadjust 0 setlinejoin 0 setlinecap [] 0 setdash
      0 0 HPwmPgWidth HPwmPgHeight rectstroke
      userdict /HPwmText known HPwmOn and
        {HPwmPgWidth 2 div HPwmPgHeight 2 div translate
         HPwmAngle 90 add rotate /HPwmFont HPwmSize selectfont
         HPwmText stringwidth 2 div neg exch 2 div neg exch HPwmSize .25 mul sub moveto
         HPwmText false charpath userdict /HPwmStyle1 known
           {gsave 1 setgray HPwmStyle1 HPwmScale div HPwmStyle add setlinewidth stroke grestore} if
         0 setgray HPwmStyle setlinewidth stroke
         HPwmLocation not {true setglobal HPwm /HPwmOn false put false setglobal} if
        } if
      } bind def
      end
  
      <<
      /BeginPage {userdict begin
        2 mod 0 eq { HPwmX1 HPwmY1 translate }{ HPwmX1 HPwmY2 translate } ifelse
        -90 rotate HPwmScale HPwmScale scale
        HPwm begin true setglobal
          /HPwmMatrix matrix currentmatrix def
        false setglobal end
        end } bind
   
      /EndPage {userdict begin
        HPwm begin HPwmMatrix setmatrix
        2 eq {2 mod 0 ne {HPwmEOP}{false}ifelse}{HPWaterMark 2 mod 1 eq {HPwmEOP}{false}ifelse} ifelse end
        end } bind
      >> setpagedevice
  
    /setpagedevice {userdict begin dup /PageSize known {/HPwmPgWidth exch /PageSize get aload pop /HPwmPgHeight exch def def
      HPwmCTM <</PageSize [HPwmShWidth HPwmShHeight] /ImagingBBox null>>
      userdict /HPwmSPD known {HPwmSPD}{setpagedevice} ifelse}if end} bind def

#ExtractedKey: HPNup FourUp/4 (Portrait)
ps_fourup=
    % Copyright (c) Hewlett-Packard Co 1997
      userdict begin
      userdict /HPwmPgWidth known not
        {/HPwmPgWidth currentpagedevice /PageSize get aload pop /HPwmPgHeight exch def def} if
      /HPwmShWidth currentpagedevice /PageSize get aload pop /HPwmShHeight exch def def
  
      /HPwmCTM {
        /HPwmScale HPwmShWidth 32 sub 2 div HPwmPgWidth div dup HPwmShHeight 32 sub 2 div 
          HPwmPgHeight div dup 3 1 roll lt {pop} {exch pop} ifelse def
        /HPwmX1 HPwmShWidth HPwmPgWidth HPwmScale mul 2 mul sub 2 div def
        /HPwmX2 HPwmPgWidth HPwmScale mul HPwmX1 add def
        /HPwmY1 HPwmShHeight HPwmPgHeight HPwmScale mul 2 mul sub 2 div def
        /HPwmY2 HPwmPgHeight HPwmScale mul HPwmY1 add def
      } bind def HPwmCTM
  
      true setglobal /HPwm 5 dict dup begin /HPwmOn true def /HPwmOdd true def end def false setglobal
  
      /restore {/PageSV where {pop dup PageSV eq 
        {restore HPwm begin HPwmMatrix setmatrix end}{restore}ifelse}{restore}ifelse} bind def
  
      userdict /HPwmAngle known not {/HPwmAngle 45 def} if
      userdict /HPwmSize known not {/HPwmSize 48 def} if
      userdict /HPwmLocation known not {/HPwmLocation true def} if
      userdict /HPwmStyle known not {/HPwmStyle .48 def} if
      userdict /HPwmDuplex known not {/HPwmDuplex 0 def} if
  
      /HPwmEOP {HPwmDuplex 0 eq {true}{HPwmDuplex 1 eq HPwmOdd eq dup not {erasepage}if
        true setglobal /HPwmOdd HPwmOdd not def false setglobal}ifelse} bind def
  
      /HPWaterMark {
      0 setgray 1 setlinewidth true setstrokeadjust 0 setlinejoin 0 setlinecap [] 0 setdash
      0 0 HPwmPgWidth HPwmPgHeight rectstroke
      userdict /HPwmText known HPwmOn and
        {HPwmPgWidth 2 div HPwmPgHeight 2 div translate
         HPwmAngle rotate /HPwmFont HPwmSize selectfont
         HPwmText stringwidth 2 div neg exch 2 div neg exch HPwmSize .25 mul sub moveto
         HPwmText false charpath userdict /HPwmStyle1 known
           {gsave 1 setgray HPwmStyle1 HPwmScale div HPwmStyle add setlinewidth stroke grestore} if
         0 setgray HPwmStyle setlinewidth stroke
         HPwmLocation not {true setglobal HPwm /HPwmOn false put false setglobal} if
        } if
      } bind def
      end
  
    <<
      /BeginPage {userdict begin
        4 mod dup dup dup
        0 eq {HPwmX1 HPwmY2 translate} if
        1 eq {HPwmX2 HPwmY2 translate} if
        2 eq {HPwmX1 HPwmY1 translate} if
        3 eq {HPwmX2 HPwmY1 translate} if
        HPwmScale HPwmScale scale
        HPwm begin true setglobal
          /HPwmMatrix matrix currentmatrix def
        false setglobal end
        end } bind
   
      /EndPage {userdict begin
        HPwm begin HPwmMatrix setmatrix
        2 eq {4 mod 0 ne {HPwmEOP}{false}ifelse}{HPWaterMark 4 mod 3 eq {HPwmEOP}{false}ifelse} ifelse end
        end } bind
    >> setpagedevice
  
    /setpagedevice {userdict begin dup /PageSize known {/HPwmPgWidth exch /PageSize get aload pop /HPwmPgHeight exch def def
      HPwmCTM <</PageSize [HPwmShWidth HPwmShHeight] /ImagingBBox null>>
      userdict /HPwmSPD known {HPwmSPD}{setpagedevice} ifelse}if end} bind def

#ExtractedKey: HPNup FourUpL/4 (Landscape)
ps_fourupl=
    % Copyright (c) Hewlett-Packard Co 1997
      userdict begin
      userdict /HPwmPgWidth known not
        {/HPwmPgWidth currentpagedevice /PageSize get aload pop /HPwmPgHeight exch def def} if
      /HPwmShWidth currentpagedevice /PageSize get aload pop /HPwmShHeight exch def def
  
      /HPwmCTM {
        /HPwmScale HPwmShWidth 32 sub 2 div HPwmPgWidth div dup HPwmShHeight 32 sub 2 div 
          HPwmPgHeight div dup 3 1 roll lt {pop} {exch pop} ifelse def
        /HPwmX1 HPwmShWidth HPwmPgWidth HPwmScale mul 2 mul sub 2 div def
        /HPwmX2 HPwmPgWidth HPwmScale mul HPwmX1 add def
        /HPwmY1 HPwmShHeight HPwmPgHeight HPwmScale mul 2 mul sub 2 div def
        /HPwmY2 HPwmPgHeight HPwmScale mul HPwmY1 add def
      } bind def HPwmCTM
  
      true setglobal /HPwm 5 dict dup begin /HPwmOn true def /HPwmOdd true def end def false setglobal
  
      /restore {/PageSV where {pop dup PageSV eq 
        {restore HPwm begin HPwmMatrix setmatrix end}{restore}ifelse}{restore}ifelse} bind def
  
      userdict /HPwmAngle known not {/HPwmAngle 45 def} if
      userdict /HPwmSize known not {/HPwmSize 48 def} if
      userdict /HPwmLocation known not {/HPwmLocation true def} if
      userdict /HPwmStyle known not {/HPwmStyle .48 def} if
      userdict /HPwmDuplex known not {/HPwmDuplex 0 def} if
  
      /HPwmEOP {HPwmDuplex 0 eq {true}{HPwmDuplex 1 eq HPwmOdd eq dup not {erasepage}if
        true setglobal /HPwmOdd HPwmOdd not def false setglobal}ifelse} bind def
  
      /HPWaterMark {
      0 setgray 1 setlinewidth true setstrokeadjust 0 setlinejoin 0 setlinecap [] 0 setdash
      0 0 HPwmPgWidth HPwmPgHeight rectstroke
      userdict /HPwmText known HPwmOn and
        {HPwmPgWidth 2 div HPwmPgHeight 2 div translate
         HPwmAngle 90 add rotate /HPwmFont HPwmSize selectfont
         HPwmText stringwidth 2 div neg exch 2 div neg exch HPwmSize .25 mul sub moveto
         HPwmText false charpath userdict /HPwmStyle1 known
           {gsave 1 setgray HPwmStyle1 HPwmScale div HPwmStyle add setlinewidth stroke grestore} if
         0 setgray HPwmStyle setlinewidth stroke
         HPwmLocation not {true setglobal HPwm /HPwmOn false put false setglobal} if
        } if
      } bind def
      end
  
      <<
      /BeginPage {userdict begin
        4 mod dup dup dup
        0 eq {HPwmX1 HPwmY1 translate} if
        1 eq {HPwmX1 HPwmY2 translate} if
        2 eq {HPwmX2 HPwmY1 translate} if
        3 eq {HPwmX2 HPwmY2 translate} if
        HPwmScale HPwmScale scale
        HPwm begin true setglobal
          /HPwmMatrix matrix currentmatrix def
        false setglobal end
        end } bind
   
      /EndPage {userdict begin
        HPwm begin HPwmMatrix setmatrix
        2 eq {4 mod 0 ne {HPwmEOP}{false}ifelse}{HPWaterMark 4 mod 3 eq {HPwmEOP}{false}ifelse} ifelse end
        end } bind
      >> setpagedevice
  
    /setpagedevice {userdict begin dup /PageSize known {/HPwmPgWidth exch /PageSize get aload pop /HPwmPgHeight exch def def
      HPwmCTM <</PageSize [HPwmShWidth HPwmShHeight] /ImagingBBox null>>
      userdict /HPwmSPD known {HPwmSPD}{setpagedevice} ifelse}if end} bind def

#ExtractedKey: HPNup SixUp/6 (Portrait)
ps_sixup=
    % Copyright (c) Hewlett-Packard Co 1997
      userdict begin
      userdict /HPwmPgWidth known not
        {/HPwmPgWidth currentpagedevice /PageSize get aload pop /HPwmPgHeight exch def def} if
      /HPwmShWidth currentpagedevice /PageSize get aload pop /HPwmShHeight exch def def
  
      /HPwmCTM {
        /HPwmScale HPwmShWidth 32 sub 2 div HPwmPgHeight div dup HPwmShHeight 32 sub 3 div 
          HPwmPgWidth div dup 3 1 roll lt {pop} {exch pop} ifelse def
        /HPwmX1 HPwmShWidth HPwmPgHeight HPwmScale mul 2 mul sub 2 div HPwmPgHeight HPwmScale mul add def
        /HPwmY1 HPwmShHeight HPwmPgWidth HPwmScale mul 3 mul sub 2 div def
      } bind def HPwmCTM
  
      true setglobal /HPwm 5 dict dup begin /HPwmOn true def /HPwmOdd true def end def false setglobal
  
      /restore {/PageSV where {pop dup PageSV eq 
        {restore HPwm begin HPwmMatrix setmatrix end}{restore}ifelse}{restore}ifelse} bind def
  
      userdict /HPwmAngle known not {/HPwmAngle 45 def} if
      userdict /HPwmSize known not {/HPwmSize 48 def} if
      userdict /HPwmLocation known not {/HPwmLocation true def} if
      userdict /HPwmStyle known not {/HPwmStyle .48 def} if
      userdict /HPwmDuplex known not {/HPwmDuplex 0 def} if
  
      /HPwmEOP {HPwmDuplex 0 eq {true}{HPwmDuplex 1 eq HPwmOdd eq dup not {erasepage}if
        true setglobal /HPwmOdd HPwmOdd not def false setglobal}ifelse} bind def
  
      /HPWaterMark {
      0 setgray 1 setlinewidth true setstrokeadjust 0 setlinejoin 0 setlinecap [] 0 setdash
      0 0 HPwmPgWidth HPwmPgHeight rectstroke
      userdict /HPwmText known HPwmOn and
        {HPwmPgWidth 2 div HPwmPgHeight 2 div translate
         HPwmAngle rotate /HPwmFont HPwmSize selectfont
         HPwmText stringwidth 2 div neg exch 2 div neg exch HPwmSize .25 mul sub moveto
         HPwmText false charpath userdict /HPwmStyle1 known
           {gsave 1 setgray HPwmStyle1 HPwmScale div HPwmStyle add setlinewidth stroke grestore} if
         0 setgray HPwmStyle setlinewidth stroke
         HPwmLocation not {true setglobal HPwm /HPwmOn false put false setglobal} if
        } if
      } bind def
      end
  
      <<
      /BeginPage {userdict begin
        6 mod dup
        3 idiv HPwmPgHeight HPwmScale mul mul HPwmX1 add
        exch dup 3 idiv 3 mul sub HPwmPgWidth HPwmScale mul mul HPwmY1 add
        translate
        90 rotate HPwmScale HPwmScale scale
        HPwm begin true setglobal
          /HPwmMatrix matrix currentmatrix def
        false setglobal end
        end } bind
   
      /EndPage {userdict begin
        HPwm begin HPwmMatrix setmatrix
        2 eq {6 mod 0 ne {HPwmEOP}{false}ifelse}{HPWaterMark 6 mod 5 eq {HPwmEOP}{false}ifelse} ifelse end
        end } bind
      >> setpagedevice
  
    /setpagedevice {userdict begin dup /PageSize known {/HPwmPgWidth exch /PageSize get aload pop /HPwmPgHeight exch def def
      HPwmCTM <</PageSize [HPwmShWidth HPwmShHeight] /ImagingBBox null>>
      userdict /HPwmSPD known {HPwmSPD}{setpagedevice} ifelse}if end} bind def

#ExtractedKey: HPNup SixUpL/6 (Landscape)
ps_sixupl=
    % Copyright (c) Hewlett-Packard Co 1997
      userdict begin
      userdict /HPwmPgWidth known not
        {/HPwmPgWidth currentpagedevice /PageSize get aload pop /HPwmPgHeight exch def def} if
      /HPwmShWidth currentpagedevice /PageSize get aload pop /HPwmShHeight exch def def
  
      /HPwmCTM {
        /HPwmScale HPwmShWidth 32 sub 2 div HPwmPgHeight div dup HPwmShHeight 32 sub 3 div 
          HPwmPgWidth div dup 3 1 roll lt {pop} {exch pop} ifelse def
        /HPwmX1 HPwmShWidth HPwmPgHeight HPwmScale mul 2 mul sub 2 div def
        /HPwmY1 HPwmShHeight HPwmPgWidth HPwmScale mul 3 mul sub 2 div HPwmPgWidth HPwmScale mul add def
      } bind def HPwmCTM
  
      true setglobal /HPwm 5 dict dup begin /HPwmOn true def /HPwmOdd true def end def false setglobal
  
      /restore {/PageSV where {pop dup PageSV eq 
        {restore HPwm begin HPwmMatrix setmatrix end}{restore}ifelse}{restore}ifelse} bind def
  
      userdict /HPwmAngle known not {/HPwmAngle 45 def} if
      userdict /HPwmSize known not {/HPwmSize 48 def} if
      userdict /HPwmLocation known not {/HPwmLocation true def} if
      userdict /HPwmStyle known not {/HPwmStyle .48 def} if
      userdict /HPwmDuplex known not {/HPwmDuplex 0 def} if
  
      /HPwmEOP {HPwmDuplex 0 eq {true}{HPwmDuplex 1 eq HPwmOdd eq dup not {erasepage}if
        true setglobal /HPwmOdd HPwmOdd not def false setglobal}ifelse} bind def
  
      /HPWaterMark {
      0 setgray 1 setlinewidth true setstrokeadjust 0 setlinejoin 0 setlinecap [] 0 setdash
      0 0 HPwmPgWidth HPwmPgHeight rectstroke
      userdict /HPwmText known HPwmOn and
        {HPwmPgWidth 2 div HPwmPgHeight 2 div translate
         HPwmAngle 90 add rotate /HPwmFont HPwmSize selectfont
         HPwmText stringwidth 2 div neg exch 2 div neg exch HPwmSize .25 mul sub moveto
         HPwmText false charpath userdict /HPwmStyle1 known
           {gsave 1 setgray HPwmStyle1 HPwmScale div HPwmStyle add setlinewidth stroke grestore} if
         0 setgray HPwmStyle setlinewidth stroke
         HPwmLocation not {true setglobal HPwm /HPwmOn false put false setglobal} if
        } if
      } bind def
      end
  
      <<
      /BeginPage {userdict begin
        6 mod dup
        dup 2 idiv 2 mul sub HPwmPgHeight HPwmScale mul mul HPwmX1 add
        exch 2 idiv 2 exch sub HPwmPgWidth HPwmScale mul mul HPwmY1 add
        translate
        -90 rotate HPwmScale HPwmScale scale
        HPwm begin true setglobal
          /HPwmMatrix matrix currentmatrix def
        false setglobal end
        end } bind
   
      /EndPage {userdict begin
        HPwm begin HPwmMatrix setmatrix
        2 eq {6 mod 0 ne {HPwmEOP}{false}ifelse}{HPWaterMark 6 mod 5 eq {HPwmEOP}{false}ifelse} ifelse end
        end } bind
      >> setpagedevice
  
    /setpagedevice {userdict begin dup /PageSize known {/HPwmPgWidth exch /PageSize get aload pop /HPwmPgHeight exch def def
      HPwmCTM <</PageSize [HPwmShWidth HPwmShHeight] /ImagingBBox null>>
      userdict /HPwmSPD known {HPwmSPD}{setpagedevice} ifelse}if end} bind def

#ExtractedKey: HPNup NineUp/9 (Portrait)
ps_nineuo=
    % Copyright (c) Hewlett-Packard Co 1997
      userdict begin
      userdict /HPwmPgWidth known not
        {/HPwmPgWidth currentpagedevice /PageSize get aload pop /HPwmPgHeight exch def def} if
      /HPwmShWidth currentpagedevice /PageSize get aload pop /HPwmShHeight exch def def
  
      /HPwmCTM {
        /HPwmScale HPwmShWidth 32 sub 3 div HPwmPgWidth div dup HPwmShHeight 32 sub 3 div 
          HPwmPgHeight div dup 3 1 roll lt {pop} {exch pop} ifelse def
        /HPwmX1 HPwmShWidth HPwmPgWidth HPwmScale mul 3 mul sub 2 div def
        /HPwmY1 HPwmShHeight HPwmPgHeight HPwmScale mul 3 mul sub 2 div def
      } bind def HPwmCTM
  
      true setglobal /HPwm 5 dict dup begin /HPwmOn true def /HPwmOdd true def end def false setglobal
  
      /restore {/PageSV where {pop dup PageSV eq 
        {restore HPwm begin HPwmMatrix setmatrix end}{restore}ifelse}{restore}ifelse} bind def
  
      userdict /HPwmAngle known not {/HPwmAngle 45 def} if
      userdict /HPwmSize known not {/HPwmSize 48 def} if
      userdict /HPwmLocation known not {/HPwmLocation true def} if
      userdict /HPwmStyle known not {/HPwmStyle .48 def} if
      userdict /HPwmDuplex known not {/HPwmDuplex 0 def} if
  
      /HPwmEOP {HPwmDuplex 0 eq {true}{HPwmDuplex 1 eq HPwmOdd eq dup not {erasepage}if
        true setglobal /HPwmOdd HPwmOdd not def false setglobal}ifelse} bind def
  
      /HPWaterMark {
      0 setgray 1 setlinewidth true setstrokeadjust 0 setlinejoin 0 setlinecap [] 0 setdash
      0 0 HPwmPgWidth HPwmPgHeight rectstroke
      userdict /HPwmText known HPwmOn and
        {HPwmPgWidth 2 div HPwmPgHeight 2 div translate
         HPwmAngle rotate /HPwmFont HPwmSize selectfont
         HPwmText stringwidth 2 div neg exch 2 div neg exch HPwmSize .25 mul sub moveto
         HPwmText false charpath userdict /HPwmStyle1 known
           {gsave 1 setgray HPwmStyle1 HPwmScale div HPwmStyle add setlinewidth stroke grestore} if
         0 setgray HPwmStyle setlinewidth stroke
         HPwmLocation not {true setglobal HPwm /HPwmOn false put false setglobal} if
        } if
      } bind def
      end
  
      <<
      /BeginPage {userdict begin
        9 mod dup
        dup 3 idiv 3 mul sub HPwmPgWidth HPwmScale mul mul HPwmX1 add
        exch 3 idiv 2 exch sub HPwmPgHeight HPwmScale mul mul HPwmY1 add
        translate
        HPwmScale HPwmScale scale
        HPwm begin true setglobal
          /HPwmMatrix matrix currentmatrix def
        false setglobal end
        end } bind
   
      /EndPage {userdict begin
        HPwm begin HPwmMatrix setmatrix
        2 eq {9 mod 0 ne {HPwmEOP}{false}ifelse}{HPWaterMark 9 mod 8 eq {HPwmEOP}{false}ifelse} ifelse end
        end } bind
      >> setpagedevice
  
    /setpagedevice {userdict begin dup /PageSize known {/HPwmPgWidth exch /PageSize get aload pop /HPwmPgHeight exch def def
      HPwmCTM <</PageSize [HPwmShWidth HPwmShHeight] /ImagingBBox null>>
      userdict /HPwmSPD known {HPwmSPD}{setpagedevice} ifelse}if end} bind def

#ExtractedKey: HPNup NineUpL/9 (Landscape)
ps_nineupl=
    % Copyright (c) Hewlett-Packard Co 1997
      userdict begin
      userdict /HPwmPgWidth known not
        {/HPwmPgWidth currentpagedevice /PageSize get aload pop /HPwmPgHeight exch def def} if
      /HPwmShWidth currentpagedevice /PageSize get aload pop /HPwmShHeight exch def def
  
      /HPwmCTM {
        /HPwmScale HPwmShWidth 32 sub 3 div HPwmPgWidth div dup HPwmShHeight 32 sub 3 div 
          HPwmPgHeight div dup 3 1 roll lt {pop} {exch pop} ifelse def
        /HPwmX1 HPwmShWidth HPwmPgWidth HPwmScale mul 3 mul sub 2 div def
        /HPwmY1 HPwmShHeight HPwmPgHeight HPwmScale mul 3 mul sub 2 div def
      } bind def HPwmCTM
  
      true setglobal /HPwm 5 dict dup begin /HPwmOn true def /HPwmOdd true def end def false setglobal
  
      /restore {/PageSV where {pop dup PageSV eq 
        {restore HPwm begin HPwmMatrix setmatrix end}{restore}ifelse}{restore}ifelse} bind def
  
      userdict /HPwmAngle known not {/HPwmAngle 45 def} if
      userdict /HPwmSize known not {/HPwmSize 48 def} if
      userdict /HPwmLocation known not {/HPwmLocation true def} if
      userdict /HPwmStyle known not {/HPwmStyle .48 def} if
      userdict /HPwmDuplex known not {/HPwmDuplex 0 def} if
  
      /HPwmEOP {HPwmDuplex 0 eq {true}{HPwmDuplex 1 eq HPwmOdd eq dup not {erasepage}if
        true setglobal /HPwmOdd HPwmOdd not def false setglobal}ifelse} bind def
  
      /HPWaterMark {
      0 setgray 1 setlinewidth true setstrokeadjust 0 setlinejoin 0 setlinecap [] 0 setdash
      0 0 HPwmPgWidth HPwmPgHeight rectstroke
      userdict /HPwmText known HPwmOn and
        {HPwmPgWidth 2 div HPwmPgHeight 2 div translate
         HPwmAngle 90 add rotate /HPwmFont HPwmSize selectfont
         HPwmText stringwidth 2 div neg exch 2 div neg exch HPwmSize .25 mul sub moveto
         HPwmText false charpath userdict /HPwmStyle1 known
           {gsave 1 setgray HPwmStyle1 HPwmScale div HPwmStyle add setlinewidth stroke grestore} if
         0 setgray HPwmStyle setlinewidth stroke
         HPwmLocation not {true setglobal HPwm /HPwmOn false put false setglobal} if
        } if
      } bind def
      end
  
      <<
      /BeginPage {userdict begin
        9 mod dup
        3 idiv HPwmPgWidth HPwmScale mul mul HPwmX1 add
        exch dup 3 idiv 3 mul sub HPwmPgHeight HPwmScale mul mul HPwmY1 add
        translate
        HPwmScale HPwmScale scale
        HPwm begin true setglobal
          /HPwmMatrix matrix currentmatrix def
        false setglobal end
        end } bind
   
      /EndPage {userdict begin
        HPwm begin HPwmMatrix setmatrix
        2 eq {9 mod 0 ne {HPwmEOP}{false}ifelse}{HPWaterMark 9 mod 8 eq {HPwmEOP}{false}ifelse} ifelse end
        end } bind
      >> setpagedevice
  
    /setpagedevice {userdict begin dup /PageSize known {/HPwmPgWidth exch /PageSize get aload pop /HPwmPgHeight exch def def
      HPwmCTM <</PageSize [HPwmShWidth HPwmShHeight] /ImagingBBox null>>
      userdict /HPwmSPD known {HPwmSPD}{setpagedevice} ifelse}if end} bind def

#ExtractedKey: HPNup SixteenUp/16 (Portrait)
ps_sixteenup=
    % Copyright (c) Hewlett-Packard Co 1997
      userdict begin
      userdict /HPwmPgWidth known not
        {/HPwmPgWidth currentpagedevice /PageSize get aload pop /HPwmPgHeight exch def def} if
      /HPwmShWidth currentpagedevice /PageSize get aload pop /HPwmShHeight exch def def
  
      /HPwmCTM {
        /HPwmScale HPwmShWidth 32 sub 4 div HPwmPgWidth div dup HPwmShHeight 32 sub 4 div 
          HPwmPgHeight div dup 3 1 roll lt {pop} {exch pop} ifelse def
        /HPwmX1 HPwmShWidth HPwmPgWidth HPwmScale mul 4 mul sub 2 div def
        /HPwmY1 HPwmShHeight HPwmPgHeight HPwmScale mul 4 mul sub 2 div def
      } bind def HPwmCTM
  
      true setglobal /HPwm 5 dict dup begin /HPwmOn true def /HPwmOdd true def end def false setglobal
  
      /restore {/PageSV where {pop dup PageSV eq 
        {restore HPwm begin HPwmMatrix setmatrix end}{restore}ifelse}{restore}ifelse} bind def
  
      userdict /HPwmAngle known not {/HPwmAngle 45 def} if
      userdict /HPwmSize known not {/HPwmSize 48 def} if
      userdict /HPwmLocation known not {/HPwmLocation true def} if
      userdict /HPwmStyle known not {/HPwmStyle .48 def} if
      userdict /HPwmDuplex known not {/HPwmDuplex 0 def} if
  
      /HPwmEOP {HPwmDuplex 0 eq {true}{HPwmDuplex 1 eq HPwmOdd eq dup not {erasepage}if
        true setglobal /HPwmOdd HPwmOdd not def false setglobal}ifelse} bind def
  
      /HPWaterMark {
      0 setgray 1 setlinewidth true setstrokeadjust 0 setlinejoin 0 setlinecap [] 0 setdash
      0 0 HPwmPgWidth HPwmPgHeight rectstroke
      userdict /HPwmText known HPwmOn and
        {HPwmPgWidth 2 div HPwmPgHeight 2 div translate
         HPwmAngle rotate /HPwmFont HPwmSize selectfont
         HPwmText stringwidth 2 div neg exch 2 div neg exch HPwmSize .25 mul sub moveto
         HPwmText false charpath userdict /HPwmStyle1 known
           {gsave 1 setgray HPwmStyle1 HPwmScale div HPwmStyle add setlinewidth stroke grestore} if
         0 setgray HPwmStyle setlinewidth stroke
         HPwmLocation not {true setglobal HPwm /HPwmOn false put false setglobal} if
        } if
      } bind def
      end
  
      <<
      /BeginPage {userdict begin
        16 mod dup
        dup 4 idiv 4 mul sub HPwmPgWidth HPwmScale mul mul HPwmX1 add
        exch 4 idiv 3 exch sub HPwmPgHeight HPwmScale mul mul HPwmY1 add
        translate
        HPwmScale HPwmScale scale
        HPwm begin true setglobal
          /HPwmMatrix matrix currentmatrix def
        false setglobal end
        end } bind
   
      /EndPage {userdict begin
        HPwm begin HPwmMatrix setmatrix
        2 eq {16 mod 0 ne {HPwmEOP}{false}ifelse}{HPWaterMark 16 mod 15 eq {HPwmEOP}{false}ifelse} ifelse end
        end } bind
      >> setpagedevice
  
    /setpagedevice {userdict begin dup /PageSize known {/HPwmPgWidth exch /PageSize get aload pop /HPwmPgHeight exch def def
      HPwmCTM <</PageSize [HPwmShWidth HPwmShHeight] /ImagingBBox null>>
      userdict /HPwmSPD known {HPwmSPD}{setpagedevice} ifelse}if end} bind def

#ExtractedKey: HPNup SixteenUpL/16 (Landscape)
ps_sixteenupl=
    % Copyright (c) Hewlett-Packard Co 1997
      userdict begin
      userdict /HPwmPgWidth known not
        {/HPwmPgWidth currentpagedevice /PageSize get aload pop /HPwmPgHeight exch def def} if
      /HPwmShWidth currentpagedevice /PageSize get aload pop /HPwmShHeight exch def def
  
      /HPwmCTM {
        /HPwmScale HPwmShWidth 32 sub 4 div HPwmPgWidth div dup HPwmShHeight 32 sub 4 div 
          HPwmPgHeight div dup 3 1 roll lt {pop} {exch pop} ifelse def
        /HPwmX1 HPwmShWidth HPwmPgWidth HPwmScale mul 4 mul sub 2 div def
        /HPwmY1 HPwmShHeight HPwmPgHeight HPwmScale mul 4 mul sub 2 div def
      } bind def HPwmCTM
  
      true setglobal /HPwm 5 dict dup begin /HPwmOn true def /HPwmOdd true def end def false setglobal
  
      /restore {/PageSV where {pop dup PageSV eq 
        {restore HPwm begin HPwmMatrix setmatrix end}{restore}ifelse}{restore}ifelse} bind def
  
      userdict /HPwmAngle known not {/HPwmAngle 45 def} if
      userdict /HPwmSize known not {/HPwmSize 48 def} if
      userdict /HPwmLocation known not {/HPwmLocation true def} if
      userdict /HPwmStyle known not {/HPwmStyle .48 def} if
      userdict /HPwmDuplex known not {/HPwmDuplex 0 def} if
  
      /HPwmEOP {HPwmDuplex 0 eq {true}{HPwmDuplex 1 eq HPwmOdd eq dup not {erasepage}if
        true setglobal /HPwmOdd HPwmOdd not def false setglobal}ifelse} bind def
  
      /HPWaterMark {
      0 setgray 1 setlinewidth true setstrokeadjust 0 setlinejoin 0 setlinecap [] 0 setdash
      0 0 HPwmPgWidth HPwmPgHeight rectstroke
      userdict /HPwmText known HPwmOn and
        {HPwmPgWidth 2 div HPwmPgHeight 2 div translate
         HPwmAngle 90 add rotate /HPwmFont HPwmSize selectfont
         HPwmText stringwidth 2 div neg exch 2 div neg exch HPwmSize .25 mul sub moveto
         HPwmText false charpath userdict /HPwmStyle1 known
           {gsave 1 setgray HPwmStyle1 HPwmScale div HPwmStyle add setlinewidth stroke grestore} if
         0 setgray HPwmStyle setlinewidth stroke
         HPwmLocation not {true setglobal HPwm /HPwmOn false put false setglobal} if
        } if
      } bind def
      end
  
      <<
      /BeginPage {userdict begin
        16 mod dup
        4 idiv HPwmPgWidth HPwmScale mul mul HPwmX1 add
        exch dup 4 idiv 4 mul sub HPwmPgHeight HPwmScale mul mul HPwmY1 add
        translate
        HPwmScale HPwmScale scale
        HPwm begin true setglobal
          /HPwmMatrix matrix currentmatrix def
        false setglobal end
        end } bind
   
      /EndPage {userdict begin
        HPwm begin HPwmMatrix setmatrix
        2 eq {16 mod 0 ne {HPwmEOP}{false}ifelse}{HPWaterMark 16 mod 15 eq {HPwmEOP}{false}ifelse} ifelse end
        end } bind
      >> setpagedevice
  
    /setpagedevice {userdict begin dup /PageSize known {/HPwmPgWidth exch /PageSize get aload pop /HPwmPgHeight exch def def
      HPwmCTM <</PageSize [HPwmShWidth HPwmShHeight] /ImagingBBox null>>
      userdict /HPwmSPD known {HPwmSPD}{setpagedevice} ifelse}if end} bind def

#ExtractedKey: HPwmText CompanyConfidential/Company Confidential
#ExtractedKey: HPwmText CompanyProprietary/Company Proprietary
#ExtractedKey: HPwmText CompanyPrivate/Company Private
#ExtractedKey: HPwmText Confidential/Confidential
#ExtractedKey: HPwmText Copy/Copy
#ExtractedKey: HPwmText Copyright/Copyright
#ExtractedKey: HPwmText Draft/Draft
#ExtractedKey: HPwmText FileCopy/File Copy
#ExtractedKey: HPwmText Final/Final
#ExtractedKey: HPwmText ForInternalUse/For Internal Use Only
#ExtractedKey: HPwmText Preliminary/Preliminary
#ExtractedKey: HPwmText Proof/Proof
#ExtractedKey: HPwmText ReviewCopy/Review Copy
#ExtractedKey: HPwmText Sample/Sample
#ExtractedKey: HPwmText TopSecret/Top Secret
#ExtractedKey: HPwmText Urgent/Urgent
wmtest=Company Confidential
ps_wmtext=
    userdict /HPwmText (\%s{wmtest}) put

#ExtractedKey: HPwmFont CourierB/Courier Bold
#ExtractedKey: HPwmFont TimesB/Times Bold
#ExtractedKey: HPwmFont HelveticaB/Helvetica Bold
wmfont=Courier-Bold
ps_wmfont=
      /\%s{wmfont} findfont dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def currentdict 
      end
      /HPwmFont exch definefont pop

#ExtractedKey: HPwmFontSize pt24/24 Points
#ExtractedKey: HPwmFontSize pt30/30 Points
#ExtractedKey: HPwmFontSize pt36/36 Points
#ExtractedKey: HPwmFontSize pt42/42 Points
#ExtractedKey: HPwmFontSize pt48/48 Points
#ExtractedKey: HPwmFontSize pt54/54 Points
#ExtractedKey: HPwmFontSize pt60/60 Points
#ExtractedKey: HPwmFontSize pt66/66 Points
#ExtractedKey: HPwmFontSize pt72/72 Points
#ExtractedKey: HPwmFontSize pt78/78 Points
#ExtractedKey: HPwmFontSize pt84/84 Points
#ExtractedKey: HPwmFontSize pt90/90 Points
wmsize=24
ps_wmsize=
    userdict /HPwmSize \%d{wmsize} put

#ExtractedKey: HPwmTextAngle Deg90/90 Degrees
#ExtractedKey: HPwmTextAngle Deg75/75 Degrees
#ExtractedKey: HPwmTextAngle Deg60/60 Degrees
#ExtractedKey: HPwmTextAngle Deg45/45 Degrees
#ExtractedKey: HPwmTextAngle Deg30/30 Degrees
#ExtractedKey: HPwmTextAngle Deg15/15 Degrees
#ExtractedKey: HPwmTextAngle Deg0/0 Degrees
#ExtractedKey: HPwmTextAngle DegN15/-15 Degrees
#ExtractedKey: HPwmTextAngle DegN30/-30 Degrees
#ExtractedKey: HPwmTextAngle DegN45/-45 Degrees
#ExtractedKey: HPwmTextAngle DegN60/-60 Degrees
#ExtractedKey: HPwmTextAngle DegN75/-75 Degrees
#ExtractedKey: HPwmTextAngle DegN90/-90 Degrees
wmangle=90
ps_wmangle=
    userdict /HPwmAngle \%d{wmangle} put

#ExtractedKey: HPwmTextStyle Narrow/Narrow Outline
ps_wmtextstylenarrow=
    userdict /HPwmStyle .24 put

#ExtractedKey: HPwmTextStyle Medium/Medium Outline
ps_wmtextstylemedium=
    userdict /HPwmStyle .48 put

#ExtractedKey: HPwmTextStyle Wide/Wide Outline
ps_wmtextstylewide=
    userdict /HPwmStyle .96 put

#ExtractedKey: HPwmTextStyle Halo/Wide Halo Outline
ps_wmtextstylehalo=
    userdict /HPwmStyle .96 put userdict /HPwmStyle1 .84 put

#ExtractedKey: HPwmLocation True/All Pages
ps_wmallpages=
    userdict /HPwmLocation true put

#ExtractedKey: HPwmLocation False/First Page Only
ps_wmfirstpage=
    userdict /HPwmLocation false put

#ExtractedKey: HPCollate True/On (turn off in application)
collate=true
ps_collate=<</Collate \%s{collate}>> setpagedevice

#ExtractedKey: HPCollate False/Off
# ps_collateoff=
    <</Collate false>> setpagedevice

#ExtractedKey: Smoothing True/On
ps_smoothing=[ smoothingon ]
ps_nosmoothing=[ smoothingoff ]
ps_smoothingon=
      << /PostRenderingEnhance true /PostRenderingEnhanceDetails << /REValue 2 /Type 8 >>
      >> setpagedevice

#ExtractedKey: Smoothing False/Off
ps_smoothingoff=
      << /PostRenderingEnhance true /PostRenderingEnhanceDetails << /REValue 0 /Type 8 >>
      >> setpagedevice

#
# Paper size selection ...
#

#ExtractedKey: PageSize Letter/Letter
ps_letter=<</PageSize [612 792] /ImagingBBox null>> setpagedevice
#ExtractedKey: PageSize Executive/Executive
ps_executive=<</PageSize [522 756] /ImagingBBox null>> setpagedevice
#ExtractedKey: PageSize Legal/Legal
ps_legal=<</PageSize [612 1008] /ImagingBBox null>> setpagedevice
#ExtractedKey: PageSize A4/A4
ps_a4=<</PageSize [595 842] /ImagingBBox null>> setpagedevice
#ExtractedKey: PageSize A5/A5
ps_a5=<</PageSize [420 595] /ImagingBBox null>> setpagedevice
#ExtractedKey: PageSize B5/B5 (JIS)
ps_b5=<</PageSize [516 729] /ImagingBBox null>> setpagedevice
#ExtractedKey: PageSize w612h935/Executive (JIS)
ps_w612h935=<</PageSize [612 935] /ImagingBBox null>> setpagedevice
#ExtractedKey: PageSize w558h774/16K
ps_w558h774=<</PageSize [558 774] /ImagingBBox null>> setpagedevice
#ExtractedKey: PageSize Env10/Envelope #10
ps_env10=<</PageSize [297 684] /ImagingBBox null>> setpagedevice
#ExtractedKey: PageSize EnvMonarch/Envelope Monarch
ps_envmonarch=<</PageSize [279 540] /ImagingBBox null>> setpagedevice
#ExtractedKey: PageSize EnvDL/Envelope DL
ps_envdl=<</PageSize [312 624] /ImagingBBox null>> setpagedevice
#ExtractedKey: PageSize EnvC5/Envelope C5
ps_envc5=<</PageSize [459 649] /ImagingBBox null>> setpagedevice
#ExtractedKey: PageSize EnvISOB5/Envelope B5
ps_envb5=<</PageSize [499 709] /ImagingBBox null>> setpagedevice

#
# source ...
#
  
#ExtractedKey: InputSlot Upper/ Tray 1
ps_inupper=[ intray1 ]
ps_intray1=<</ManualFeed false /MediaPosition 3>> setpagedevice
#ExtractedKey: InputSlot ManualFeed/ Tray 1 (Manual)
ps_manualfeed=[ manual ]
ps_manual=<</ManualFeed true /MediaPosition 3>> setpagedevice
#ExtractedKey: InputSlot Middle/ Tray 2
ps_inmiddle=[ intray2 ]
ps_intray2=<</ManualFeed false /MediaPosition 0>> setpagedevice
#ExtractedKey: InputSlot Lower/ Tray 3
ps_inlower=[ intray3 ]
ps_intray3=currentpagedevice /InputAttributes get 1 known
      {<</ManualFeed false /MediaPosition 1>> setpagedevice}
      {currentpagedevice /InputAttributes get 5 known
        {<</ManualFeed false /MediaPosition 5>> setpagedevice}if}ifelse
#ExtractedKey: InputSlot LargeCapacity/ Tray 4
ps_inlarge=[ intray4 ]
ps_inlargecapacity=[ intray4 ]
ps_intray4=currentpagedevice /InputAttributes get 4 known
      {<</ManualFeed false /MediaPosition 4>> setpagedevice}
      {currentpagedevice /InputAttributes get 1 known
        {<</ManualFeed false /MediaPosition 5>> setpagedevice}
        {<</ManualFeed false /MediaPosition 6>> setpagedevice}ifelse}ifelse

#ExtractedKey: InputSlot Tray5/ Tray 5
ps_intray5=currentpagedevice /InputAttributes get 1 known
      {<</ManualFeed false /MediaPosition 6>> setpagedevice}
      {<</ManualFeed false /MediaPosition 7>> setpagedevice}ifelse

#ExtractedKey: InputSlot Tray6/ Tray 6
ps_intray6=currentpagedevice /InputAttributes get 1 known
      {<</ManualFeed false /MediaPosition 7>> setpagedevice}
      {<</ManualFeed false /MediaPosition 8>> setpagedevice}ifelse

#ExtractedKey: InputSlot Tray7/ Tray 7
ps_intray7=currentpagedevice /InputAttributes get 1 known
      {<</ManualFeed false /MediaPosition 8>> setpagedevice}
      {<</ManualFeed false /MediaPosition 9>> setpagedevice}ifelse

#ExtractedKey: InputSlot Tray8/ Tray 8
ps_intray8=
    currentpagedevice /InputAttributes get 1 known
      {<</ManualFeed false /MediaPosition 9>> setpagedevice}
      {<</ManualFeed false /MediaPosition 10>> setpagedevice}ifelse

#ExtractedKey: InputSlot Tray9/ Tray 9
ps_intray9=
    currentpagedevice /InputAttributes get 1 known
      {<</ManualFeed false /MediaPosition 10>> setpagedevice}
      {<</ManualFeed false /MediaPosition 11>> setpagedevice}ifelse

#ExtractedKey: InputSlot Tray10/ Tray 10
ps_intray10=
    currentpagedevice /InputAttributes get 1 known
      {<</ManualFeed false /MediaPosition 11>> setpagedevice}
      {<</ManualFeed false /MediaPosition 12>> setpagedevice}ifelse

#ExtractedKey: InputSlot Envelope/ Envelope Feeder
ps_envelope=
    <</ManualFeed false /MediaPosition 2>> setpagedevice

#
# Media type ...
#
#ExtractedKey: InputSlot Plain/Plain
ps_plain=<</ManualFeed false /MediaType (Plain)>> setpagedevice

#ExtractedKey: InputSlot Preprinted/Preprinted
ps_preprinted=<</ManualFeed false /MediaType (Preprinted)>> setpagedevice

#ExtractedKey: InputSlot Letterhead/Letterhead
ps_letterhead=<</ManualFeed false /MediaType (Letterhead)>> setpagedevice

#ExtractedKey: InputSlot Transparency/Transparency
ps_transparancy=<</ManualFeed false /MediaType (Transparency)>> setpagedevice

#ExtractedKey: InputSlot Prepunched/Prepunched
ps_prepunched=<</ManualFeed false /MediaType (Prepunched)>> setpagedevice

#ExtractedKey: InputSlot Labels/Labels
ps_labels=<</ManualFeed false /MediaType (Labels)>> setpagedevice

#ExtractedKey: InputSlot Bond/Bond
ps_bond=<</ManualFeed false /MediaType (Bond)>> setpagedevice

#ExtractedKey: InputSlot Recycled/Recycled
ps_recycled=<</ManualFeed false /MediaType (Recycled)>> setpagedevice

#ExtractedKey: InputSlot Color/Color
ps_mediacolor=<</ManualFeed false /MediaType (Color)>> setpagedevice

#ExtractedKey: InputSlot Cardstock/Card Stock
ps_cardstock=<</ManualFeed false /MediaType (Card Stock)>> setpagedevice

#ExtractedKey: InputSlot Rough/Rough
ps_rough=<</ManualFeed false /MediaType (Rough)>> setpagedevice

#ExtractedKey: HPPaperPolicy PromptUser/Prompt User
ps_promptuser=<</DeferredMediaSelection true>> setpagedevice

#ExtractedKey: HPPaperPolicy NearestSizeAdjust/Nearest Size and Scale
ps_nearestsizeadjust=<</DeferredMediaSelection false /Policies << /PageSize 3 >> >> setpagedevice
#ExtractedKey: HPPaperPolicy NearestSizeNoAdjust/Nearest Size and Crop
ps_nearestsizenoadjust=<</DeferredMediaSelection false /Policies << /PageSize 5 >> >> setpagedevice

#ExtractedKey: HPPaperPolicy Letter/Letter
ps_policyletter=
    userdict begin
      /HPppX1 0 def
      /HPppY1 0 def
      /HPppScale 1 def
  
      <</DeferredMediaSelection true
        /BeginPage {pop userdict begin HPppX1 HPppY1 translate HPppScale HPppScale scale end} bind>> setpagedevice
  
      /HPwmSPD {setpagedevice} bind def
      /setpagedevice {userdict begin dup /PageSize known {/HPwmPgWidth exch /PageSize get aload pop /HPwmPgHeight exch def def
          /HPppScale 612 HPwmPgWidth div dup 792 HPwmPgHeight div dup 3 1 roll lt {pop} {exch pop} ifelse def
          HPppScale 1 gt {/HPppScale 1 def}if
          /HPppX1 612 HPwmPgWidth HPppScale mul sub 2 div def
          /HPppY1 792 HPwmPgHeight HPppScale mul sub 2 div def
          <</PageSize [612 792] /ImagingBBox null>> setpagedevice}{setpagedevice}ifelse end} bind def
    end

#ExtractedKey: HPPaperPolicy A4/A4
ps_policya4=
    userdict begin
      /HPppX1 0 def
      /HPppY1 0 def
      /HPppScale 1 def
  
      <</DeferredMediaSelection true
        /BeginPage {pop userdict begin HPppX1 HPppY1 translate HPppScale HPppScale scale end} bind>> setpagedevice
  
      /HPwmSPD {setpagedevice} bind def
      /setpagedevice {userdict begin dup /PageSize known {/HPwmPgWidth exch /PageSize get aload pop /HPwmPgHeight exch def def
          /HPppScale 595 HPwmPgWidth div dup 842 HPwmPgHeight div dup 3 1 roll lt {pop} {exch pop} ifelse def
          HPppScale 1 gt {/HPppScale 1 def}if
          /HPppX1 595 HPwmPgWidth HPppScale mul sub 2 div def
          /HPppY1 842 HPwmPgHeight HPppScale mul sub 2 div def
          <</PageSize [595 842] /ImagingBBox null>> setpagedevice}{setpagedevice}ifelse end} bind def
    end

#ExtractedKey: HPScalePatterns Scale/On
ps_scalepatterns=
    /GDIBWPatternDict 18 dict def
    /dtransform {GDIBWPatternDict /Width known {currentpagedevice /HWResolution get 0 get
    150 div mul exch currentpagedevice /HWResolution get 0 get 150 div mul exch dtransform}{dtransform}ifelse} bind def

#ExtractedKey: HPHalftone Enhanced/Enhanced
ps_halftoneenhanced=
       << /Install {
         currentpagedevice /HWResolution get
         dup 0 get 600 eq exch 1 get 600 eq and
         { /EnhancedColorRendering600 } { /EnhancedColorRendering } ifelse
         /ColorRendering findresource setcolorrendering
         /EnhancedHalftone /Halftone findresource sethalftone
         { } settransfer false setstrokeadjust
       }
       >> setpagedevice
       currentpagedevice /HWResolution get dup 0 get 600 eq exch 1 get 600 eq and
       {
           << /PostRenderingEnhance true
                /PostRenderingEnhanceDetails << /REValue 0 /Type 8 >>
           >> setpagedevice
       } if
       /setscreen { pop pop pop } def
       /setcolorscreen { pop pop pop pop pop pop pop pop pop pop pop pop } def
       /sethalftone { pop } def 


#ExtractedKey: HPHalftone Standard/Standard
ps_halftonestandard=
       << /Install {
         currentpagedevice /HWResolution get
         dup 0 get 600 eq exch 1 get 600 eq and dup
         currentpagedevice /PostRenderingEnhance get
         currentpagedevice /PostRenderingEnhanceDetails get /REValue get 0 ne and
         { {/DefaultColorRenderingRE600} {/DefaultColorRenderingRE} ifelse}
         { {/DefaultColorRendering600} {/DefaultColorRendering} ifelse} ifelse
         /ColorRendering findresource setcolorrendering
         { /DefaultHalftone600 } {/DefaultHalftone} ifelse
         /Halftone findresource sethalftone
         {} settransfer false setstrokeadjust
       } >> setpagedevice
       currentpagedevice /HWResolution get dup 0 get 600 eq exch 1 get 600 eq and
       {
         << /PostRenderingEnhance true /PostRenderingEnhanceDetails
         << /REValue 0 /Type 8 >> >> setpagedevice
       } if


#
# Duplex control ..
#

#ExtractedKey: Duplex DuplexNoTumble/Flip on Long Edge (Standard)
ps_duplex=<</Duplex true /Tumble false>> setpagedevice
ps_lduplex=[ duplex ]

#ExtractedKey: Duplex DuplexTumble/Flip on Short Edge
ps_duplexshort=<</Duplex true /Tumble true>> setpagedevice
ps_sduplex=[ duplexshort ]
ps_duplexshortedge=[ duplexshort ]

#ExtractedKey: Duplex None/Off (1-Sided)
ps_simplex=<</Duplex false>> setpagedevice

ps_tumble=<</Tumble true>> setpagedevice
ps_shortedge=[ tumble ]

ps_user_opts += [
	a4 a5 b5 bond cardstock collate duplex duplexshort duplexshortedge env10
	envb5 envc5 envdl envelope envmonarch executive fourup fourupl halftoneenhanced
	halftonestandard inlarge inlargecapacity inlower inmiddle intray1 intray10
	intray2 intray3 intray4 intray5 intray6 intray7 intray8 intray9
	inupper labels lduplex legal letter letterhead manual manualfeed mediacolor
	nearestsizeadjust nearestsizenoadjust nineuo nineupl nosmoothing oneup
	oneupl plain policya4 policyletter preprinted prepunched promptuser recycled rough
	scalepatterns sduplex shortedge simplex sixteenup sixteenupl sixup sixupl smoothing
	smoothingoff smoothingon transparancy tumble twoup twoupl w558h774 w612h935
	wmallpages wmangle wmfirstpage wmfont wmsize wmtext wmtextstylehalo wmtextstylemedium
	wmtextstylenarrow wmtextstylewide
    ]
#
#!End of [ hp4050 ]

##
##  QMS Printers do not seem to return status or other information
##  you may need to configure them to connect on port 35
## printcap 
##  lp:ifhp=model=qms1725,dev=qms.printer.ip.addr%35
##    :lp=/dev/null
##    :if=..../ifhp
##

# PRINTER qms1725 - QMS 1725, uses appsocket, no status, PostScript only
[ qms1725 ]
appsocket
# close_appsocket
status@
pjl@
pcl@
ps
text@

file_output_match = [
  *postscript*       ps
  *text*             ps      \%s{a2ps_converter}
  *pdf*              filter  \%s{pdf2ps_converter}
  *gzip_compressed*  filter  \%s{gzip_decompress}
  ]

#*DefaultDuplex: None
#*Duplex None: statusdict begin false setduplexmode false settumble end
ps_simplex=statusdict begin false setduplexmode false settumble end
#*Duplex DuplexNoTumble: statusdict begin true setduplexmode false settumble end
ps_duplex=statusdict begin true setduplexmode false settumble end
ps_lduplex=[ duplex ]
#*Duplex DuplexTumble: statusdict begin true setduplexmode true settumble end
ps_duplexshort=statusdict begin true setduplexmode true settumble end
ps_sduplex=[ duplexshort ]

ps_tumble=statusdict begin true settumble end
ps_shortedge=[ tumble ]

#*InputSlot Upper: statusdict begin 1 setpapertray end
ps_inupper=statusdict begin 1 setpapertray end
#*InputSlot Lower: statusdict begin 2 setpapertray end
ps_inlower=statusdict begin 2 setpapertray end
#*InputSlot Envelope: statusdict begin 3 setpapertray end
ps_envelope=statusdict begin 3 setpapertray end

ps_manual=   1 dict dup /ManualFeed true put setpagedevice

#*OutputBin Upper: statusdict begin 1 setoutputray end
#*OutputBin Back: statusdict begin 2 setoutputtray end

ps_outupper= statusdict begin 1 setoutputray end
ps_outlower= statusdict begin 2 setoutputtray end

# QMS 2025 appears to be HP compatible
# QMS 860 has same tray as QMS2025
# PRINTER % - QMS Laser Printer {/qms(.*)/QMS $1/}, appsocket, no status, PostScript and PCL
[ qms2025 qms860 qms2060 ]
appsocket
# close_appsocket
status@
pjl@
pcl
ps
text@
#*PageSize Letter: statusdict begin lettertray end
ps_letter=statusdict begin lettertray end
#*PageSize Legal: statusdict begin legaltray end
ps_legal=statusdict begin legaltray end
#*PageSize Tabloid: statusdict begin 11x17tray end
ps_ledger=statusdict begin 11x17tray end
#*PageSize Executive: statusdict begin executivetray end
ps_executive=statusdict begin executivetray end
#*PageSize A3: statusdict begin a3tray end
ps_a3=statusdict begin a3tray end
#*PageSize A4: statusdict begin a4tray end
ps_a4=statusdict begin a4tray end
#*PageSize A5: statusdict begin a5tray end
ps_a5=statusdict begin a5tray end
#*PageSize B4: statusdict begin b4tray end
ps_b4=statusdict begin b4tray end
#*PageSize B5: statusdict begin b5tray end
ps_b5=statusdict begin b5tray end
#*PageSize B6: statusdict begin b6tray end
ps_b6=statusdict begin b6tray end


## Tektronix Color Printers
##  uses 'appsocket' protcol
##   TCP port 9100
##    receives job status
##
## printcap entry:
##  lp:cm=Phaser
##    :lp=/dev/null
##    :ifhp=model=phaser,dev=10.0.0.1%9100
##    :if=@FILTER_DIR@/ifhp
##
##  OR
##
##  lp:cm=Phaser
##    :lp=/dev/null
##    :if=@FILTER_DIR@/ifhp -Tmodel=phaser,dev=10.0.0.1%9100
##
##  If you insist on banner pages or need powerful accounting
##  and need an OF filter
##  then add (respectively to the above examples):
##
##    :of=@FILTER_DIR@/ifhp
##  OR
##    :of=@FILTER_DIR@/ifhp -Tmodel=phaser,dev=10.0.0.1%9100
##

# PRINTER % - Tektronics Generic Phaser Color Printer, appsocket, snmp monitoring, PostScript only
[ phaser ]
appsocket
# close_appsocket
pjl@
hpgl2
pcl
ps
sync=snmp
waitend=snmp
pagecount=snmp

file_output_match = [
  *postscript*       ps
  *text*             ps      \%s{a2ps_converter}
  *pdf*              filter  \%s{pdf2ps_converter}
  *gzip_compressed*  filter  \%s{gzip_decompress}
  ]

ps_pagecount_code=%!
  false 0 startjob pop
  (%%[ pagecount: )print statusdict /pagecount get exec (                )cvs
   print
  ( ]%% )= flush
ps_inupper=
  product (Phaser 2) anchorsearch
  { pop pop 2 dict begin
     /InputAttributes 1 dict begin /Priority [0] def currentdict
  end def }
  {  (Phaser 440) anchorsearch
     { pop pop 3 dict begin
         /MediaType (Upper Tray) def
        /MediaColor null def }
    { pop 4 dict begin
        /MediaPosition 0 def
        /MediaType null def
        /ManualFeed false def } ifelse
  } ifelse
  /TraySwitch false def
  currentdict end setpagedevice

ps_transparency=
  mark
  {
    4 dict begin
      /MediaPosition null def
      /MediaType (Transparency) def
      /TraySwitch true def
      /ManualFeed false def
      currentdict end setpagedevice
  } stopped cleartomark

# PRINTER % - Tektronics Phaser {/phaser(.*)/$1/} Color Printer, appsocket, snmp monitoring, PostScript only
[ phaser360 phaser740 phaser750 phaser850 ]

# use the generic phaser definitions
tc=phaser
# The following is required for transparency selection on
# the Phaser 360, Phaser 740, Phaser 750 and Phaser850:
#  These updates from:
# kreiser@axp602.gsi.de (Helmut Kreiser, Linux + VMS Admin,
#   GSI Darmstadt, H.Kreiser@gsi.de, Tel.: +(49)(0)6159 71-(0)-2517)

#  Note: your local printer may not handle the 'permanent selection'
#  version.  If so,  then use the following and comment the others out.
#   Patrick Powell
#ps_transparency=
#                << /MediaPosition null 
#                   /MediaClass (Transparency) 
#                   /TraySwitch true 
#                   /ManualFeed false 
#                >> setpagedevice
#
#ps_transparency=
#                 true 0 startjob not { /exitserver errordict/invalidaccess get
#                 exec quit } if <</Duplex true /Tumble false>> setpagedevice false
#                 0 startjob pop
#                 << /MediaPosition null
#                    /MediaClass (Transparency)
#                    /TraySwitch true
#                    /ManualFeed false
#                 >> setpagedevice
#
#ps_simplex=
#                 true 0 startjob not { /exitserver errordict/invalidaccess get
#                 exec quit } if <</Duplex true /Tumble false>> setpagedevice false
#                 0 startjob pop
#                 <</Duplex false /Tumble false>> setpagedevice
#
#ps_duplex=
#                 true 0 startjob not { /exitserver errordict/invalidaccess get
#                 exec quit } if <</Duplex true /Tumble false>> setpagedevice false
#                 0 startjob pop
#                 <</Duplex true /Tumble false>> setpagedevice

# The following is required for tray selection 
# with permanent selection

# we could set the defaults so that we force the tray selection
# ps_init += [ inlower simplex ]

ps_inupper=
  %  Wrap function with startjob to make the change persistent.
  %   true 0 startjob not { /exitserver errordict /invalidaccess get exec quit } if
   /pt { product exch anchorsearch { pop pop true } { pop false } ifelse } bind def
   << (Phaser 350) pt (Phaser 380) pt or (Phaser 360) pt or
     { << /HWResolution /Default /OutputDevice findresource /HWResolution get
       dup length 1 sub get >> setpagedevice }
     { (Phaser 550) pt { /HWResolution [1200 600] /ProcessColorModel /DeviceCMYK }
       { (Phaser 540) pt { /HWResolution [600 600] }
         { /HWResolution [300 300] } ifelse
         /PostRenderingEnhance true /PostRenderingEnhanceDetails
          << /OutputMode (Enhanced) >> } ifelse } ifelse >> setpagedevice
   userdict /pt undef
  %   false 0 startjob pop
  %  Wrap function with startjob to make the change persistent.
  %   This seems to check for some language level...
  %   systemdict/languagelevel known{languagelevel 2 ge{true (0) startjob dup not
  %    {/exitserver errordict/invalidaccess get exec}if}{false}ifelse}{false}ifelse
  %   not {quit} if
   mark { product (Phaser 2) anchorsearch
     { pop pop 2 dict begin
         /InputAttributes 1 dict begin /Priority [0] def currentdict end def }
     { (Phaser 4) anchorsearch
       { pop pop 3 dict begin
         languagelevel 3 lt {/MediaType}{/MediaClass} ifelse (Upper Tray) def
         /MediaColor null def }
       { pop 4 dict begin
         /MediaPosition 0 def
         languagelevel 3 lt {/MediaType}{/MediaClass} ifelse null def
         /ManualFeed false def } ifelse } ifelse /TraySwitch false def
     currentdict end setpagedevice } stopped cleartomark
  %  false (0) startjob pop

# The following is required for paper selection
# with permanent selection

ps_inlower=
  %  Wrap function with startjob to make the change persistent.
  %   true 0 startjob not { /exitserver errordict /invalidaccess get exec quit } if
   /pt { product exch anchorsearch { pop pop true } { pop false } ifelse } bind def
   << (Phaser 350) pt (Phaser 380) pt or (Phaser 360) pt or
     { << /HWResolution /Default /OutputDevice findresource /HWResolution get
        dup length 1 sub get >> setpagedevice }
     { (Phaser 550) pt { /HWResolution [1200 600] /ProcessColorModel /DeviceCMYK }
       { (Phaser 540) pt { /HWResolution [600 600] }
         { /HWResolution [300 300] } ifelse
         /PostRenderingEnhance true /PostRenderingEnhanceDetails <<
           /OutputMode (Enhanced) >> } ifelse } ifelse >> setpagedevice
   userdict /pt undef
  %  false 0 startjob pop
  %  Wrap function with startjob to make the change persistent.
  %   systemdict/languagelevel known{languagelevel 2 ge{true (0) startjob dup not
  %    {/exitserver errordict/invalidaccess get exec}if}{false}ifelse}{false}ifelse
  %     not {quit} if
   /pt { product exch anchorsearch { pop pop true }{ pop false } ifelse } bind def
   mark { 4 dict begin (Phaser 2) pt
    { /InputAttributes 1 dict begin /Priority [1] def currentdict end def }
    { (Phaser 4) pt {
       languagelevel 3 lt {/MediaType}{/MediaClass} ifelse (Lower Tray) def
       /MediaColor null def } { (Phaser 5) pt
           {/MediaPosition 2 def }
           {/MediaPosition 1 def } ifelse
           languagelevel 3 lt {/MediaType}{/MediaClass} ifelse null def
           /ManualFeed false def } ifelse } ifelse
       /TraySwitch false def currentdict end setpagedevice } stopped cleartomark
   userdict /pt undef
  %  false (0) startjob pop

ps_transparency=
  %  Wrap function with startjob to make the change persistent.
  %   true 0 startjob not { /exitserver errordict/invalidaccess get exec quit } if
   /pt { product exch anchorsearch { pop pop true }{ pop false } ifelse } bind def
   << /MediaPosition  (Phaser 8) pt
      { currentpagedevice /InputAttributes get dup 2 known { pop 1}
      { 1 known {1}{0} ifelse} ifelse } { 1} ifelse
     languagelevel 2 le {/MediaType}{/MediaClass} ifelse null /ManualFeed false
     /TraySwitch false >> setpagedevice
  %   false 0 startjob pop
  %  Wrap function with startjob to make the change persistent.
  %   true 0 startjob not { /exitserver errordict/invalidaccess get exec quit } if
   /pt { product exch anchorsearch { pop pop true }{ pop false } ifelse } bind def
   << (Phaser 550) pt (Phaser 560) pt or (Phaser 740) pt or (Phaser 750) pt or {
      /HWResolution [1200 1200] /ProcessColorModel /DeviceCMYK
      (Phaser 560) pt (Phaser 740) pt or { /PostRenderingEnhance true
      /PostRenderingEnhanceDetails << /Type 5 /OutputMode (Standard) >> } if }{
      (Phaser 780) pt {  /HWResolution [600 600] /ProcessColorModel /DeviceCMYK
      /DeviceRenderingInfo currentpagedevice 1 index get 1 dict copy
      dup /ValuesPerColorComponent 16 put }{ /PostRenderingEnhance true
      /PostRenderingEnhanceDetails <</OutputMode (Premium)>> } ifelse } ifelse
   >> setpagedevice
   userdict /pt undef
  % false 0 startjob pop
  %   %  Wrap function with startjob to make the change persistent.
  %  true 0 startjob not { /exitserver errordict/invalidaccess get exec quit } if
   <</Duplex false /Tumble false>> setpagedevice
  % false 0 startjob pop

# The following is required for paper simplex/duplex selection
# with permanent selection

ps_simplex=
  %  Wrap function with startjob to make the change persistent.
  %   true 0 startjob not { /exitserver errordict/invalidaccess get exec quit } if
   /pt { product exch anchorsearch { pop pop true }{ pop false } ifelse } bind def
   << /ManualFeed false /TraySwitch false (Phaser 2) pt { 
      /InputAttributes <</Priority [1]>> }{ (Phaser 4) pt { /MediaType (Lower Tray)
      /MediaColor null }{ /MediaPosition (Phaser 8) pt {
      currentpagedevice /InputAttributes get dup 2 known { pop 2 }{
      1 known {1}{0} ifelse } ifelse }{
      (Phaser 5) pt (Phaser 740) pt or (Phaser 750) pt or {2}{1} ifelse } ifelse
      languagelevel 2 le {/MediaType}{/MediaClass} ifelse null } ifelse } ifelse
   >> setpagedevice
   userdict /pt undef
  %  false 0 startjob pop
  %  Wrap function with startjob to make the change persistent.
  %   true 0 startjob not { /exitserver errordict/invalidaccess get exec quit } if
   /pt { product exch anchorsearch { pop pop true }{ pop false } ifelse } bind def
   << (Phaser 550) pt (Phaser 560) pt or (Phaser 740) pt or (Phaser 750) pt or {
     /HWResolution [1200 1200] /ProcessColorModel /DeviceCMYK
     (Phaser 560) pt (Phaser 740) pt or { /PostRenderingEnhance true
     /PostRenderingEnhanceDetails << /Type 5 /OutputMode (Standard) >> } if }{
     (Phaser 780) pt { /HWResolution [600 600] /ProcessColorModel /DeviceCMYK
     /DeviceRenderingInfo currentpagedevice 1 index get 1 dict copy
     dup /ValuesPerColorComponent 16 put }{ /PostRenderingEnhance true
     /PostRenderingEnhanceDetails <</OutputMode (Premium)>> } ifelse } ifelse
   >> setpagedevice
   userdict /pt undef
  % false 0 startjob pop
  %  Wrap function with startjob to make the change persistent.
  %   true 0 startjob not { /exitserver errordict/invalidaccess get exec quit } if
   <</Duplex false /Tumble false>> setpagedevice
  % false 0 startjob pop

ps_duplex=
  %  Wrap function with startjob to make the change persistent.
  % true 0 startjob not { /exitserver errordict/invalidaccess get exec quit } if
   /pt { product exch anchorsearch { pop pop true }{ pop false } ifelse } bind def
   << /ManualFeed false /TraySwitch false (Phaser 2) pt { 
      /InputAttributes <</Priority [1]>> }{ (Phaser 4) pt { /MediaType (Lower Tray)
      /MediaColor null }{ /MediaPosition (Phaser 8) pt {
      currentpagedevice /InputAttributes get dup 2 known { pop 2 }{
      1 known {1}{0} ifelse } ifelse }{
      (Phaser 5) pt (Phaser 740) pt or (Phaser 750) pt or {2}{1} ifelse } ifelse
      languagelevel 2 le {/MediaType}{/MediaClass} ifelse null } ifelse } ifelse
   >> setpagedevice
   userdict /pt undef
  % false 0 startjob pop
  %  Wrap function with startjob to make the change persistent.
  % true 0 startjob not { /exitserver errordict/invalidaccess get exec quit } if
   /pt { product exch anchorsearch { pop pop true }{ pop false } ifelse } bind def
   << (Phaser 550) pt (Phaser 560) pt or (Phaser 740) pt or (Phaser 750) pt or {
     /HWResolution [1200 1200] /ProcessColorModel /DeviceCMYK
     (Phaser 560) pt (Phaser 740) pt or { /PostRenderingEnhance true
     /PostRenderingEnhanceDetails << /Type 5 /OutputMode (Standard) >> } if }{
     (Phaser 780) pt { /HWResolution [600 600] /ProcessColorModel /DeviceCMYK
     /DeviceRenderingInfo currentpagedevice 1 index get 1 dict copy
     dup /ValuesPerColorComponent 16 put }{ /PostRenderingEnhance true
     /PostRenderingEnhanceDetails <</OutputMode (Premium)>> } ifelse } ifelse
   >> setpagedevice
   userdict /pt undef
  % false 0 startjob pop
  %  Wrap function with startjob to make the change persistent.
  % true 0 startjob not { /exitserver errordict/invalidaccess get exec quit } if
   <</Duplex true /Tumble false>> setpagedevice
  % false 0 startjob pop

#! end [ phaser 750 ]
# PRINTER % - Tektronics Phaser {/phaser(.*)/$1/} Color Printer, appsocket, snmp monitoring, PostScript and PCL
#
# - PCL enabled on Phaser 740 (Marr <marr@shianet.org>)
#
[ phaser740 ]
tc=phaser360
pcl

# PRINTER % - Tektronics Phaser {/phaser(.*)/$1/} Color Printer, appsocket, snmp monitoring, PostScript and PCL
#  Use snmp monitoring for status and pagecount

[ phaser5400 ] 
tc=hp4000_pcl

appsocket
sync=snmp
pagecount=snmp
waitend=snmp

ps_simplex= <</Duplex false /Tumble false>> setpagedevice
ps_duplex= <</Duplex true /Tumble false>> setpagedevice
ps_lduplex=[ duplex ]
ps_sduplex= <</Duplex true /Tumble true>> setpagedevice

ps_collate=
  currentpagedevice /Collate known
    {currentpagedevice /Collate get
      {(True)}{(False)} ifelse}
    {(Unknown)}
  ifelse = flush
 restore "

ps_draft=  << /HWResolution [600 600] /Policies <</HWResolution 2 >>
     /PostRenderingEnhance true 
     /PostRenderingEnhanceDetails
      << /REValue 0 /TonerSaver 1 /Type 18 >>
  >> setpagedevice 


ps_normal=   << /HWResolution [1200 1200] /Policies <</HWResolution 2 >> 
     /PostRenderingEnhance true 
     /PostRenderingEnhanceDetails
      << /REValue 0 /TonerSaver 0 /Type 18 >>
  >> setpagedevice 

ps_high=[ normal]
ps_fast=[ draft ] 

#
# Position 1 is the MBF (manual bypass feeder)
#   Must specify Manual Feed or it will go to next tray (tray2) if empty
# Position 0 is tray 1 (top tray)
# Position 2 is tray 2
# Position 3 is tray 3 (assumed to be large-capacity feeder--would anyone 
#   get a large-capacity feeder without the second tray option up at the top?
#
ps_manual= <</ManualFeed true /MediaPosition 1 >> setpagedevice
ps_inupper= <</MediaPosition 0 >> setpagedevice
ps_intray1=[ ps_inupper ]
ps_inlower= <</MediaPosition 2 >> setpagedevice
ps_intray2=[ ps_inlower ]
ps_inlargecapacity= <</MediaPosition 3 >> setpagedevice
ps_inlarge=[ inlargecapacity ]
ps_intray3=[ inlargecapacity ]

# PRINTER % - Tektronics Phaser {/phaser(.*)/$1/} Color Printer, appsocket, snmp monitoring, PostScript and PCL
#----------------------------------------------------------------------
[ phaser7700 ]
appsocket
sync=snmp
pagecount=snmp
waitend=snmp

@pjl
@pcl
ps

file_output_match = [
  *postscript*       ps
  *text*             ps      \%s{a2ps_converter}
  *pdf*              filter  \%s{pdf2ps_converter}
  *gzip_compressed*  filter  \%s{gzip_decompress}
  ]

ps_pagecount_code=%!
  false 0 startjob pop
  (%%[ pagecount: )print statusdict /pagecount get exec (                )cvs
   print
  ( ]%% )= flush
#
# source ...
#
ps_inupper=<< /MediaPosition null
              /MediaClass (Paper)
              /TraySwitch true
           >> setpagedevice

ps_manual=<< /MediaPosition 0
             /MediaClass null
             /TraySwitch false
          >> setpagedevice

ps_intray1=<< /MediaPosition 1
              /MediaClass null
              /TraySwitch false
           >> setpagedevice

ps_intray2=<< /MediaPosition 2
              /MediaClass null
              /TraySwitch false
           >> setpagedevice

ps_intray3=<< /MediaPosition 3
              /MediaClass null
              /TraySwitch false
           >> setpagedevice

ps_intray4=<< /MediaPosition 4
              /MediaClass null
              /TraySwitch false
           >> setpagedevice

ps_transparency=<< /MediaPosition null
                   /MediaClass (Transparency)
                   /TraySwitch true
                >> setpagedevice

#
# Duplex control ..
#
ps_duplex=<</Duplex true  /Tumble false>> setpagedevice
ps_lduplex=[ duplex ]
ps_duplexshort=<</Duplex true  /Tumble true>> setpagedevice
ps_sduplex=[ duplexshort ]
ps_simplex=<</Duplex false /Tumble false>> setpagedevice

#
# Print quality
#
ps_standard=<< /ProcessColorModel /DeviceCMYK
               /HWResolution [1200 600] 
               /DeviceRenderingInfo currentpagedevice 1 index get 1 dict copy
                  dup /ValuesPerColorComponent 2 put
               >> setpagedevice

ps_photo=<< /ProcessColorModel /DeviceCMYK 
            /HWResolution [600 600]
            /DeviceRenderingInfo currentpagedevice 1 index get 1 dict copy
               dup /ValuesPerColorComponent 16 put
         >> setpagedevice

#
# paper destination
#
ps_outupper=<</OutputType (Top Bin)>> setpagedevice
ps_topbin=<</OutputType (Top Bin)>> setpagedevice

ps_finisherbin=<</OutputType (Finisher Bin)>> setpagedevice

ps_user_opts += [ 
                  ps_inupper ps_manual ps_intray1 ps_intray2 ps_intray3
                  ps_intray4 ps_transparency ps_duplex ps_lduplex  ps_outupper ps_topbin
                  ps_duplexshort ps_sduplex ps_simplex ps_standard ps_photo 
                ]

# PRINTER % - Lexmark 4039, Postscript only
[ lexmark4039 ]
pcl@
pjl@
ps
ps_init=[ sync ]
ps_sync=
  serverdict begin 0 exitserver
  statusdict begin true setenginesync end
ps_async=
  serverdict begin 0 exitserver
  statusdict begin false setenginesync end

file_output_match = [
  *postscript*       ps
  *text*             ps      \%s{a2ps_converter}
  *pdf*              ps      \%s{pdf2ps_converter}
  *gzip_compressed*  filter  \%s{gzip_decompress}
  ]

# PRINTER % - Lexmark Optra e312, Postscript, PCL and PJL
[ lexmark_optra_e312 ]

# Lexmark Optra e312 IFHP printer configuration
# Contribued by:
#   Lars Kellogg-Stedman <lars@larsshack.org>
#   Fri, 21 Jul 2000 23:55:14 -0400 (EDT)
## You may want to add the following xxx-to-ps converters
##  file_output_match += [
##        *gif*                   filter  \%s{gif_converter}
##        *jpeg*                  filter  \%s{jpeg_converter}
##        *tiff*                  filter  \%s{tiff_converter}
##        *gzip_compressed*       filter  \%s{gzip_decompress}
##        *postscript*            ps
##        *roff*                  ps      \%s{troff_converter}
##        *text*                  ps      \%s{a2ps_converter}
##        *pdf*                   ps      \%s{pdf_converter}
##        *dvi*                   ps      \%s{dvi_converter}
##        *pnm*                   ps      \%s{pnm_converter}
##        *ppm*                   ps      \%s{pnm_converter}
##  ]
##

## The lexmark supports both pcl and pjl in addition to postscript.
pcl
pjl

pjl_vars_set += [
	LPARM_POSTSCRIPT_LPICTUREGRADE=(LPARM:POSTSCRIPT+LPICTUREGRADE)ENUMERATED;OFF,ON
]

pjl_user_opts += [
		density economode noeconomode picturegrade nopicturegrade
	]

pjl_density=[  density=\%s{density} ]

pjl_economode=[  economode=on ]
pjl_noeconomode=[  economode=off ]

pjl_picturegrade=[  lparm_postscript_lpicturegrade=on ]
pjl_nopicturegrade=[  lparm_postscript_lpicturegrade=off ]

ps_user_opts += [
		smoothing nosmoothing enhance noenhance
		300x300 600x600 plain cardstock transparency
		labels bond letterhead preprinted color envelope
		custom1 custom2 custom3 custom4 custom5 custom6
		lxcollate nolxcollate letter legal b5 a4
		executive a5 universal monarch c9 comm10 dl c5
		isob5 other autoselect intray1 manual
	]

ps_smoothing = %% Turn smoothing ON
	<< /PostRenderingEnhanceDetails << /REValue 2 >> >> setpagedevice
ps_nosmoothing = %% Turn smoothing OFF
	<< /PostRenderingEnhanceDetails << /REValue 0 >> >> setpagedevice

ps_enhance = %% Turn imageenhance ON
	1 dict dup /DeviceRenderingInfo 1 dict dup /ImageEnhancement 1 put put setpagedevice
ps_noenhance = %% Turn imageenhance OFF
	1 dict dup /DeviceRenderingInfo 1 dict dup /ImageEnhancement 0 put put setpagedevice

## resolution
ps_300x300 = %% Set resolution to 300x300
	<< /HWResolution [300 300] >> setpagedevice
ps_600x600 = %% Set resolution to 600x600
	<< /HWResolution [600 600] >> setpagedevice

ps_lxcollate = %% Turn lxcollate ON
	<< /Collate true >> setpagedevice
ps_nolxcollate = %% Turn lxcollate OFF
	<< /Collate false >> setpagedevice

## media types
ps_plain = << /MediaType (Plain) /Policies << /MediaType 2 >> >> setpagedevice
ps_cardstock = << /MediaType (Card Stock) /Policies << /MediaType 2 >> >> setpagedevice
ps_transparency = << /MediaType (Transparency) /Policies << /MediaType 2 >> >> setpagedevice
ps_labels = << /MediaType (Labels) /Policies << /MediaType 2 >> >> setpagedevice
ps_bond = << /MediaType (Bond) /Policies << /MediaType 2 >> >> setpagedevice
ps_letterhead = << /MediaType (Letterhead) /Policies << /MediaType 2 >> >> setpagedevice
ps_preprinted = << /MediaType (Preprinted) /Policies << /MediaType 2 >> >> setpagedevice
ps_color = << /MediaType (Color) /Policies << /MediaType 2 >> >> setpagedevice
ps_envelope = << /MediaType (Envelope) /Policies << /MediaType 2 >> >> setpagedevice
ps_custom1 = << /MediaType (Custom Type 1) /Policies << /MediaType 2 >> >> setpagedevice
ps_custom2 = << /MediaType (Custom Type 2) /Policies << /MediaType 2 >> >> setpagedevice
ps_custom3 = << /MediaType (Custom Type 3) /Policies << /MediaType 2 >> >> setpagedevice
ps_custom4 = << /MediaType (Custom Type 4) /Policies << /MediaType 2 >> >> setpagedevice
ps_custom5 = << /MediaType (Custom Type 5) /Policies << /MediaType 2 >> >> setpagedevice
ps_custom6 = << /MediaType (Custom Type 6) /Policies << /MediaType 2 >> >> setpagedevice

ps_letter = %% Letter
	2 dict dup /PageSize [612 792]  put dup /ImagingBBox null put setpagedevice
ps_legal = %% Legal
	2 dict dup /PageSize [612 1008] put dup /ImagingBBox null put setpagedevice
ps_b5 = %% B5
	2 dict dup /PageSize [516 729]  put dup /ImagingBBox null put setpagedevice
ps_a4 = %% A4
	2 dict dup /PageSize [595 842]  put dup /ImagingBBox null put setpagedevice
ps_executive = %% Executive
	2 dict dup /PageSize [522 756]  put dup /ImagingBBox null put setpagedevice
ps_a5 = %% A5
	2 dict dup /PageSize [420 595]  put dup /ImagingBBox null put setpagedevice
ps_universal = %% Universal
	2 dict dup /PageSize [612 1008]  put dup /ImagingBBox null put setpagedevice
ps_monarch = %% Monarch Envelope
	2 dict dup /PageSize [279 540]  put dup /ImagingBBox null put setpagedevice
ps_c9 = %% C9 Envelope
	2 dict dup /PageSize [279 639]  put dup /ImagingBBox null put setpagedevice
ps_comm10 = %% comm10 (Number 10 Envlope?)
	2 dict dup /PageSize [297 684]  put dup /ImagingBBox null put setpagedevice
ps_dl = %% DL Envelope
	2 dict dup /PageSize [312 624]  put dup /ImagingBBox null put setpagedevice
ps_c5 = %% C5 Envelope
	2 dict dup /PageSize [459 649]  put dup /ImagingBBox null put setpagedevice
ps_isob5 = %% ISO B5 Envelope
	2 dict dup /PageSize [499 708]  put dup /ImagingBBox null put setpagedevice
ps_other = %% Other Envelope (8.5 x 14)
	2 dict dup /PageSize [612 1008] put dup /ImagingBBox null put setpagedevice

## autoselect
ps_autoselect = %% Autoselect input tray
	1 dict dup /Policies 1 dict dup /PageSize 2 put put setpagedevice

ps_intray1 = %% Select input tray 1
	1 dict dup /ManualFeed false put setpagedevice
	1 dict dup /MediaPosition null put setpagedevice
	currentpagedevice /InputAttributes get 0 get setpagedevice
	1 dict dup /InputAttributes 1 dict dup /Priority [0] put put setpagedevice
	1 dict dup /Policies 1 dict dup /PageSize 7 put put setpagedevice

## manual
ps_manual = %% Select manual input tray
	1 dict dup /ManualFeed true  put setpagedevice
	1 dict dup /MediaPosition null put setpagedevice
	1 dict dup /Policies 1 dict dup /PageSize 2 put put setpagedevice

# PRINTER %s - Digital Laser LN15, LN17ps, Compaq Laser LN 16
[ ln15 ln16 ln17ps ]

pjl@
file_output_match = [
   *text*   filter  \%s{a2ps_converter}
   *pdf*    filter  \%s{pdf2ps_converter}
                    ]

ps_duplex=<</Duplex true>> setpagedevice
ps_lduplex=[ duplex ]
ps_sduplex=<</Duplex true /Tumble true>> setpagedevice
ps_duplexshort=[ sduplex ]
ps_simplex=<</Duplex false /Tumble false>> setpagedevice

ps_tumble=<</Tumble true>> setpagedevice
ps_shortedge=[ tumble ]

#!End of [ ln15 ln16 ln17ps ]


# PRINTER %s - HP Business Inkjet 2250
[ hpij2250 ]

file_output_match = [
   *text*   filter  \%s{a2ps_converter}
   *pdf*    filter  \%s{pdf2ps_converter}
                    ]

ps_inupper=<</ManualFeed false /MediaPosition 1>> setpagedevice
ps_intray1=[ inupper ]
ps_inlower=<</ManualFeed false /MediaPosition 4>> setpagedevice
ps_intray2=[ inlower ]

#!End of [ hpij2250 ]



#####
#####  GhostScript Rasterization Printer Entries
#####

# PRINTER gs_bj10 - Canon BubbleJet BJ10e 
# PRINTER gs_bj10 - Canon BubbleJet BJ20 
[ gs_bj10 ]
tc=ghostscript
gs_device=bj10
gs_options=

# PRINTER gs_bj200 - Canon BubbleJet BJ200 
# PRINTER gs_bj200 - Canon BubbleJet BJC-210 B/W only 
# PRINTER gs_bj200 - Canon BubbleJet BJC-240 B/W only 
# PRINTER gs_bj200 - Canon BubbleJet BJC-250 B/W only 
# PRINTER gs_bj200 - Canon BubbleJet BJC-70 B/W only 
[ gs_bj200 ]
tc=ghostscript
gs_device=bj200
gs_options=

# PRINTER gs_bjc600 - Canon BubbleJet BJC-600 
# PRINTER gs_bjc600 - Canon BubbleJet BJC-610
# PRINTER gs_bjc600 - Canon BubbleJet BJC-50
# PRINTER gs_bjc600 - Canon BubbleJet BJC-70 
# PRINTER gs_bjc600 - Canon BubbleJet BJC-80 
# PRINTER gs_bjc600 - Canon BubbleJet BJC-210 Color only
# PRINTER gs_bjc600 - Canon BubbleJet BJC-240 Color only
# PRINTER gs_bjc600 - Canon BubbleJet BJC-250 
# PRINTER gs_bjc600 - Canon BubbleJet BJC-1000
# PRINTER gs_bjc600 - Canon BubbleJet BJC-2000
# PRINTER gs_bjc600 - Canon BubbleJet BJC-4000 
# PRINTER gs_bjc600 - Canon BubbleJet BJC-4100 B/W only
# PRINTER gs_bjc600 - Canon BubbleJet BJC-4200
# PRINTER gs_bjc600 - Canon BubbleJet BJC-4300
# PRINTER gs_bjc600 - Canon BubbleJet BJC-4550 
# PRINTER gs_bjc600 - Canon BubbleJet BJC-6000
# PRINTER gs_bjc600 - Canon MultiPASS C2500 color printer/fax/copier 
[ gs_bjc600 ]
tc=ghostscript
gs_device=bjc600
gs_options=

# PRINTER gs_bjc800 - Canon BubbleJet BJC-800 
# PRINTER gs_bjc800 - Canon BubbleJet BJC-7000 Color. 
# PRINTER gs_bjc800 - Canon BubbleJet BJC-4300 Color
# PRINTER gs_bjc800 - Canon BubbleJet BJC-4650 
[ gs_bjc800 ]
tc=ghostscript
gs_device=bjc800
gs_options=

# PRINTER gs_deskjet - HP DeskJet 
# PRINTER gs_deskjet - HP DeskJet Plus 
[ gs_deskjet ]
tc=pcl_gs
gs_device=deskjet
gs_options=

# PRINTER gs_djet500 - HP DeskJet 500 B/W
# PRINTER gs_djet500 - HP DeskJet Portable B/W
# PRINTER gs_djet500 - HP OfficeJet 590 B/W
[ gs_djet500 ]
tc=pcl_gs
gs_device=djet500
gs_options=

# PRINTER gs_cdj500 - HP DeskJet 400
# PRINTER gs_cdj500 - HP DeskJet 500C 
# PRINTER gs_cdj500 - HP DeskJet 540C 
# PRINTER gs_cdj500 - HP DeskJet 690C
# PRINTER gs_cdj500 - HP DeskJet 693C
[ gs_cdj500 ]
tc=pcl_gs
gs_device=cdj500
gs_options=

# PRINTER gs_cdj550 - HP DeskJet 550C 
# PRINTER gs_cdj550 - HP DeskJet 560C 
# PRINTER gs_cdj550 - HP DeskJet 600
# PRINTER gs_cdj550 - HP DeskJet 660C 
# PRINTER gs_cdj550 - HP DeskJet 660C 
# PRINTER gs_cdj550 - HP DeskJet 682C
# PRINTER gs_cdj550 - HP DeskJet 683C
# PRINTER gs_cdj550 - HP DeskJet 693C 
# PRINTER gs_cdj550 - HP DeskJet 694C 
# PRINTER gs_cdj550 - HP DeskJet 690C 
# PRINTER gs_cdj550 - HP DeskJet 692C 
# PRINTER gs_cdj550 - HP DeskJet 693C 
# PRINTER gs_cdj550 - HP DeskJet 694C 
# PRINTER gs_cdj550 - HP DeskJet 695C 
# PRINTER gs_cdj550 - HP DeskJet 850 
# PRINTER gs_cdj550 - HP DeskJet 870Cse 
# PRINTER gs_cdj550 - HP DeskJet 895Cxi
# PRINTER gs_cdj550 - HP DeskJet 970 
# PRINTER gs_cdj550 - HP OfficeJet 590 
# PRINTER gs_cdj550 - Olivetti jp450 
# PRINTER gs_cdj550 - Xerox XJ6C, PCL and Postscript using GhostScript
[ gs_cdj550 ]
tc=pcl_gs
gs_device=cdj550
gs_options=

# PRINTER gs_cdj850 - HP DeskJet 850 
# PRINTER gs_cdj850 - HP DeskJet 855 
# PRINTER gs_cdj850 - HP DeskJet 870Cse 
# PRINTER gs_cdj850 - HP DeskJet 870Cxi 
# PRINTER gs_cdj850 - HP DeskJet 890C 
# PRINTER gs_cdj850 - HP DeskJet 670C 
# PRINTER gs_cdj850 - HP DeskJet 680 
[ gs_cdj850 ]
tc=pcl_gs
gs_device=cdj850
gs_options=

# PRINTER gs_cdeskjet - HP DeskJet 500C
[ gs_cdeskjet ]
tc=pcl_gs
gs_device=cdeskjet
gs_options=

[ gs_cdjcolor ]
tc=pcl_gs
gs_device=cdjcolor
gs_options=

# PRINTER gs_cdjmono - HP DeskJet 500C 
# PRINTER gs_cdjmono - HP DeskJet 510 
# PRINTER gs_cdjmono - HP DeskJet 520 
# PRINTER gs_cdjmono - HP DeskJet 540C 
# PRINTER gs_cdjmono - HP DeskJet 693C 
[ gs_cdjmono ]
tc=pcl_gs
gs_device=cdjmono
gs_options=

# PRINTER gs_epsonc - Fujitsu DL-1100 
# PRINTER gs_epsonc - Fujitsu DL-2400 
[ gs_epsonc ]
tc=pcl_gs
gs_device=epsonc
gs_options=

# PRINTER gs_hl7x0 - Brother HL-720 
# PRINTER gs_hl7x0 - Brother HL-730 
[ gs_hl7x0 ]
tc=pcl_gs
gs_device=hl7x0
gs_options=

# PRINTER gs_laserjet - Bull Compuprint Pagemaster 415 
[ gs_laserjet ]
tc=pcl_gs
gs_device=laserjet
gs_options=

# PRINTER gs_lips3 - Canon LBP4+
[ gs_lips3 ]
tc=ghostscript
gs_device=lips3
gs_options=

# PRINTER gs_lj4dith - HP DeskJet 600 
[ gs_lj4dith ]
tc=pcl_gs
gs_device=lj4dith
gs_options=

# PRINTER gs_ljet2 - HP LaserJet II 
# PRINTER gs_ljet2 - Xerox 4030 - PCL,  PostScript support using GhostScript
[ gs_ljet2 ]
tc=pcl_gs
gs_device=ljet2p
gs_options=

# PRINTER gs_ljet3 - Tandy LP800 With LaserJet III emulation. 
[ gs_ljet3 ]
tc=pcl_gs
gs_device=ljet3
gs_options=

# PRINTER gs_ljet4 - Brother HL-660 
# PRINTER gs_ljet4 - Brother HL-760 600dpi 
# PRINTER gs_ljet4 - Epson EPL5700 300dpi OK
# PRINTER gs_ljet4 - HP DeskJet 600 margins wrong 
# PRINTER gs_ljet4 - HP DeskJet 870Cse 
# PRINTER gs_ljet4 - HP LaserJet 5 300dpi or 600dpi 
# PRINTER gs_ljet4 - HP LaserJet 5L 300dpi or 600dpi
# PRINTER gs_ljet4 - HP LaserJet 6L 600dpi
# PRINTER gs_ljet4 - HP LaserJet 1100 600dpi OK. 
# PRINTER gs_ljet4 - IBM Network Printer 17 
# PRINTER gs_ljet4 - IBM/Lexmark 4029 Margins wrong. 
# PRINTER gs_ljet4 - Lexmark Optra E+ 
# PRINTER gs_ljet4 - Lexmark Optra SC 1275 B/W only. 
# PRINTER gs_ljet4 - Oki OL410ex LED printer 300dpi or 600dpi 

[ gs_ljet4 ]
# tc=pcl_gs
gs_device=ljet4
gs_options=

# PRINTER gs_ljetplus - HP LaserJet Plus 
# PRINTER gs_ljetplus - Canon Laser LBP-600 
# PRINTER gs_ljetplus - NEC SuperScript 860 
[ gs_ljetplus ]
tc=pcl_gs
gs_device=ljetplus
gs_options=

# PRINTER gs_pjxl300 - HP PaintJet XL300 
# PRINTER gs_pjxl300 - HP DeskJet 600
# PRINTER gs_pjxl300 - HP DeskJet 1200C 
# PRINTER gs_pjxl300 - HP DeskJet 1600C
[ gs_pjxl300 ]
tc=pcl_gs
gs_device=pjxl300
gs_options=

# PRINTER gs_r4081 - Ricoh 4081 laser printer 
# PRINTER gs_r4081 - Ricoh 6000 laser printer 
[ gs_r4081 ]
tc=ghostscript
gs_device=r4081
gs_options=

#
#            gs_uniprint driver
#
# Does the following for GhostScript:
#      gs @MODEL.upp -sOutputFile=- ....
#
# Uses:
# ps_converter=  [ \%s{gs_unidriver}  ]
# gs_unidriver= @GS@ -dSAFER -dPARANOIDSAFER -dBATCH -dNOPAUSE -q '-sOutputFile=@DEVFD3@' 3>&1 1>&2
#        @\%s{gs_device}.upp \%s{gs_options} -
#
#  set gs_device to MODEL and you will get the desired operation
#
#  The user can interface to this by using the ifhp options:
#
#  lp:
#    :ifhp=model=gs_uniprint,gs_device=bjc610a0
#
#  Canon BubbleJet BJC-610 (color, rendered)
#    bjc610a0.upp 360x360dpi plain paper, high speed
#    bjc610a1.upp 360x360dpi plain paper
#    bjc610a2.upp 360x360dpi coated paper
#    bjc610a3.upp 360x360dpi transparency film
#    bjc610a4.upp 360x360dpi back print film
#    bjc610a5.upp 360x360dpi fabric sheet
#    bjc610a6.upp 360x360dpi glossy paper
#    bjc610a7.upp 360x360dpi high gloss film
#    bjc610a8.upp 360x360dpi high resolution paper
#    bjc610b1.upp 720x720dpi plain paper
#    bjc610b2.upp 720x720dpi coated paper
#    bjc610b3.upp 720x720dpi transparency film
#    bjc610b4.upp 720x720dpi back print film
#    bjc610b6.upp 720x720dpi glossy paper
#    bjc610b7.upp 720x720dpi high-gloss paper
#    bjc610b8.upp 720x720dpi high resolution paper
#  HP DeskJet 550C
#    cdj550.upp 300x300dpi 32-bit CMYK
#  NEC P2X
#    necp2x.upp 360x360dpi 8-bit (Floyd-Steinberg)
#  Epson Stylus Color (Any)
#    stcany.upp 360x360dpi 4-bit, PostScript halftoning
#  Epson Stylus (Original) and Stylus Pro Color
#    stc.upp 360x360dpi 32-bit CMYK, 15-pin 
#    stc_l.upp 360x360dpi 4-bit, PostScript halftoning, weaved noWeave
#    stc_h.upp 720x720dpi 32-bit CMYK, 15-pin Weave
#    stc2.upp 360x360dpi 32-bit CMYK, 20-pin, Epson Stylus Color II(s)
#    stc2_h.upp 720x720dpi 32-bit CMYK, 20-pin, Epson Stylus Color II 
#    stc2s_h.upp 720x720dpi 32-bit CMYK, 20-pin, Epson Stylus Color IIs
#  Epson Stylus Color 500 (good transfer curves for plain paper)
#    stc500p.upp 360x360dpi 32-bit CMYK, noWeave, plain paper
#    stc500ph.upp 720x720dpi 32-bit CMYK, noWeave, plain paper
#  Epson Stylus Color 600, 32/90-inch weaving
#    stc600pl.upp 360x360dpi 32-bit CMYK, 32-pin, plain paper
#    stc600p.upp 720x720dpi 32-bit CMYK, 32-pin, plain paper
#    stc600ih.upp 1440x720dpi 32-bit CMYK, 30-pin, inkjet paper
#  Epson Stylus Color 800, 64/180-inch weaving
#    stc800pl.upp 360x360dpi 32-bit CMYK, 64-pin, plain paper
#    stc800p.upp 720x720dpi 32-bit CMYK, 64-pin, plain paper 
#    stc800ih.upp 1440x720dpi 32-bit CMYK, 62-pin, inkjet paper
#    stc1520h.upp 1440x720dpi 32-bit CMYK, 62-pin, inkjet paper
#      (This is erroneously described in the GhostScript
#       documentation as the stc1520.upp)

[ gs_uniprint ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
# example: gs_device=
gs_device=
gs_options=

# PRINTER bjc610a0.upp - Canon BubbleJet BJC-610 (color, rendered) 360x360dpi plain paper, high speed
[ bjc610a0.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=bjc610a0.upp

# PRINTER bjc610a1.upp - Canon BubbleJet BJC-610 (color, rendered) 360x360dpi plain paper
[ bjc610a1.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=bjc610a1.upp

# PRINTER bjc610a2.upp - Canon BubbleJet BJC-610 (color, rendered) 360x360dpi coated paper
[ bjc610a2.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=bjc610a2.upp

# PRINTER bjc610a3.upp - Canon BubbleJet BJC-610 (color, rendered) 360x360dpi transparency film
[ bjc610a3.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=bjc610a3.upp

# PRINTER bjc610a4.upp - Canon BubbleJet BJC-610 (color, rendered) 360x360dpi back print film
[ bjc610a4.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=bjc610a4.upp

# PRINTER bjc610a5.upp - Canon BubbleJet BJC-610 (color, rendered) 360x360dpi fabric sheet
[ bjc610a5.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=bjc610a5.upp

# PRINTER bjc610a6.upp - Canon BubbleJet BJC-610 (color, rendered) 360x360dpi glossy paper
[ bjc610a6.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=bjc610a6.upp

# PRINTER bjc610a7.upp - Canon BubbleJet BJC-610 (color, rendered) 360x360dpi high gloss film
[ bjc610a7.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=bjc610a7.upp

# PRINTER bjc610a8.upp - Canon BubbleJet BJC-610 (color, rendered) 360x360dpi high resolution paper
[ bjc610a8.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=bjc610a8.upp

# PRINTER bjc610b1.upp - Canon BubbleJet BJC-610 (color, rendered) 720x720dpi plain paper
[ bjc610b1.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=bjc610b1.upp

# PRINTER bjc610b2.upp - Canon BubbleJet BJC-610 (color, rendered) 720x720dpi coated paper
[ bjc610b2.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=bjc610b2.upp

# PRINTER bjc610b3.upp - Canon BubbleJet BJC-610 (color, rendered) 720x720dpi transparency film
[ bjc610b3.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=bjc610b3.upp

# PRINTER bjc610b4.upp - Canon BubbleJet BJC-610 (color, rendered) 720x720dpi back print film
[ bjc610b4.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=bjc610b4.upp

# PRINTER bjc610b6.upp - Canon BubbleJet BJC-610 (color, rendered) 720x720dpi glossy paper
[ bjc610b6.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=bjc610b6.upp

# PRINTER bjc610b7.upp - Canon BubbleJet BJC-610 (color, rendered) 720x720dpi high-gloss paper
[ bjc610b7.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=bjc610b7.upp

# PRINTER bjc610b8.upp - Canon BubbleJet BJC-610 (color, rendered) 720x720dpi high resolution paper
[ bjc610b8.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=bjc610b8.upp

# PRINTER cdj550.upp - HP DeskJet 550C 300x300dpi 32-bit CMYK
[ cdj550.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=cdj550.upp

# PRINTER necp2x.upp - NEC P2X 360x360dpi 8-bit (Floyd-Steinberg)
[ necp2x.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=necp2x.upp

# PRINTER stcany.upp - Epson Stylus Color (Any) 360x360dpi 4-bit, PostScript halftoning
[ stcany.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=stcany.upp

# PRINTER stc.upp - Epson Stylus (Original) and Stylus Pro Color 360x360dpi 32-bit CMYK, 15-pin 
[ stc.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=stc.upp

# PRINTER stc_l.upp - Epson Stylus (Original) and Stylus Pro Color 360x360dpi 4-bit, PostScript halftoning, weaved noWeave
[ stc_l.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=stc_l.upp

# PRINTER stc_h.upp - Epson Stylus (Original) and Stylus Pro Color 720x720dpi 32-bit CMYK, 15-pin Weave
[ stc_h.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=stc_h.upp

# PRINTER stc2.upp - Epson Stylus (Original) and Stylus Pro Color 360x360dpi 32-bit CMYK, 20-pin, Epson Stylus Color II(s)
[ stc2.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=stc2.upp

# PRINTER stc2_h.upp - Epson Stylus (Original) and Stylus Pro Color 720x720dpi 32-bit CMYK, 20-pin, Epson Stylus Color II 
[ stc2_h.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=stc2_h.upp

# PRINTER stc2s_h.upp - Epson Stylus (Original) and Stylus Pro Color 720x720dpi 32-bit CMYK, 20-pin, Epson Stylus Color IIs
[ stc2s_h.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=stc2s_h.upp

# PRINTER stc500p.upp - Epson Stylus Color 500 360x360dpi 32-bit CMYK, noWeave, plain paper
[ stc500p.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=stc500p.upp

# PRINTER stc500ph.upp - Epson Stylus Color 500 720x720dpi 32-bit CMYK, noWeave, plain paper
[ stc500ph.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=stc500ph.upp

# PRINTER stc600pl.upp - Epson Stylus Color 600, 360x360dpi, 32/90-inch weaving 32-bit CMYK, 32-pin, plain paper
[ stc600pl.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=stc600pl.upp

# PRINTER stc600p.upp - Epson Stylus Color 600, 720x720dpi, 32/90-inch weaving 32-bit CMYK, 32-pin, plain paper
[ stc600p.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=stc600p.upp

# PRINTER stc600ih.upp - Epson Stylus Color 600, 1440x720dpi, 32/90-inch weaving 32-bit CMYK, 30-pin, inkjet paper
[ stc600ih.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=stc600ih.upp

# PRINTER stc800pl.upp - Epson Stylus Color 800, 64/180-inch weaving 360x360dpi 32-bit CMYK, 64-pin, plain paper
[ stc800pl.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=stc800pl.upp

# PRINTER stc800p.upp - Epson Stylus Color 800, 64/180-inch weaving 720x720dpi 32-bit CMYK, 64-pin, plain paper 
[ stc800p.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=stc800p.upp

# PRINTER stc800ih.upp - Epson Stylus Color 800, 64/180-inch weaving 1440x720dpi 32-bit CMYK, 62-pin, inkjet paper
[ stc800ih.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=stc800ih.upp

# PRINTER stc1520h.upp - Epson Stylus Color 800, 64/180-inch weaving 1440x720dpi 32-bit CMYK, 62-pin, inkjet paper
[ stc1520h.upp ]
tc=pcl_gs
gs_converter=  \%s{gs_unidriver} 
gs_device=stc1520h.upp

# PRINTER imagerunner550 - Canon imageRUNNER 550/600 iR600-550-60 
# PRINTER imagerunner600 - Canon imageRUNNER 550/600 iR600-550-60 
[ ir550 ir600 ]
# PostScript for Canon iR600-550-60 PS Print Server Ver 2.0P
# PCFileName: "EFMC6A30.PPD"
# most of the commands at the PJL/PCL level are the same as the
# HP5Si, or so the documentation leads us to believe
#  - Patrick Powell Tue Jun 18 18:54:00 EDT 2002

tc = hp5si
#  *MediaType Plain/Plain Paper: "
ps_plain= /XJXsetmediatype where { pop 0 XJXsetmediatype } if 
#  *MediaType Transparent/Transparency: 
ps_transparency=      /XJXsetmediatype where { pop 1 XJXsetmediatype } if 
#  *MediaType Interleaved/Interleaving (Blank): 
ps_interleaved=      /XJXsetmediatype where { pop 2 XJXsetmediatype } if 
#  *MediaType P_Interleaved/Interleaving (Printed): 
ps_printerleaved=      /XJXsetmediatype where { pop 3 XJXsetmediatype } if 
#
#  *%EFIFlags *EFStapler Spooler|Command
#  *%EFIGroup *EFStapler Finishing/Finishing
#  *EFStapler None/Off: 
#       /XJXsetstapler where { pop 0 XJXsetstapler } if 
#  *EFStapler PUpperLeft/Corner [Upper Left-P]: 
ps_staple = [ staple_ulp ]
ps_staple_ulp=      /XJXsetstapler where { pop 1 XJXsetstapler } if 
#  *EFStapler LUpperLeft/Corner [Upper Left-L]: 
ps_staple_ull=      /XJXsetstapler where { pop 3 XJXsetstapler } if 
#  *EFStapler PUpperRight/Corner [Upper Right-P]: 
ps_staple_urp=      /XJXsetstapler where { pop 2 XJXsetstapler } if 
#  *EFStapler LUpperRight/Corner [Upper Right-L]: 
ps_staple_url=      /XJXsetstapler where { pop 1 XJXsetstapler } if 
#  *EFStapler PLeft/Double [Left-P]: 
ps_staple_dlp=      /XJXsetstapler where { pop 5 XJXsetstapler } if 
#  *EFStapler LLeft/Double [Left-L]: 
ps_staple_dll=      /XJXsetstapler where { pop 8 XJXsetstapler } if 
#  *EFStapler PUpper/Double [Top-P]: 
ps_staple_dtp=      /XJXsetstapler where { pop 7 XJXsetstapler } if 
#  *EFStapler LUpper/Double [Top-L]: 
ps_staple_dtl=      /XJXsetstapler where { pop 5 XJXsetstapler } if 
#  *EFStapler PRight/Double [Right-P]: 
ps_staple_drp=      /XJXsetstapler where { pop 6 XJXsetstapler } if 
#  *EFStapler LRight/Double [Right-L]: 
ps_staple_drl=      /XJXsetstapler where { pop 7 XJXsetstapler } if 
#  *EFStapler Stitch/Saddle Stitch: 
#       /XJXsetstapler where { pop 9 XJXsetstapler } if 
ps_staple_saddle=      /XJXsetstapler where { pop 7 XJXsetstapler } if 
#
#  *EFPunch False/Off: 
#       /XJXsetpunch where { pop 0 XJXsetpunch } if 
#  *EFPunch PUpper/Top-Portrait: 
ps_punch= [ punch_lp ]
ps_punch_tp=      /XJXsetpunch where { pop 7 XJXsetpunch } if 
#  *EFPunch LUpper/Top-Landscape: 
ps_punch_tl=      /XJXsetpunch where { pop 5 XJXsetpunch } if 
#  *EFPunch PLeft/Left-Portrait: 
ps_punch_lp=      /XJXsetpunch where { pop 5 XJXsetpunch } if 
#  *EFPunch LLeft/Left-Landscape: 
ps_punch_ll=      /XJXsetpunch where { pop 8 XJXsetpunch } if 
#  *EFPunch PRight/Right-Portrait: 
ps_punch_rp=      /XJXsetpunch where { pop 6 XJXsetpunch } if 
#  *EFPunch LRight/Right-Landscape: 
ps_punch_rl=     /XJXsetpunch where { pop 7 XJXsetpunch } if 

#
#  *%EFIFlags *EFDuplexing Spooler|Command
#  *EFDuplexing None/Off: 
ps_simplex=
      /XJXSetEngineDuplex where { pop 0 XJXSetEngineDuplex } if
      /XJXSetEngineBinding where { pop 0 XJXSetEngineBinding } if 
#  *EFDuplexing Top/Long Edge Binding: 
ps_duplex=
     /XJXSetEngineDuplex where { pop 1 XJXSetEngineDuplex } if
     /XJXSetEngineBinding where { pop 0 XJXSetEngineBinding } if 
#  *EFDuplexing Bottom/Short Edge Binding: 
ps_duplexshort=
      /XJXSetEngineDuplex where { pop 1 XJXSetEngineDuplex } if
      /XJXSetEngineBinding where { pop 1 XJXSetEngineBinding } if 

#  *%EFIFlags *EFFirstPage Spooler|Command
#  *%EFIGroup *EFFirstPage Job/Job
#  *OpenUI *EFFirstPage/First Page Source :PickOne
#  *OrderDependency: 50 AnySetup *EFFirstPage
#  *DefaultEFFirstPage: None
#  *EFFirstPage ManualFeed/Stack Bypass: 
ps_1manual=      /XJXsetFirstPageTray where { pop 1 neg XJXsetFirstPageTray } if 
#  *EFFirstPage Tray1/Drawer 1: 
ps_1intray1=      /XJXsetFirstPageTray where { pop 1 XJXsetFirstPageTray } if 
#  *EFFirstPage Tray2/Drawer 2: 
ps_1intray2=      /XJXsetFirstPageTray where { pop 2 XJXsetFirstPageTray } if 
#  *EFFirstPage Tray3/Drawer 3: 
ps_1intray3=      /XJXsetFirstPageTray where { pop 3 XJXsetFirstPageTray } if 
#  *EFFirstPage Tray4/Drawer 4: 
ps_1intray4=      /XJXsetFirstPageTray where { pop 4 XJXsetFirstPageTray } if 
#  *EFFirstPage Tray5/Side Paper Deck: 
ps_1intray5=      /XJXsetFirstPageTray where { pop 5 XJXsetFirstPageTray } if 
#  *CloseUI: *EFFirstPage
#
#  *OpenUI *InputSlot/Paper Source : PickOne
#  *InputSlot AutoSelect/Auto: 
ps_autoselect=     /XJXsettraysel where { pop 0 XJXsettraysel } if 
#  *InputSlot ManualFeed/Stack Bypass: 
ps_manual=     /XJXsettraysel where { pop 1 neg XJXsettraysel } if 
#  *InputSlot Tray1/Drawer 1: 
ps_intray1=     /XJXsettraysel where { pop 1 XJXsettraysel } if 
#  *InputSlot Tray2/Drawer 2: 
ps_intray2=     /XJXsettraysel where { pop 2 XJXsettraysel } if 
#  *InputSlot Tray3/Drawer 3: 
ps_intray3=     /XJXsettraysel where { pop 3 XJXsettraysel } if 
#  *InputSlot Tray4/Drawer 4: 
ps_intray4=     /XJXsettraysel where { pop 4 XJXsettraysel } if 
#  *InputSlot Tray5/Side Paper Deck: 
ps_intray5=     /XJXsettraysel where { pop 5 XJXsettraysel } if 
#  *CloseUI: *InputSlot

#  *DefaultPageSize: Letter
#  *PageSize Tabloid/11x17: 
ps_ledger=      /XJXsetpagesize where { pop (Tabloid) XJXsetpagesize } if 
#  *PageSize Legal/Legal: 
ps_legal=      /XJXsetpagesize where { pop (Legal) XJXsetpagesize } if 
#  *PageSize Letter/Letter: 
ps_letter=      /XJXsetpagesize where { pop (Letter) XJXsetpagesize } if 
#  *PageSize Statement/Statement: 
ps_statement=      /XJXsetpagesize where { pop (Statement) XJXsetpagesize } if 
#  *PageSize A3/A3: 
ps_a3=      /XJXsetpagesize where { pop (A3) XJXsetpagesize } if 
#  *PageSize B4/B4: 
ps_b4=      /XJXsetpagesize where { pop (B4) XJXsetpagesize } if 
#  *PageSize A4/A4: 
ps_a4=      /XJXsetpagesize where { pop (A4) XJXsetpagesize } if 
#  *PageSize B5/B5: 
ps_b5=      /XJXsetpagesize where { pop (B5) XJXsetpagesize } if 
#  *PageSize A5/A5: 
ps_a5=      /XJXsetpagesize where { pop (A5) XJXsetpagesize } if 
#  *PageSize Executive/Executive: 
ps_executive=      /XJXsetpagesize where { pop (Executive) XJXsetpagesize } if 

ps_user_opts += [
 plain transparency interleaved printerleaved staple 
 staple_ulp staple_ull staple_urp staple_url staple_dlp staple_dll
 staple_dtp staple_dtl staple_drp staple_drl staple_saddle
 punch punch_tp punch_tl punch_lp punch_ll punch_rp punch_rl
 simplex duplex duplexshort 1manual 1intray1 1intray2
 1intray3 1intray4 1intray5 autoselect manual intray1
 intray2 intray3 intray4 intray5 ledger legal
 letter statement a3 b4 a4 b5 a5 executive
 ]

# really really stripped down PJL support

pjl_only=[
    COMMENT ECHO ENTER EOJ
    INFO INITIALIZE INQUIRE JOB
    RESET SET
  ]

ps
pcl
pjl

# no console, or at least not supported the same
# way as HP and similar printers
pjl_console@
appsocket
pagecount@
ps_ctrl_t@
ps_eoj_at_start@

# HP DesignJet 800ps
# Lars Kellogg-Stedman <lars@deas.harvard.edu>
# Id: hpdj800ps.ifhp,v 1.5 2003/02/11 12:55:10 lars Exp
# PRINTER % - HP DesignJet 800ps

[ hpdj800ps ]

pcl@
ps
pjl
ps_eoj@

# No pagecount, because it's just one big roll.
pagecount@

# There appear to be problems communicating with the printer -- with
# status turned on, a print job will be constantly resubmitted because
# IFHP cannot determine whether or not the job has completed
# successfully.
status@

file_output_match = [
	*postscript*		ps
	*pdf*			ps	\%s{pdf2ps_converter}
	*text*			ps	\%s{a2ps_converter}
	*gzip_compressed*	filter	\%s{gzip_decompress}
	*			msg	ps_no_converter
]

ps_colorasgray= << /ProcessColorModel /DeviceGray >> setpagedevice
ps_colorascolor = << /ProcessColorModel /DeviceCMYK >> setpagedevice

# Auto-scaling Control

ps_autoscale_letter = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [619 792] exch exec
	<<>> setpagedevice

ps_autoscale_tabloid = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [792 1224] exch exec
	<<>> setpagedevice

ps_autoscale_ansic = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [1224 1584] exch exec
	<<>> setpagedevice

ps_autoscale_ansid =  /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [1584 2448] exch exec
	<<>> setpagedevice

ps_autoscale_ansie = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [2448 3168] exch exec
	<<>> setpagedevice

ps_autoscale_archA = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [648 864] exch exec
	<<>> setpagedevice

ps_autoscale_archB = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [864 1296] exch exec
	<<>> setpagedevice

ps_autoscale_archC = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [1296 1728] exch exec
	<<>> setpagedevice

ps_autoscale_archD = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [1728 2592] exch exec
	 <<>> setpagedevice

ps_autoscale_archE = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [2592 3456] exch exec
	<<>> setpagedevice

ps_autoscale_a4 = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [595 842] exch exec
	<<>> setpagedevice

ps_autoscale_a3 = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [842 1191] exch exec
	<<>> setpagedevice

ps_autoscale_a2 = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [1191 1684] exch exec
	<<>> setpagedevice

ps_autoscale_a1 = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [1684 2384] exch exec
	<<>> setpagedevice

ps_autoscale_a0 = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [2384 3370] exch exec
	<<>> setpagedevice

ps_autoscale_b4 = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [729 1032] exch exec
	<<>> setpagedevice

ps_autoscale_b3 = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [1032 1460] exch exec
	<<>> setpagedevice

ps_autoscale_b2 = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [1460 2064] exch exec
	<<>> setpagedevice

ps_autoscale_b1 = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [2064 2920] exch exec
	<<>> setpagedevice

ps_24x48 = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [1728 3456] exch exec
	<<>> setpagedevice

ps_24x60 = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [1728 4320] exch exec
	<<>> setpagedevice

ps_36x60 = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [2592 4320] exch exec
	<<>> setpagedevice

ps_36x72 = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [2592 5184] exch exec
	<<>> setpagedevice

ps_42x60 = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [3024 4320] exch exec
	<<>> setpagedevice

ps_42x72 = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [3024 5184] exch exec
	<<>> setpagedevice

ps_42x84 = /HPDict /ProcSet findresource
	/SetAutoScale get true exch exec /HPDict /ProcSet findresource
	/SetDestinationPageSize get [3024 6048] exch exec
	<<>> setpagedevice

# Print Quality

ps_fast = << /PostRenderingEnhance true
	/PostRenderingEnhanceDetails
	<< /PrintQuality 1
	/Type 36 >>
	>> systemdict /setpagedevice get exec

ps_normal = << /PostRenderingEnhance true
	/PostRenderingEnhanceDetails
	<< /PrintQuality 2
	/Type 36 >>
	>> systemdict /setpagedevice get exec

ps_best = << /PostRenderingEnhance true
	/PostRenderingEnhanceDetails
	<< /PrintQuality 3
	/Type 36 >>
	>> systemdict /setpagedevice get exec

ps_maxdetail = <<
		/PostRenderingEnhance true
		/PostRenderingEnhanceDetails
		<<
			/MaxQualityResolution true
			/Type 36
		>>
	>> systemdict /setpagedevice get exec

ps_caddrawings = <<
		/PostRenderingEnhance true
		/PostRenderingEnhanceDetails
		<<
			/REValue 1
			/Type 36
		>>
	>> systemdict /setpagedevice get exec

# Mirror print

ps_mirrorprint = <</MirrorPrint true>>setpagedevice

# Transverse

ps_transverse = userdict /HPCustTrans known {
		(<<) cvx exec
		/Orientation
		userdict /HPCustTrans get 
		1 eq 
		{ 0 }
		{ 1 } ifelse 
		(>>) cvx exec setpagedevice
		}
		{
		<</Orientation 1>> setpagedevice
	} ifelse

# HP Color Management

ps_colorman = /CMYKColorManagement where {
		pop
		/Native CMYKColorManagement
		/sRGB RGBColorManagement
	} if

ps_cmykswop = /CMYKColorManagement where {
		pop
		/SWOP CMYKColorManagement
	} if

ps_cmykjapan = /CMYKColorManagement where {
		pop
		/JapanOffset CMYKColorManagement
	} if

ps_cmykeuro = /CMYKColorManagement where {
		pop
		/EuroOffset CMYKColorManagement
	} if

ps_cmykdic = /CMYKColorManagement where {
		pop
		/DIC CMYKColorManagement
	} if

ps_srgb = /RGBColorManagement where {
		pop
		/sRGB RGBColorManagement
	} if

ps_adobergb = /RGBColorManagement where {
		pop
		/AdobeRGB RGBColorManagement
	} if

ps_applergb = /RGBColorManagement where {
		pop
		/AppleRGB RGBColorManagement
	} if

ps_colormatchrgb = /RGBColorManagement where {
		pop
		/ColorMatchRGB RGBColorManagement
	} if

# Rendering Intent

ps_perceptual = userdict /UserRenderIntent (Perceptual) put
	<<>> setpagedevice

ps_colorimetric = userdict /UserRenderIntent (RelativeColorimetric) put
	<<>> setpagedevice

ps_saturation = userdict /UserRenderIntent (Saturation) put
	<<>> setpagedevice

# Paper Handling

ps_letter = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[612 792]/ImagingBBox null>>setpagedevice

ps_tabloid = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[792 1224]/ImagingBBox null>>setpagedevice

ps_ansic = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[1224 1584]/ImagingBBox null>>setpagedevice

ps_ansid = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[1584 2448]/ImagingBBox null>>setpagedevice

ps_ansie = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[2448 3168]/ImagingBBox null>>setpagedevice

ps_archA = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[648 864]/ImagingBBox null>>setpagedevice

ps_archB = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[864 1296]/ImagingBBox null>>setpagedevice

ps_archC = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[1296 1728]/ImagingBBox null>>setpagedevice

ps_archD = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[1728 2592]/ImagingBBox null>>setpagedevice

ps_archE = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[2592 3456]/ImagingBBox null>>setpagedevice

ps_a4 = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[595 842]/ImagingBBox null>>setpagedevice

ps_a3 = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[842 1191]/ImagingBBox null>>setpagedevice

ps_a2 = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[1191 1684]/ImagingBBox null>>setpagedevice

ps_a1 = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[1684 2384]/ImagingBBox null>>setpagedevice

ps_a0 = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[2384 3370]/ImagingBBox null>>setpagedevice

ps_b4 = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[729 1032]/ImagingBBox null>>setpagedevice

ps_b3 = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[1032 1460]/ImagingBBox null>>setpagedevice

ps_b2 = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[1460 2064]/ImagingBBox null>>setpagedevice

ps_b1 = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[2064 2920]/ImagingBBox null>>setpagedevice

ps_24x48 = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[1728 3456]/ImagingBBox null>>setpagedevice

ps_24x60 = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[1728 4320]/ImagingBBox null>>setpagedevice

ps_36x60 = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[2592 4320]/ImagingBBox null>>setpagedevice

ps_36x72 = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[2592 5184]/ImagingBBox null>>setpagedevice

ps_42x60 = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[3024 4320]/ImagingBBox null>>setpagedevice

ps_42x72 = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[3024 5184]/ImagingBBox null>>setpagedevice

ps_42x84 = /HPDict /ProcSet findresource /SetMargins get
	[ 48 48 14 14 ] exch exec 
	<</PageSize[3024 6048]/ImagingBBox null>>setpagedevice

# Brightness Control

ps_cyan = /HPBrightness where 
		pop /Cyan \%d{cyan} HPBrightness
	}if

ps_magenta = /HPBrightness where {
		pop /Magenta \%d{magenta} HPBrightness
	}if

ps_yellow = /HPBrightness where {
		pop /Yellow \%d{yellow} HPBrightness
	}if

ps_black = /HPBrightness where {
		pop /Black \%d{black} HPBrightness
	}if

# Pantone Color As Spot

ps_pantone = /SpotColorMatching where {
		pop
		true SpotColorMatching
	} if

ps_nopantone = /SpotColorMatching where {
		pop
		false SpotColorMatching
	} if

ps_user_opts = [
	autoscale_letter autoscale_tabloid
	autoscale_ansic autoscale_ansid autoscale_ansie
	autoscale_archA autoscale_archB
	autoscale_archC autoscale_archD autoscale_archE
	autoscale_a4 autoscale_a3 autoscale_a2
	autoscale_a1 autoscale_a0
	autoscale_b4 autoscale_b3 autoscale_b2 autoscale_b1

	fast normal best
	colorasgray colorascolor
	maxdetail caddrawings mirrorprint
	transverse

	colorman
	cmykswop cmykjapan cmykeuro cmykdic
	srgb adobergb applergb colormatchrgb
	perceptual colorimetric saturation

	letter tabloid
	ansic ansid ansie archA archB archC archD archE
	a4 a3 a2 a1 a0 b4 b3 b2 b1
	24x48 24x60 36x60 36x72 42x60 42x72 42x84

	cyan magenta yellow black
	pantone nopantone
	]

#
# Sharp Printers
#   Only a smple of these have been tested.
# The information is based on MIB dumps and information supplied by Sharp
#  Patrick Powell, 2 Dec 2003
# The PostScript for these printers is basically that of the HP5si
#
# PRINTER % - Sharp Generic Panther Family, PS and PCL, uses SNMP for status and pagecount
[ panther ]

#
## Panther Printer Model Names from MIB
##
#%Model
#    Sharp AR-160        = 1
#    Sharp AR-161        = 2
#    Sharp AR-162        = 3
#    Sharp AR-162S       = 4     #
#    Sharp AR-163        = 5     # shifter
#    Sharp AR-164        = 6     # shifter
#    Sharp AR-200        = 7     # shifter
#    Sharp AR-200S       = 8     # shifter
#    Sharp AR-201        = 9     # shifter
#    Sharp AR-205        = 10        # shifter
#    Sharp AR-206        = 11        # shifter , duplex
#    Sharp AR-207        = 12        # shifter , duplex, R-SPF, E-sort
#    Sharp AR-F201       = 13        # shifter , FAX, SDF
#
#    Sharp AR-160/200 Series PCL5e   : PCL 5e
#    Sharp AR-160/200 Series PCL6    : PCL XL
#    Sharp AR-160/200 Series PS2 : Postscript

# use the HP4si as a starting point for PostScript and PCL
tc=hp5si

pjl
pcl
ps

snmp_monitor
sync=snmp
waitend=snmp
pagecount=snmp

pjl_vars_set= [
	COPIES=RANGE;1,999
	ORIENTATION=PORTRAIT!ENUMERATED;PORTRAIT,LANDSCAPE
	BINDING=ENUMERATED;SHORTEDGE,LONGEDGE

	PAPER=LETTER!ENUMERATED;LETTER,LEGAL,LEDGER,FOOLSCAP,A3,A4,A5,B4,B5,INVOICE
	MEDIASOURCE=AUTO!ENUMERATED;AUTO,TRAY1,TRAY2,TRAY3,TRAY4,MANUALFEED
	RESOLUTION=ENUMERATED;300,600
	RET=ENUMERATED;OFF,ON
        ECONOMODE=ENUMERATED;OFF,ON
	PAGEPROTECT=ENUMERATED;OFF,ON
 ]


# Copies:
#  copies=[n]

# Standard options:
# portrait, landscape
pjl_portrait = [ orientation=portrait ]
pjl_landscape = [ orientation=landscape ]

#
# duplex, duplexshort, sduplex, simplex
#  ADDED: book = duplex, tablet = sduplex
#
# Note: 'longedge' is the direction in which the document is to
# be viewed, not the edge on which you do the binding.

pjl_book = [ duplex ]
pjl_tablet = [ duplexshort ]
pjl_sduplex = [ duplexshort ]
pjl_lduplex = [ duplex ]
pjl_simplex = @PJL SET DUPLEX = OFF
pjl_duplexshort =
	@PJL SET DUPLEX = ON
	@PJL SET BINDING = LONGEDGE
pjl_duplex =
	@PJL SET DUPLEX = ON
	@PJL SET BINDING = SHORTEDGE

#
# Paper selection:  paper=[...] or just use the paper name:
#  letter legal ...
#

pjl_letter = [ paper=letter ]
pjl_legal = [ paper=legal ]
pjl_ledger = [ paper=ledger ]
pjl_foolscap = [ paper=foolscap ]
pjl_a3 = [ paper=a3 ]
pjl_a4 = [ paper=a4 ]
pjl_a5 = [ paper=a5 ]
pjl_b4 = [ paper=b4 ]
pjl_b5 = [ paper=b5 ]
pjl_invoice = [ paper=invoice ]

#
# Standard Input Tray options:
# manual, manualfeed
#   intray1, intray2, ....
# ADDED: inauto
#

pjl_manual = [ mediasource=manualfeed ]
pjl_manualfeed = [ mediasource=manualfeed ]
pjl_inauto = [ mediasource=auto ]
pjl_intray1 = [ mediasource=tray1 ]
pjl_intray2 = [ mediasource=tray2 ]
pjl_intray3 = [ mediasource=tray3 ]
pjl_intray4 = [ mediasource=tray4 ]

# Note: only one output tray
#
# Resolution:
#  resolution=[300,600]
#
# image enhancement: image_enhnance=[on,off]
#
pjl_image_enhance = [ ret=\%s{image_enhance} ]

# Toner Save:
# economode=[on,off]
#

# Page Protect
# pageprotect=[on,off]
#


pjl_user_opts = [
 portrait landscape book tablet sduplex lduplex simplex duplex
 duplexshort letter legal ledger foolscap a3 a4 a5 b4 b5 invoice
 manual manualfeed inauto intray1 intray2 intray3 intray4 image_enhance
 copies orientation binding paper mediasource resolution ret economode
 pageprotect
 ]
pcl_user_opts += [

 ]
# PRINTER % - Sharp %, Panther Family, PS and PCL, uses SNMP for status and pagecount
[ ar-160 ar-161 ar-162 ar-162s ar-163 ar-164 ar-200 ar-200s ar-201 ar-205 ar-206 ar-207 ar-f201 ]
tc=panther

#
# Sharp Printers
#   Only a smple of these have been tested.
# The information is based on MIB dumps and information supplied by Sharp
#  Patrick Powell, 2 Dec 2003
#
# PRINTER % - Sharp Generic Cougar Family, PS and PCL, uses SNMP for status and pagecount
[ cougar ]

# #
# # Cougar Printer Model Names from MIB
# #
# %Model
# 	Sharp AR-335		= 1
# 	Sharp AR-336		= 2
# 	Sharp AR-337/S337	= 3
# 	Sharp AR-405		= 4
# 	Sharp AR-407		= 5
# 	Sharp AR-505/S505	= 6
# 	Sharp AR-507/S507	= 7
# 	Sharp AR-250		= 8
# 	Sharp AR-280		= 9
# 	Sharp AR-281		= 10
# 	Sharp AR-285		= 11
# 	Sharp AR-286		= 12
# 
# #
# # Cougar Printer Driver Names installed on PC
# #
# %Driver
# 	Sharp AR-335 PCL5e (1)	: PCL 5e
# 	Sharp AR-335 PCL6  (1)	: PCL XL
# 	Sharp AR-335 PS	   (1)	: Postscript
# 	Sharp AR-336 PCL5e (2)	: PCL 5e
# 	Sharp AR-336 PCL6  (2)	: PCL XL
# 	Sharp AR-336 PS	   (2)	: Postscript
# 	Sharp AR-337 PCL5e (3)	: PCL 5e
# 	Sharp AR-337 PCL6  (3)	: PCL XL
# 	Sharp AR-337 PS    (3)	: Postscript
# 	Sharp AR-405 PCL5e (4)	: PCL 5e
# 	Sharp AR-405 PCL6  (4)	: PCL XL
# 	Sharp AR-405 PS    (4)	: Postscript
# 	Sharp AR-407 PCL5e (5)	: PCL 5e
# 	Sharp AR-407 PCL6  (5)	: PCL XL
# 	Sharp AR-407 PS    (5)	: Postscript
# 	Sharp AR-505 PCL5e (6)	: PCL 5e
# 	Sharp AR-505 PCL6  (6)	: PCL XL
# 	Sharp AR-505 PS	   (6)	: Postscript
# 	Sharp AR-507 PCL5e (7)	: PCL 5e
# 	Sharp AR-507 PCL6  (7)	: PCL XL
# 	Sharp AR-507 PS	   (7)	: Postscript
# 	Sharp AR-250 PCL5e (8)	: PCL 5e
# 	Sharp AR-250 PCL6  (8)	: PCL XL
# 	Sharp AR-250 PS    (8)	: Postscript
# 	Sharp AR-280 PCL5e (9)	: PCL 5e
# 	Sharp AR-280 PCL6  (9)	: PCL XL
# 	Sharp AR-280 PS    (9)	: Postscript
# 	Sharp AR-281 PCL5e (10)	: PCL 5e
# 	Sharp AR-281 PCL6  (10)	: PCL XL
# 	Sharp AR-281 PS    (10)	: Postscript
# 	Sharp AR-285 PCL5e (11)	: PCL 5e
# 	Sharp AR-285 PCL6  (11)	: PCL XL
# 	Sharp AR-285 PS    (11)	: Postscript
# 	Sharp AR-286 PCL5e (12)	: PCL 5e
# 	Sharp AR-286 PCL6  (12)	: PCL XL
# 	Sharp AR-286 PS    (12)	: Postscript

# use the HP4si as a starting point for PostScript and PCL
tc=hp5si

pjl
pcl
ps

snmp_monitor
sync=snmp
waitend=snmp
pagecount=snmp

pjl_vars_set= [
	COPIES=RANGE;1,999
	COLLATE=ENUMERATED;OFF,ON
	ORIENTATION=PORTRAIT!ENUMERATED;PORTRAIT,LANDSCAPE
	JOBORDER=ENUMERATED;ORDER1TON,ORDERNTO1
	OUTFACEMODE=ENUMERATED;FACEUP,FACEDOWN
	BINDING=ENUMERATED;SHORTEDGE,LONGEDGE
	JOBBOOKLET=ENUMERATED;OFF,ON
	INTERLEAVE=ENUMERATED;OFF,BLANK,ON
	INTERLEAVESRC=ENUMERATED;TRAY1,TRAY2,TRAY3,TRAY4,TRAY5,LCC,MANUALFEED,MANUALENV
	PAPER=LETTER!ENUMERATED;LETTER,LEGAL,LEDGER,FOOLSCAP,A3,A4,A5,B4,B5

	MEDIASOURCE=ENUMERATED;AUTO,TRAY1,TRAY2,TRAY3,TRAY4,TRAY5,LLC,MANUALFEED,MANUALENV
	OUTTRAY=ENUMERATED;TRAY1,TRAY2,TRAY3,TRAY4

	RESOLUTION=ENUMERATED;300,600

	RET=ENUMERATED;OFF,ON

	ECONOMODE=ENUMERATED;OFF,ON

	JOBSTAPLE=ENUMERATED;STAPLENON,STAPLELEFT,STAPLEBOTH

	TANDEM=ENUMERATED;OFF,ON

	ACCOUNTNUMBER=STRING;

	SUSPEND=ENUMERATED;OFF,CONFIDENTIAL
	SUSPENDKEY=STRING;
	JOBNAME=STRING;
	USERNAME=STRING;
 ]

# Copies:
#  copies=[n]  - n copies
#
# Copy Collation:
#  collate=[on,off]
#

# Standard options:
# portrait, landscape
pjl_portrait = [ orientation=portrait ]
pjl_landscape = [ orientation=landscape ]

#
# duplex, duplexshort, sduplex, simplex
#  ADDED: book = duplex, tablet = sduplex
#
# Note: 'longedge' is the direction in which the document is to
# be viewed, not the edge on which you do the binding.

pjl_book = [ duplex ]
pjl_tablet = [ duplexshort ]
pjl_sduplex = [ duplexshort ]
pjl_lduplex = [ duplex ]
pjl_simplex = @PJL SET DUPLEX = OFF
pjl_duplexshort =
	@PJL SET DUPLEX = ON
	@PJL SET BINDING = LONGEDGE
pjl_duplex =
	@PJL SET DUPLEX = ON
	@PJL SET BINDING = SHORTEDGE

# Page Order:
# order: joborder=[order1ton,ordernto1]
#  normalorder = order1ton
#  reverseorder = order1ton
#
pjl_normalorder = [ joborder=order1ton ]
pjl_reverseorder = [ joborder=ordernto1 ]

# Face Up/Down
# facing: outfacemode=[faceup,facedown]
#  faceup   = outfacemode=faceup
#  facedown = outfacemode=facedown
#
pjl_faceup = [ outfacemode=faceup ]
pjl_facedown = [ outfacemode=facedown ]

# Booklet
#  booklet=[on,off]
pjl_booklet = [ jobbooklet=\%s{booklet} ]

#
# Inserts:
#  insert_off = no insert
# Printed insert:
#  insert_printed=[tray1, ... ] - input tray source
# Blank insert:
#  insert_blank=[tray1, ... ] - input tray source
#
pjl_insert_off = [ interleave=off ]
pjl_insert_printed = [ interleave=on interleavesrc=\%s{insert_printed} ]
pjl_insert_blank = [ interleave=blank interleavesrc=\%s{insert_blank} ]

#
# Paper selection:  paper=[...] or just use the paper name:
#  letter legal ...
#

pjl_letter = [ paper=letter ]
pjl_legal = [ paper=legal ]
pjl_ledger = [ paper=ledger ]
pjl_foolscap = [ paper=foolscap ]
pjl_a3 = [ paper=a3 ]
pjl_a4 = [ paper=a4 ]
pjl_a5 = [ paper=a5 ]
pjl_b4 = [ paper=b4 ]
pjl_b5 = [ paper=b5 ]

#
# Input Tray: Standard options
# manual, manualfeed
#   intray1, intray2, ....
# ADDED: inauto, inlcc

pjl_manual = [ mediasource=manualfeed ]
pjl_manualfeed = [ mediasource=manualfeed ]
pjl_inauto = [ mediasource=auto ]
pjl_intray1 = [ mediasource=tray1 ]
pjl_intray2 = [ mediasource=tray2 ]
pjl_intray3 = [ mediasource=tray3 ]
pjl_intray4 = [ mediasource=tray4 ]
pjl_inlcc = [ mediasource=lcc ]

pcl_manual =\033&l2H
pcl_manualfeed =\033&l2H
pcl_inauto=\033&l7H
pcl_intray1=\033&l1H
pcl_intray2=\033&l4H
pcl_intray3=\033&l5H
pcl_intray4=\033&l20H
pcl_inlcc = \033&22H


#
# Output Tray is supported in Printer
#
#  outbin=[tray1,tray2,...]
#  outtray=[tray1,tray2,...]
# Added:
#  outupper   outtray=tray1
#  outoffset  outtray=tray3
#  outtray1   outtray=tray1, outtray2   outtray=tray2, etc.
#  outbin1    outtray=tray1, outbin2    outtray=tray2, etc.
#
pjl_outbin = [ outtray=\%s{outbin} ]
pjl_outtray = [ outtray=\%s{outtray} ]
pjl_outupper = [ outtray=tray1 ]
pjl_outoffset = [ outtray=tray3 ]
pjl_outtray1 = [ outtray=tray1 ]
pjl_outtray2 = [ outtray=tray2 ]
pjl_outtray3 = [ outtray=tray3 ]
pjl_outtray4 = [ outtray=tray4 ]
pjl_outbin1  = [ outtray=tray1 ]
pjl_outbin2  = [ outtray=tray2 ]
pjl_outbin3  = [ outtray=tray3 ]
pjl_outbin4  = [ outtray=tray4 ]

# Resolution
#  resolution=[600]

#
# Image Enhancement: image_enhnance=[on,off]
#
pjl_image_enhance = [ ret=\%s{image_enhance} ]

# Toner Save:
#  economode=[on,off]

#
# Staple is supported as a Finisher Option
#
# staple=[none, left right, 2left, 2right, 2top]
#
pjl_staple = [ staple_\%s{staple} ]
pjl_staple_none = [ jobstaple=staplenon ]
pjl_staple_left = [ jobstaple=stapleleft binding=shortedge outtray=tray3 ]
pjl_staple_right = [ jobstaple=stapleleft binding=rightedge outtray=tray3 ]
pjl_staple_2left = [ jobstaple=stapleboth binding=shortedge outtray=tray3 ]
pjl_staple_2right = [ jobstaple=stapleboth binding=rightedge outtray=tray3 ]
pjl_staple_2top = [ jobstaple=stapleboth binding=longedge outtray=tray3 ]

# Account Number:
#  accountnumber=[value]

#
# PIN Printing is supported in printer
#  Note: I do not have the slightest idea what this is.
#
# pin_off - turns PIN off
# pin_confidential=key - sets suspend to CONFIDENTIAL, supplies key
#
pjl_pin_off = [ suspend=off ]
pjl_pin_confidential = [ suspend=confidential suspendkey=\%s{pin_confidential} ]

#
# Firmware Copy Splitting ( across MFPs ) is supported
# copysplit=[on,off]
#   translates to tandem=[on,off]
#
pjl_copysplit = [ tandem=\%s{copysplit} ]

#
# Job Name is supported
#
# jobname=name
# User Name ( Owner ) is supported
# username=name




pjl_user_opts = [
 portrait landscape book tablet sduplex lduplex simplex duplex
 duplexshort normalorder reverseorder faceup facedown booklet
 insert_off insert_printed insert_blank letter legal ledger foolscap
 a3 a4 a5 b4 b5 manual manualfeed inauto intray1 intray2 intray3
 intray4 inlcc outbin outtray outupper outoffset outtray1 outtray2
 outtray3 outtray4 outbin1 outbin2 outbin3 outbin4 image_enhance
 staple staple_none staple_left staple_right staple_2left staple_2right
 staple_2top pin_off pin_confidential copysplit copies collate
 orientation joborder outfacemode binding jobbooklet interleave
 interleavesrc paper mediasource outtray resolution ret economode
 jobstaple tandem accountnumber suspend suspendkey jobname username

 ]
pcl_user_opts = [
 manual manualfeed inauto intray1 intray2 intray3 intray4 inlcc

 ]
# PRINTER % - Sharp %, Cougar Family, PS and PCL, uses SNMP for status and pagecount
[ ar-335 ar-336 ar-337 ar-s337 ar-405 ar-407 ar-505 ar-s505 ar-507 ar-s507 ar-250 ar-280 ar-281 ar-285 ar-286 ]
tc=cougar

#
# Sharp Printers
#   Only a smple of these have been tested.
# The information is based on MIB dumps and information supplied by Sharp
#  Patrick Powell, 2 Dec 2003
# The PostScript for these printers is basically that of the HP5si
#
# PRINTER % - Sharp Generic Leopard Family, PS and PCL, uses SNMP for status and pagecount
[ leopard ]

# #
# # Leopard Printer Model Names from MIB
# #
# %Model
# 	Sharp AR-235		= 1
# 	Sharp AR-275		= 2
# 	Sharp AR-N275		= 3
# 	Sharp AR-M208		= 4	# 20ppm raster only version
# 
# #
# # Leopard Printer Driver Names from Printer Folder
# #
# %Driver
# 	Sharp AR-235 PCL5e  (1)		: PCL 5e
# 	Sharp AR-235 PCL6   (1)		: PCL XL
# 	Sharp AR-235 PS	    (1)		: Postscript
# 	Sharp AR-275 PCL5e  (2)		: PCL 5e
# 	Sharp AR-275 PCL6   (2)		: PCL XL
# 	Sharp AR-275 PS     (2)		: Postscript
# 	Sharp AR-N275 PCL5e (3)		: PCL 5e
# 	Sharp AR-N275 PCL6  (3)		: PCL XL
# 	Sharp AR-N275 PS    (3) 	: Postscript
# 

# use the HP4si as a starting point for PostScript and PCL
tc=hp5si

pjl
pcl
ps

snmp_monitor
sync=snmp
waitend=snmp
pagecount=snmp


pjl_vars_set= [
	COPIES=RANGE;1,999
	RIPONCE=ENUMERATED;OFF,ON
	ORIENTATION=PORTRAIT!ENUMERATED;PORTRAIT,LANDSCAPE
	BINDING=ENUMERATED;SHORTEDGE,LONGEDGE
	INTERLEAVE=ENUMERATED;OFF,BLANK,ON
	INTERLEAVESRC=ENUMERATED;TRAY1,TRAY2,TRAY3,TRAY4,TRAY5,LCC,MANUALFEED,MANUALENV
	PAPER=LETTER!ENUMERATED;LETTER,LEGAL,LEDGER,EXECUTIVE,FOOLSCAP,FOLIO,A3,A4,A5,A6,B4,B5,B6,C5,8K,16K,DL,INVOICE,COM10
	MEDIASOURCE=ENUMERATED;AUTO,TRAY1,TRAY2,TRAY3,TRAY4,TRAY5,LLC,MANUALFEED,MANUALENV
	OUTTRAY=ENUMERATED;TRAY1,TRAY2,TRAY3,TRAY4
	RESOLUTION=ENUMERATED;300,600
	RET=ENUMERATED;OFF,ON
        ECONOMODE=ENUMERATED;OFF,ON
	PAGEPROTECT=ENUMERATED;OFF,ON
	JOBSTAPLE=ENUMERATED;STAPLENON,STAPLELEFT
	ACCOUNTNUMBER=STRING;
	JOBNAME=STRING;
	USERNAME=STRING;
 ]


# Copies:
#  copies=[n]  - n copies
#
# Copy Collation:
#  collate=[on,off]
#
pjl_collate = [ riponce=\%s{collate} ]


# Standard options:
# portrait, landscape
#
pjl_portrait = [ orientation=portrait ]
pjl_landscape = [ orientation=landscape ]


# Standard options:
# duplex, duplexshort, sduplex, simplex
#  ADDED: book = duplex, tablet = sduplex
#
# Note: 'longedge' is the direction in which the document is to
# be viewed, not the edge on which you do the binding.

pjl_book = [ duplex ]
pjl_tablet = [ duplexshort ]
pjl_sduplex = [ duplexshort ]
pjl_lduplex = [ duplex ]
pjl_simplex = @PJL SET DUPLEX = OFF
pjl_duplexshort =
	@PJL SET DUPLEX = ON
	@PJL SET BINDING = LONGEDGE
pjl_duplex =
	@PJL SET DUPLEX = ON
	@PJL SET BINDING = SHORTEDGE



#
# Inserts:
#  insert_off = no insert
# Printed insert:
#  insert_printed=[tray1, ... ] - input tray source
# Blank insert:
#  insert_blank=[tray1, ... ] - input tray source
#
pjl_insert_off = [ interleave=off ]
pjl_insert_printed = [ interleave=on interleavesrc=\%s{insert_printed} ]
pjl_insert_blank = [ interleave=blank interleavesrc=\%s{insert_blank} ]

#
# Paper selection:  paper=[...] or just use the paper name:
#  letter legal ...
#

pjl_letter = [ paper=letter ]
pjl_legal = [ paper=legal ]
pjl_ledger = [ paper=ledger ]
pjl_executive = [ paper=executive ]
pjl_foolscap = [ paper=foolscap ]
pjl_folio = [ paper=folio ]
pjl_a3 = [ paper=a3 ]
pjl_a4 = [ paper=a4 ]
pjl_a5 = [ paper=a5 ]
pjl_a6 = [ paper=a6 ]
pjl_b4 = [ paper=b4 ]
pjl_b5 = [ paper=b5 ]
pjl_b6 = [ paper=b6 ]
pjl_c5 = [ paper=c5 ]
pjl_8k = [ paper=8k ]
pjl_16k = [ paper=16k ]
pjl_dl = [ paper=dl ]
pjl_invoice = [ paper=invoice ]
pjl_com10 = [ paper=com10 ]

#
# Input Tray: Standard options
# manual, manualfeed
#   intray1, intray2, ....
# ADDED: inauto, inlcc

pjl_manual = [ mediasource=manualfeed ]
pjl_manualfeed = [ mediasource=manualfeed ]
pjl_inauto = [ mediasource=auto ]
pjl_intray1 = [ mediasource=tray1 ]
pjl_intray2 = [ mediasource=tray2 ]
pjl_intray3 = [ mediasource=tray3 ]
pjl_intray4 = [ mediasource=tray4 ]
pjl_inenvelope = [ mediasource=manualenv ]

pcl_manual =\033&l2H
pcl_manualfeed =\033&l2H
pcl_inauto=\033&l7H
pcl_intray1=\033&l1H
pcl_intray2=\033&l4H
pcl_intray3=\033&l5H
pcl_intray4=\033&l20H
pcl_inenvelope = \033&8H



#
# Output Tray is supported in Printer
#
#  outbin=[tray1,tray2,...]
#  outtray=[tray1,tray2,...]
# Added:
#  outupper   outtray=tray1
#  outoffset  outtray=tray3
#  outtray1   outtray=tray1, outtray2   outtray=tray2, etc.
#  outbin1    outtray=tray1, outbin2    outtray=tray2, etc.
#
pjl_outbin = [ outtray=\%s{outbin} ]
pjl_outtray = [ outtray=\%s{outtray} ]
pjl_outcenter = [ outtray=tray1 ]
pjl_outupper = [ outtray=tray2 ]
pjl_outoffset = [ outtray=tray3 ]
pjl_outtray1 = [ outtray=tray1 ]
pjl_outtray2 = [ outtray=tray2 ]
pjl_outtray3 = [ outtray=tray3 ]
pjl_outtray4 = [ outtray=tray4 ]
pjl_outbin1  = [ outtray=tray1 ]
pjl_outbin2  = [ outtray=tray2 ]
pjl_outbin3  = [ outtray=tray3 ]
pjl_outbin4  = [ outtray=tray4 ]


# Resolution
#  resolution=[300,600]

#
# Image Enhancement: image_enhnance=[on,off]
#
pjl_image_enhance = [ ret=\%s{image_enhance} ]


# Toner Save:
#  economode=[on,off]

# Page Protect
# pageprotect=[on,off]
#

#
# Staple is supported as a Finisher Option
#
# staple=[none, left ]
#
pjl_staple = [ staple_\%s{staple} ]
pjl_staple_none = [ jobstaple=staplenon ]
pjl_staple_left = [ jobstaple=stapleleft binding=shortedge outtray=tray3 ]

# Account Number:
#  accountnumber=[value]
#
# Job Name is supported
# jobname=[name]
#
# User Name ( Owner ) is supported
# username=[name]



pjl_user_opts = [
 collate portrait landscape book tablet sduplex simplex lduplex
 simplex duplex duplexshort insert_off insert_printed insert_blank
 letter legal ledger executive foolscap folio a3 a4 a5 a6 b4 b5
 b6 c5 8k 16k dl invoice com10 manual manualfeed inauto intray1
 intray2 intray3 intray4 inenvelope outbin outtray outcenter outupper
 outoffset outtray1 outtray2 outtray3 outtray4 outbin1 outbin2
 outbin3 outbin4 image_enhance staple staple_none staple_left
 copies riponce orientation binding interleave interleavesrc paper
 mediasource outtray resolution ret economode pageprotect jobstaple
 accountnumber jobname username
 ]
pcl_user_opts = [
 manual manualfeed inauto intray1 intray2 intray3 intray4 inenvelope

 ]

# PRINTER % - Sharp %s, Leopard Family, PS and PCL, uses SNMP for status and pagecount
[ ar-235 ar-275 ar-n275 ar-m208 ]
tc=leopard

#
# Sharp Printers
#   Only a smple of these have been tested.
# The information is based on MIB dumps and information supplied by Sharp
#  Patrick Powell, 2 Dec 2003
# The PostScript for these printers is basically that of the HP5si
#
# PRINTER % - Sharp Generic Tiger Family, PS and PCL, uses SNMP for status and pagecount
[ tiger ]

# #
# # Tiger Printer Model Names from MIB
# #
# %Model
# 	Sharp AR-P350		= 1
# 	Sharp AR-M350		= 2
# 	Sharp AR-M350U		= 3
# 	Sharp AR-M350N		= 4
# 	Sharp AR-P450		= 5
# 	Sharp AR-M450		= 6
# 	Sharp AR-M450U		= 7
# 	Sharp AR-M450N		= 8
# 
# #
# # Tiger Printer Driver Names from Printer Folder
# #
# %Driver
# 	Sharp AR-P350 PCL5e (1)		: PCL 5e
# 	Sharp AR-P350 PCL6  (1)		: PCL XL
# 	Sharp AR-P350 PS    (1)		: Postscript
# 	Sharp AR-M350 PCL5e (2,3,4)	: PCL 5e
# 	Sharp AR-M350 PCL6  (2,3,4)	: PCL XL
# 	Sharp AR-M350 PS    (2,3,4)	: Postscript
# 	Sharp AR-P450 PCL5e (5)		: PCL 5e
# 	Sharp AR-P450 PCL6  (5)		: PCL XL
# 	Sharp AR-P450 PS    (5)		: Postscript
# 	Sharp AR-M450 PCL5e (6,7,8)	: PCL 5e
# 	Sharp AR-M450 PCL6  (6,7,8)	: PCL XL
# 	Sharp AR-M450 PS    (6,7,8)	: Postscript
# 

# use the HP4si as a starting point for PostScript and PCL
tc=hp5si

pjl
pcl
ps

snmp_monitor
sync=snmp
waitend=snmp
pagecount=snmp


pjl_vars_set= [
	COPIES=RANGE;1,999
	COLLATE=ENUMERATED;OFF,ON

	ORIENTATION=PORTRAIT!ENUMERATED;PORTRAIT,LANDSCAPE
	REVERSEIMAGE=ENUMERATED;OFF,ON

	BINDING=ENUMERATED;SHORTEDGE,LONGEDGE

	JOBBOOKLET=ENUMERATED;OFF,ON

	INTERLEAVE=ENUMERATED;OFF,BLANK,ON
	PAPERTYPE=ENUMERATED;TRANSPARENCY
	INTERLEAVETYPE=ENUMERATED;TRAY1,TRAY2,TRAY3,TRAY4,LCC
	MARGINSHIFT=RANGE;0,2000

	PAPER=LETTER!ENUMERATED;LETTER,LEGAL,LEDGER,EXECUTIVE,FOOLSCAP,FOLIO,A3,A4,A5,B4,B5,JISB6,C5,INVOICE,DL,COM10,MONARCH,JPOST
	MEDIASOURCE=AUTO!ENUMERATED;AUTO,TRAY1,TRAY2,TRAY3,TRAY4,LCC

	OUTTRAY=ENUMERATED;TRAY1,TRAY2,TRAY3,TRAY4,TRAY5,TRAY6,TRAY7,TRAY8,TRAY9,TRAY10,TRAY11

	RESOLUTION=ENUMERATED;300,600
	RET=ENUMERATED;OFF,ON
	ECONOMODE=ENUMERATED;OFF,ON

	JOBSTAPLE=ENUMERATED;STAPLENON,STAPLELEFT,STAPLEBOTH

	SUSPEND=ENUMERATED;OFF,CONFIDENTIAL,HOLD,SAMPLE
	SUSPENDKEY=STRING;

	ACCOUNTNUMBER=STRING;
	JOBNAME=STRING;
	USERNAME=STRING;
 ]


# Copies:
#  copies=[n]  - n copies
#
# Copy Collation:
#  collate=[on,off]
#

# Standard options:
# portrait, landscape
# ADDED: reverse_portrait, reverse_landscape

pjl_portrait = [ orientation=portrait reverseimage=off ]
pjl_landscape = [ orientation=landscape reverseimage=off ]
pjl_reverse_portrait = [ orientation=portrait reverseimage=on ]
pjl_reverse_landscape = [ orientation=landscape reverseimage=on ]

# Standard options:
# duplex, duplexshort, sduplex, simplex
#  ADDED: book = duplex, tablet = sduplex
#
# Note: 'longedge' is the direction in which the document is to
# be viewed, not the edge on which you do the binding.
pjl_book = [ duplex ]
pjl_tablet = [ duplexshort ]
pjl_sduplex = [ duplexshort ]
pjl_lduplex = [ duplex ]
pjl_simplex = @PJL SET DUPLEX = OFF
pjl_duplexshort =
	@PJL SET DUPLEX = ON
	@PJL SET BINDING = LONGEDGE
pjl_duplex =
	@PJL SET DUPLEX = ON
	@PJL SET BINDING = SHORTEDGE


# Booklet
#  booklet=[on,off]
pjl_booklet = [ jobbooklet=\%s{booklet} ]

#
# Inserts:
#  insert_off = no insert
# Printed insert:
#  insert_printed=[tray1, ... ] - input tray source
# Blank insert:
#  insert_blank=[tray1, ... ] - input tray source
#
pjl_insert_off = [ interleave=off ]
pjl_insert_printed = [ interleave=on papertype=transparency interleavetype=\%s{insert_printed} ]
pjl_insert_blank = [ interleave=blank papertype=transparency interleavetype=\%s{insert_blank} ]

# Margin Shift
# marginshift=[n] - shifts directly
# margin=[none,small,medium,large] shifts [0,240,472,708] respectively
pjl_margin = [ margin_\%s{margin} ]
pjl_margin_none = [ marginshift=0 ]
pjl_margin_small = [ marginshift=240 ]
pjl_margin_medium = [ marginshift=472 ]
pjl_margin_large = [ marginshift=708 ]

#
# Paper selection:  paper=[...] or just use the paper name:
#  letter legal ...
#

pjl_letter = [ paper=letter ]
pjl_legal = [ paper=legal ]
pjl_ledger = [ paper=ledger ]
pjl_executive = [ paper=executive ]
pjl_foolscap = [ paper=foolscap ]
pjl_folio = [ paper=folio ]
pjl_a3 = [ paper=a3 ]
pjl_a4 = [ paper=a4 ]
pjl_a5 = [ paper=a5 ]
pjl_b4 = [ paper=b4 ]
pjl_b5 = [ paper=b5 ]
pjl_jisb6 = [ paper=jisb6 ]
pjl_c5 = [ paper=c5 ]
pjl_invoice = [ paper=invoice ]
pjl_dl = [ paper=dl ]
pjl_com10 = [ paper=com10 ]
pjl_monarch = [ paper=monarch ]
pjl_jpost = [ paper=jpost ]


#
# Input Tray: Standard options
# manual, manualfeed
#   intray1, intray2, ....
# ADDED: inauto, inlcc

# pjl_manual = [ mediasource=manualfeed ]
# pjl_manualfeed = [ mediasource=manualfeed ]
pjl_inauto = [ mediasource=auto ]
pjl_intray1 = [ mediasource=tray1 ]
pjl_intray2 = [ mediasource=tray2 ]
pjl_intray3 = [ mediasource=tray3 ]
pjl_intray4 = [ mediasource=tray4 ]
pjl_inlcc = [ mediasource=lcc ]

pcl_manual =\033&l2H
pcl_manualfeed =\033&l2H
pcl_inauto=\033&l7H
pcl_intray1=\033&l1H
pcl_intray2=\033&l4H
pcl_intray3=\033&l5H
pcl_intray4=\033&l20H
pcl_lcc = \033&22H



#
# Output Tray is supported in Printer
#
#  outbin=[tray1,tray2,...]
#  outtray=[tray1,tray2,...]
# Added:
#  outupper   outtray=tray1
#  outoffset  outtray=tray3
#  outtray1   outtray=tray1, outtray2   outtray=tray2, etc.
#  outbin1    outtray=tray1, outbin2    outtray=tray2, etc.
# Also the (out) center, left, top, offset, offset_saddle, mail_top,
#  mail1, mail2, ... mail7, tray1, ..., tray11

pjl_outbin = [ outtray=\%s{outbin} ]
pjl_outtray = [ outtray=\%s{outtray} ]
pjl_outcenter = [ outtray=tray1 ]
pjl_outleft = [ outtray=tray2 ]
pjl_outupper = [ outtray=tray4 ]
pjl_outoffset = [ outtray=tray5 ]
pjl_outoffset_saddle = [ outtray=tray2 ]
pjl_outmail_top = [ outtray=tray4 ]
pjl_outmail1 = [ outtray=tray5 ]
pjl_outmail2 = [ outtray=tray6 ]
pjl_outmail3 = [ outtray=tray7 ]
pjl_outmail4 = [ outtray=tray8 ]
pjl_outmail5 = [ outtray=tray9 ]
pjl_outmail6 = [ outtray=tray10 ]
pjl_outmail7 = [ outtray=tray11 ]

pjl_outbin1 = [ outtray=tray1 ]
pjl_outbin2 = [ outtray=tray2 ]
pjl_outbin3 = [ outtray=tray3 ]
pjl_outbin4 = [ outtray=tray4 ]
pjl_outbin5 = [ outtray=tray5 ]
pjl_outbin6 = [ outtray=tray6 ]
pjl_outbin7 = [ outtray=tray7 ]
pjl_outbin8 = [ outtray=tray8 ]
pjl_outbin9 = [ outtray=tray9 ]
pjl_outbin10 = [ outtray=tray10 ]
pjl_outbin11 = [ outtray=tray11 ]
pjl_outtray1 = [ outtray=tray1 ]
pjl_outtray1 = [ outtray=tray1 ]
pjl_outtray2 = [ outtray=tray2 ]
pjl_outtray3 = [ outtray=tray3 ]
pjl_outtray4 = [ outtray=tray4 ]
pjl_outtray5 = [ outtray=tray5 ]
pjl_outtray6 = [ outtray=tray6 ]
pjl_outtray7 = [ outtray=tray7 ]
pjl_outtray8 = [ outtray=tray8 ]
pjl_outtray9 = [ outtray=tray9 ]
pjl_outtray10 = [ outtray=tray10 ]
pjl_outtray11 = [ outtray=tray11 ]


pcl_outcenter = [ outbin1 ]
pcl_outleft = [ outbin2 ]
pcl_outupper = [ outbin4 ]
pcl_outoffset = [ outbin5 ]
pcl_outoffset_saddle = [ outbin2 ]
pcl_outmail_top = [ outbin4 ]
pcl_outmail1 = [ outbin5 ]
pcl_outmail2 = [ outbin6 ]
pcl_outmail3 = [ outbin7 ]
pcl_outmail4 = [ outbin8 ]
pcl_outmail5 = [ outbin9 ]
pcl_outmail6 = [ outbin10 ]
pcl_outmail7 = [ outbin11 ]

#pcl_outbin1 = 
pcl_outbin2 = \033&l2G
pcl_outbin3 = \033&l3G
pcl_outbin4 = \033&l1G
pcl_outbin5 = \033&l4G
pcl_outbin6 = \033&l5G
pcl_outbin7 = \033&l6G
pcl_outbin8 = \033&l7G
pcl_outbin9 = \033&l8G
pcl_outbin10 = \033&l9G
pcl_outbin11 = \033&l10G
#pcl_outtray1 = 
pcl_outtray2 = \033&l2G
pcl_outtray3 = \033&l3G
pcl_outtray4 = \033&l1G
pcl_outtray5 = \033&l4G
pcl_outtray6 = \033&l5G
pcl_outtray7 = \033&l6G
pcl_outtray8 = \033&l7G
pcl_outtray9 = \033&l8G
pcl_outtray10 = \033&l9G
pcl_outtray11 = \033&l10G

#
# Resolution:
#  resolution=[300,600]
#
# image enhancement: image_enhnance=[on,off]
#
pjl_image_enhance = [ ret=\%s{image_enhance} ]

# Toner Save:
# economode=[on,off]
#

#
# Staple is supported as a Finisher Option
#
# staple=[none, left, right, top, 2left, 2right, 2top ]
pjl_staple = [ staple_\%s{staple} ]
pjl_staple_none = [ jobstaple=staplenon ]
pjl_staple_left = [ jobstaple=stapleleft binding=shortedge outtray=tray2 ]
pjl_staple_right = [ jobstaple=stapleleft binding=rightedge outtray=tray2 ]
pjl_staple_top = [ jobstaple=stapleleft binding=longedge outtray=tray2 ]
pjl_staple_2left = [ jobstaple=stapleboth binding=shortedge outtray=tray2 ]
pjl_staple_2right = [ jobstaple=stapleboth binding=rightedge outtray=tray2 ]
pjl_staple_2top = [ jobstaple=stapleboth binding=longedge outtray=tray2 ]

#
# Hole Punch is supported as a Finisher Option
# punch=[none,left]
pjl_punch = [ punch_\%s{punch} ]
pjl_punch_none = @PJL SET PUNCH=OFF
pjl_punch_left = @PJL SET PUNCH=ON
#
# Account Number:
#  accountnumber=[value]


# PIN Printing is supported in printer
#
#
# PIN Printing is supported in printer
#
pjl_pin_off = [ suspend=off ]
pjl_pin_confidential = [ suspend=confidential suspendkey=\%s{pin_confidential} ]
pjl_pin_hold = [ suspend=confidential suspendkey=\%s{pin_hold} ]
pjl_pin_sample = [ suspend=confidential suspendkey=\%s{pin_sample} ]

# Job Name is supported
# jobname=[name]
#
# User Name ( Owner ) is supported
# username=[name]

pjl_user_opts = [
 portrait landscape reverse_portrait reverse_landscape book tablet
 sduplex simplex lduplex simplex duplex duplexshort booklet insert_off
 insert_printed insert_blank margin margin_none margin_small margin_medium
 margin_large letter legal ledger executive foolscap folio a3
 a4 a5 b4 b5 jisb6 c5 invoice dl com10 monarch jpost inauto intray1
 intray2 intray3 intray4 inlcc outbin outtray outcenter outleft
 outupper outoffset outoffset_saddle outmail_top outmail1 outmail2
 outmail3 outmail4 outmail5 outmail6 outmail7 outbin1 outbin2
 outbin3 outbin4 outbin5 outbin6 outbin7 outbin8 outbin9 outbin10
 outbin11 outtray1 outtray1 outtray2 outtray3 outtray4 outtray5
 outtray6 outtray7 outtray8 outtray9 outtray10 outtray11 image_enhance
 staple staple_none staple_left staple_right staple_top staple_2left
 staple_2right staple_2top pin_off pin_confidential pin_hold pin_sample
 copies collate orientation reverseimage binding jobbooklet interleave
 papertype interleavetype marginshift paper mediasource outtray
 resolution ret economode jobstaple punch punch_none punch_left suspend suspendkey accountnumber
 jobname username
 ]
pcl_user_opts = [
 manual manualfeed inauto intray1 intray2 intray3 intray4 lcc
 outcenter outleft outupper outoffset outoffset_saddle outmail_top
 outmail1 outmail2 outmail3 outmail4 outmail5 outmail6 outmail7
 outbin2 outbin3 outbin4 outbin5 outbin6 outbin7 outbin8 outbin9
 outbin10 outbin11 outtray2 outtray3 outtray4 outtray5 outtray6
 outtray7 outtray8 outtray9 outtray10 outtray11
 ]

# PRINTER % - Sharp %, Tiger Family, PS and PCL, uses SNMP for status and pagecount
[ ar-p350 ar-m350 ar-m350u ar-m350n ar-p450 ar-m450 ar-m450u ar-m450n ]
tc=tiger

#
# Sharp Printers
#   Only a smple of these have been tested.
# The information is based on MIB dumps and information supplied by Sharp
#  Patrick Powell, 2 Dec 2003
# The PostScript for these printers is basically that of the HP5si
#
# PRINTER % - Sharp Generic Toshiba650 Family, PS and PCL, uses SNMP for status and pagecount
[ toshiba650 ]

# 
# #
# # Toshiba 650/800 Printer Model Names from MIB
# #
# %Model
# 	Sharp AR-650/800 Printer Board	= 1	# Controller Board does not distinquish model
# 	Sharp AR-650			= 2	# Alias Name for 65ppm model
# 	Sharp AR-800			= 3	# Alias Name for 80ppm model
# 
# #
# # Toshiba 650/800 Printer Driver Names installed on PC
# #
# %Driver
# 	Sharp AR-650/800 PCL5e		: PCL 5e
# 	Sharp AR-650/800 PCLXL 		: PCL XL
# 	Sharp AR-650/800 PDL
# 

# use the HP4si as a starting point for PostScript and PCL
tc=hp5si

pjl
pcl
ps

snmp_monitor
sync=snmp
waitend=snmp
pagecount=snmp


pjl_vars_set= [
	COPIES=RANGE;1,999
	SORTING=ENUMERATED;SORT,GROUP
	PRINTORDER=ENUMERATED;REVERSE,NORMAL

	ORIENTATION=PORTRAIT!ENUMERATED;PORTRAIT,LANDSCAPE

	BINDING=ENUMERATED;SHORTEDGE,LONGEDGE
	COVERMODE=ENUMERATED;NONE,INSERT,COPY
	BACKCOVER=ENUMERATED;OFF,ON
	COVERSOURCE=ENUMERATED;AUTO,UCAS,MCAS,LCAS,MANUAL,MANUALNR,LCC
	MEDIASOURCE=AUTO!ENUMERATED;AUTO,UCAS,MCAS,LCAS,MANUAL,MANUALNR,LCC
	SHEET=ENUMERATED;AUTO,UCAS,MCAS,LCAS,MANUAL,MANUALNR,LCC
	PAPER=LETTER!ENUMERATED;LETTER,LEGAL,LEDGER,A3,A4,A5,A6,B4,B5,FOLIO,STATEMENT,COMPUTER,LEGAL13,SQ85
	OUTBIN=ENUMERATED;STD,BIN1,BIN2
	RESOLUTION=ENUMERATED;600
	SMOOTH=ENUMERATED;OFF,ON
	FINISH=ENUMERATED;NONE,LEFTUPPER,RIGHTUPPER,LEFT2,UPPER2,SADDLE
	GROUPCODE=STRING;
	DOCNAME=STRING;
	USRNAME=STRING;

 ]

# Copies:
#  copies=[n]  - n copies
#
# Copy Collation:
#  collate=[on,off] or sorting=[sort,group]
pjl_collate = [ collate_\%s{collate} ]
pjl_collate_on = [ sorting=sort ]
pjl_collate_off = [ sorting=group ]
#

# Standard options:
# portrait, landscape

pjl_portrait = [ orientation=portrait ]
pjl_landscape = [ orientation=landscape ]

# Page Order
#  printorder = [normal, reverse ]

# Standard options:
# duplex, duplexshort, sduplex, simplex
#  ADDED: book = duplex, tablet = sduplex
#
# Note: 'longedge' is the direction in which the document is to
# be viewed, not the edge on which you do the binding.
pjl_book = [ duplex ]
pjl_tablet = [ duplexshort ]
pjl_sduplex = [ duplexshort ]
pjl_lduplex = [ duplex ]
pjl_simplex = @PJL SET DUPLEX = OFF
pjl_duplexshort =
	@PJL SET DUPLEX = ON
	@PJL SET BINDING = LONGEDGE
pjl_duplex =
	@PJL SET DUPLEX = ON
	@PJL SET BINDING = SHORTEDGE
pjl_duplex_on = @PJL SET DUPLEX = ON


#
# CoverSheet:
#  cover_none = no insert
# Printed cover:
#  cover_printed=[tray1, ... ] - input tray source
# Blank cover:
#  cover_blank=[tray1, ... ] - input tray source
#
pjl_cover_none =     [ covermode=none ]
pjl_cover_printed = [ covermode=copy   coversource=\%s{cover_printed} ]
pjl_cover_blank =   [ covermode=insert  coversource=\%s{cover_blank} ]

#
# Back CoverSheet:
#  backcover_none - no back cover
#  backcover_on=[tray1, ... ] - input tray source
#
pjl_backcover_none =     [ backcover=off ]
pjl_backcover_on = [ backcover=on   coversource=\%s{backcover_on} ]

#
# Inserts:
#  insert_off = no insert
# Printed insert:
#  insert_printed=[tray1, ... ] - input tray source
# Blank insert:
#  insert_blank=[tray1, ... ] - input tray source
#
#pjl_insert_off =
pjl_insert_printed = [ sheet=\%s{insert_printed} ]
pjl_insert_blank = [ sheet=\%s{insert_blank} ]

#
# Paper selection:  paper=[...] or just use the paper name:
#  letter legal ...
#

pjl_letter = [ paper=letter ]
pjl_legal = [ paper=legal ]
pjl_ledger = [ paper=ledger ]
pjl_a3 = [ paper=a3 ]
pjl_a4 = [ paper=a4 ]
pjl_a5 = [ paper=a5 ]
pjl_b4 = [ paper=b4 ]
pjl_b5 = [ paper=b5 ]
pjl_folio = [ paper=folio ]
pjl_statement = [ paper=statement ]
pjl_computer = [ paper=computer ]
pjl_legal13 = [ paper=legal13 ]
pjl_13inchlg = [ paper=legal13 ]
pjl_sq85 = [ paper=sq85 ]
pjl_85sq = [ paper=sq85 ]


#
# Input Tray: Standard options
# manual, manualfeed
# 
# ADDED: (in) ucas, mcas, lcas, lcc, envelope = manualnr
#     upper = ucas, middle = mcas, lower = lcas, lcc, manualnr

pjl_manual = [ mediasource=manual ]
pjl_manualfeed = [ mediasource=manual ]
pjl_inauto = [ mediasource=auto ]
pjl_inucas = [ mediasource=ucas ]
pjl_inmcas = [ mediasource=mcas ]
pjl_inlcas = [ mediasource=lcas ]
pjl_inupper = [ mediasource=ucas ]
pjl_inmiddle = [ mediasource=mcas ]
pjl_inlower = [ mediasource=lcas ]
pjl_inenvelope = [ mediasource=manualnr ]
pjl_inlcc = [ mediasource=lcc ]


pcl_manual =\033&l2H
pcl_manualfeed =\033&l2H

pcl_inauto=\033&l7H
pcl_inucas=\033&l1H
pcl_inupper=\033&l1H
pcl_inmcas=\033&l5H
pcl_inmiddle=\033&l5H
pcl_inlcas=\033&l10H
pcl_inlower=\033&l10H
pcl_inenvelope=\033&l11H
pcl_inlcc=\033&8H



#
# Output Tray is supported in Printer
#
#  outbin=[auto,bin1,bin2]
#  outtray=[auto,bin1,bin2]

pjl_outbin = [ outbin=\%s{outbin} ]
pjl_outtray = [ outbin=\%s{outtray} ]
pjl_outauto = [ outbin=auto ]
pjl_outbin1 = [ outbin=bin1 ]
pjl_outbin2 = [ outbin=bin2 ]
pjl_outtray1 = [ outbin=bin1 ]
pjl_outtray2 = [ outbin=bin2 ]
pjl_outupper = [ outbin=bin1 ]
pjl_outoffset = [ outbin=bin2 ]

#
# Resolution:
#  resolution=[600]
#
# image enhancement: image_enhnance=[on,off]
#
pjl_image_enhance = [ smooth=\%s{image_enhance} ]

#
# Staple is supported as a Finisher Option
#
# staple=[none, left, right, 2left, 2top, saddle ]
pjl_staple = [ staple_\%s{staple} ]
pjl_staple_none = [ finish=none ]
pjl_staple_left = [ finish=leftupper sorting=sort ]
pjl_staple_right = [ finish=rightupper sorting=sort ]
pjl_staple_2left = [ finish=left2 sorting=sort ]
pjl_staple_2top = [ finish=upper2 sorting=sort ]
pjl_staple_saddle = [ finish=saddle sorting=sort duplex_on binding=shortedge ]

#
# Hole Punch is supported as a Finisher Option
# punch=[none,left,upper]
pjl_punch = [ punch_\%s{punch} ]
pjl_punch_none = @PJL SET PUNCH=NONE
pjl_punch_left = @PJL SET PUNCH=LEFT
pjl_punch_upper = @PJL SET PUNCH=UPPER
#
# Account Number:
#  accountnumber=[value]
pjl_accountnumber = [ groupcode=\%s{accountnumber} ]


# PIN Printing is supported in printer
#
#
#
# PIN Printing is supported in printer
#  NOTE: The information provided by Sharp was not complete for this
# section:
#  PIN:    Printer
#  <OFF>-
#  @PJL SET MODE=NORMAL
#  @PJL SET PIN<*CONFIDENTIAL>
#  @PJL SET MODE=PRIVATE
#  @PJL SET PIN=*
#

# Job Name is supported
# jobname=[name]
pjl_jobname=[ docname=\%s{jobname} ]
#
# User Name ( Owner ) is supported
# username=[name]
pjl_username=[ usrname=\%s{username} ]




pjl_user_opts = [
 punch punch_none punch_left punch_upper
 collate collate_on collate_off portrait landscape book tablet
 sduplex simplex lduplex simplex duplex duplexshort cover_none
 cover_printed cover_blank backcover_none backcover_on insert_printed
 insert_blank letter legal ledger a3 a4 a5 b4 b5 folio statement
 computer legal13 13inchlg sq85 85sq manual manualfeed inauto
 inucas inmcas inlcas inupper inmiddle inlower inenvelope inlcc
 outbin outtray outauto outbin1 outbin2 outtray1 outtray2 outupper outoffset image_enhance
 staple staple_none staple_left staple_right staple_2left staple_2top
 staple_saddle accountnumber jobname username copies sorting printorder
 orientation binding covermode backcover coversource sheet paper
 mediasource outbin resolution smooth finish punch groupcode docname
 usrname
 ]
pcl_user_opts = [
 manual manualfeed inauto inucas inupper inmcas inmiddle inlcas
 inlower inenvelope inlcc
 ]

# PRINTER % - Sharp %, Toshiba650 Family, PS and PCL, uses SNMP for status and pagecount
[ ar-650 ar-800 ]
tc=toshiba650 

#
# Sharp Printers
#   Only a smple of these have been tested.
# The information is based on MIB dumps and information supplied by Sharp
#  Patrick Powell, 2 Dec 2003
# The PostScript for these printers is basically that of the HP5si
#
# PRINTER % - Sharp Generic Fiery651 Family, PS and PCL, uses SNMP for status and pagecount
[ fiery651 ]

# 
# #
# # Toshiba/Fiery 651/810 Printer Model Names from MIB
# #
# %Model
# 	PlaceHolder			= 1
# 	Sharp AR-651			= 2	# Alias Name for 65ppm model
# 	Sharp AR-810			= 3	# Alias Name for 81ppm model
# 

# use the HP4si as a starting point for PostScript and PCL
tc=hp5si

pjl
pcl
ps

snmp_monitor
sync=snmp
waitend=snmp
pagecount=snmp


pjl_vars_set= [
	COPIES=RANGE;1,999

	BINDING=ENUMERATED;SHORTEDGE,LONGEDGE
	SORTMODE=ENUMERATED;SORT,GROUP

	PAPER=LETTER!ENUMERATED;LETTER,LEGAL,LEDGER,A3,A4,A5,A6,B4,B5,8K,16K,FOLIO,STATEMENT,COMPUTER,LEGAL13,SQ85
	OUTBIN=ENUMERATED;UPPER,LOWER
	RET=ENUMERATED;OFF,ON,LIGHT,MEDIUM,DARK

 ]

X
# Copies:
#  copies=[n]  - n copies
#
# Copy Collation:
#  collate=[on,off] or sorting=[sort,group]
pjl_collate = [ collate_\%s{collate} ]
pjl_collate_on = @PJL COMMENT EFIPJL SET SORTMODE=SORT 
pjl_collate_off = @PJL COMMENT EFIPJL SET SORTMODE=GROUP
#


# Standard options:
# duplex, duplexshort, sduplex, simplex
#  ADDED: book = duplex, tablet = sduplex
#
# Note: 'longedge' is the direction in which the document is to
# be viewed, not the edge on which you do the binding.
pjl_book = [ duplex ]
pjl_tablet = [ duplexshort ]
pjl_sduplex = [ duplexshort ]
pjl_lduplex = [ duplex ]
pjl_simplex = @PJL SET DUPLEX = OFF
pjl_duplexshort =
	@PJL SET DUPLEX = ON
	@PJL SET BINDING = LONGEDGE
pjl_duplex =
	@PJL SET DUPLEX = ON
	@PJL SET BINDING = SHORTEDGE

# Fit to Page
# we fit to page
#  fit=[letter, legal, ... ]

pjl_fit = [ fit_\%s{fit} ]

pjl_fit_letter =  @PJL COMMENT EFIPJL SET ENGINEOUTPUTSIZE=LETTER
pjl_fit_legal =  @PJL COMMENT EFIPJL SET ENGINEOUTPUTSIZE=LEGAL
pjl_fit_ledger =  @PJL COMMENT EFIPJL SET ENGINEOUTPUTSIZE=LEDGER
pjl_fit_a3 =  @PJL COMMENT EFIPJL SET ENGINEOUTPUTSIZE=A3
pjl_fit_a4 =  @PJL COMMENT EFIPJL SET ENGINEOUTPUTSIZE=A4
pjl_fit_a5 =  @PJL COMMENT EFIPJL SET ENGINEOUTPUTSIZE=A5
pjl_fit_b4 =  @PJL COMMENT EFIPJL SET ENGINEOUTPUTSIZE=B4
pjl_fit_b5 =  @PJL COMMENT EFIPJL SET ENGINEOUTPUTSIZE=B5
pjl_fit_8k =  @PJL COMMENT EFIPJL SET ENGINEOUTPUTSIZE=8K
pjl_fit_16k =  @PJL COMMENT EFIPJL SET ENGINEOUTPUTSIZE=16K
pjl_fit_folio =  @PJL COMMENT EFIPJL SET ENGINEOUTPUTSIZE=FOLIO
pjl_fit_statement =  @PJL COMMENT EFIPJL SET ENGINEOUTPUTSIZE=STATEMENT
pjl_fit_computer =  @PJL COMMENT EFIPJL SET ENGINEOUTPUTSIZE=COMPUTER
pjl_fit_13inchlg =  @PJL COMMENT EFIPJL SET ENGINEOUTPUTSIZE=LEGAL13
pjl_fit_legal13 =  @PJL COMMENT EFIPJL SET ENGINEOUTPUTSIZE=LEGAL13
pjl_fit_85sq =  @PJL COMMENT EFIPJL SET ENGINEOUTPUTSIZE=SQ85
pjl_fit_sq85 =  @PJL COMMENT EFIPJL SET ENGINEOUTPUTSIZE=SQ85


# Standard options:
#
# CoverSheet:
#  cover_none = no insert
# Printed cover:
#  cover_printed=[ upper, lower, lcf, external_lcf, manual, env, post_fuser]
# Blank cover:
#  cover_blank=[ upper, lower, lcf, external_lcf, manual, env, post_fuser]
#
# CoverSheet:       Printer
# <NONE>-
#   @PJL COMMENT EFIPJL SET FRONTCOVER=OFF
# <*BLANK>
#   @PJL COMMENT EFIPJL SET FRONTCOVER=BLANK
#   @PJL COMMENT EFIPJL SET FIRSTPAGETRAY=*         # Upper         = 1
#                                                   # Lower         = 4
#                                                   # LCF           = 21
#                                                   # External LCF  = 22
#                                                   # Manual        = 6
#                                                   # Env           = 2
#                                                   # Post-Fuser    = 10

pjl_cover_none =     @PJL COMMENT EFIPJL SET FRONTCOVER=OFF
pjl_cover_blank =   [ xcover_\%s{cover_blank} ]
pjl_cover_printed = [ ycover_\%s{cover_printed} ]
pjl_xcover_upper =
  @PJL COMMENT EFIPJL SET FRONTCOVER=BLANK
  @PJL COMMENT EFIPJL SET FIRSTPAGETRAY=1
pjl_xcover_lower =
  @PJL COMMENT EFIPJL SET FRONTCOVER=BLANK
  @PJL COMMENT EFIPJL SET FIRSTPAGETRAY=4
pjl_xcover_lcf =
  @PJL COMMENT EFIPJL SET FRONTCOVER=BLANK
  @PJL COMMENT EFIPJL SET FIRSTPAGETRAY=21
pjl_xcover_external_lcf =
  @PJL COMMENT EFIPJL SET FRONTCOVER=BLANK
  @PJL COMMENT EFIPJL SET FIRSTPAGETRAY=22
pjl_xcover_manual =
  @PJL COMMENT EFIPJL SET FRONTCOVER=BLANK
  @PJL COMMENT EFIPJL SET FIRSTPAGETRAY=6
pjl_xcover_env =
  @PJL COMMENT EFIPJL SET FRONTCOVER=BLANK
  @PJL COMMENT EFIPJL SET FIRSTPAGETRAY=2
pjl_xcover_postfuser =
  @PJL COMMENT EFIPJL SET FRONTCOVER=BLANK
  @PJL COMMENT EFIPJL SET FIRSTPAGETRAY=10
pjl_ycover_upper =
  @PJL COMMENT EFIPJL SET FRONTCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET FIRSTPAGETRAY=1
pjl_ycover_lower =
  @PJL COMMENT EFIPJL SET FRONTCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET FIRSTPAGETRAY=4
pjl_ycover_lcf =
  @PJL COMMENT EFIPJL SET FRONTCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET FIRSTPAGETRAY=21
pjl_ycover_external_lcf =
  @PJL COMMENT EFIPJL SET FRONTCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET FIRSTPAGETRAY=22
pjl_ycover_manual =
  @PJL COMMENT EFIPJL SET FRONTCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET FIRSTPAGETRAY=6
pjl_ycover_env =
  @PJL COMMENT EFIPJL SET FRONTCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET FIRSTPAGETRAY=2
pjl_ycover_postfuser =
  @PJL COMMENT EFIPJL SET FRONTCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET FIRSTPAGETRAY=10


#
# Back CoverSheet:
#  backcover_none - no back cover
#  backcover_blank=   [ upper, lower, lcf, external_lcf, manual, env, post_fuser]
#  backcover_printed= [ upper, lower, lcf, external_lcf, manual, env, post_fuser]
#  backcover_inserter
#  backcover_inserter_reverse
#
pjl_backcover_none =  @PJL COMMENT EFIPJL SET BACKCOVER=OFF
pjl_backcover_blank =   [ xback_\%s{backcover_blank} ]
pjl_backcover_printed = [ yback_\%s{backcover_printed} ]
pjl_backcover_inserter =
  @PJL COMMENT EFIPJL SET BACKCOVER=BLANK
  @PJL COMMENT EFIPJL SET BACKCOVERTRAY=10
  @PJL COMMENT EFIPJL SET BACKCOVERFLIP=0
pjl_backcover_inserter_reverse =
  @PJL COMMENT EFIPJL SET BACKCOVER=BLANK
  @PJL COMMENT EFIPJL SET BACKCOVERTRAY=10
  @PJL COMMENT EFIPJL SET BACKCOVERFLIP=1
pjl_xback_upper =
  @PJL COMMENT EFIPJL SET BACKCOVER=BLANK
  @PJL COMMENT EFIPJL SET BACKCOVERTRAY=1
pjl_xback_lower =
  @PJL COMMENT EFIPJL SET BACKCOVER=BLANK
  @PJL COMMENT EFIPJL SET BACKCOVERTRAY=4
pjl_xback_lcf =
  @PJL COMMENT EFIPJL SET BACKCOVER=BLANK
  @PJL COMMENT EFIPJL SET BACKCOVERTRAY=21
pjl_xback_external_lcf =
  @PJL COMMENT EFIPJL SET BACKCOVER=BLANK
  @PJL COMMENT EFIPJL SET BACKCOVERTRAY=22
pjl_xback_manual =
  @PJL COMMENT EFIPJL SET BACKCOVER=BLANK
  @PJL COMMENT EFIPJL SET BACKCOVERTRAY=6
pjl_xback_env =
  @PJL COMMENT EFIPJL SET BACKCOVER=BLANK
  @PJL COMMENT EFIPJL SET BACKCOVERTRAY=2
pjl_xback_postfuser =
  @PJL COMMENT EFIPJL SET BACKCOVER=BLANK
  @PJL COMMENT EFIPJL SET BACKCOVERTRAY=10
pjl_yback_upper =
  @PJL COMMENT EFIPJL SET BACKCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET BACKCOVERTRAY=1
pjl_yback_lower =
  @PJL COMMENT EFIPJL SET BACKCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET BACKCOVERTRAY=4
pjl_yback_lcf =
  @PJL COMMENT EFIPJL SET BACKCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET BACKCOVERTRAY=21
pjl_yback_external_lcf =
  @PJL COMMENT EFIPJL SET BACKCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET BACKCOVERTRAY=22
pjl_yback_manual =
  @PJL COMMENT EFIPJL SET BACKCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET BACKCOVERTRAY=6
pjl_yback_env =
  @PJL COMMENT EFIPJL SET BACKCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET BACKCOVERTRAY=2
pjl_yback_postfuser =
  @PJL COMMENT EFIPJL SET BACKCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET BACKCOVERTRAY=10


#
# Inserts:
#  insert_off = no insert
# Printed insert:
#  insert_printed=[tray1, ... ] - input tray source
# Blank insert:
#  insert_blank=[tray1, ... ] - input tray source
#
pjl_insert_off = @PJL COMMENT SET INSERTSHEET=OFF
pjl_insert_printed = @PJL COMMENT EFIPJL SET INSERTSHEET=
pjl_insert_blank =   [ xinsert_\%s{insert_blank} ]
pjl_insert_printed = [ yinsert_\%s{insert_printed} ]
pjl_xinsert_upper =
  @PJL COMMENT EFIPJL SET INSERTCOVER=BLANK
  @PJL COMMENT EFIPJL SET INSERTCOVERTRAY=1
pjl_xinsert_lower =
  @PJL COMMENT EFIPJL SET INSERTCOVER=BLANK
  @PJL COMMENT EFIPJL SET INSERTCOVERTRAY=4
pjl_xinsert_lcf =
  @PJL COMMENT EFIPJL SET INSERTCOVER=BLANK
  @PJL COMMENT EFIPJL SET INSERTCOVERTRAY=21
pjl_xinsert_external_lcf =
  @PJL COMMENT EFIPJL SET INSERTCOVER=BLANK
  @PJL COMMENT EFIPJL SET INSERTCOVERTRAY=22
pjl_xinsert_manual =
  @PJL COMMENT EFIPJL SET INSERTCOVER=BLANK
  @PJL COMMENT EFIPJL SET INSERTCOVERTRAY=6
pjl_xinsert_env =
  @PJL COMMENT EFIPJL SET INSERTCOVER=BLANK
  @PJL COMMENT EFIPJL SET INSERTCOVERTRAY=2
pjl_xinsert_postfuser =
  @PJL COMMENT EFIPJL SET INSERTCOVER=BLANK
  @PJL COMMENT EFIPJL SET INSERTCOVERTRAY=10
pjl_yinsert_upper =
  @PJL COMMENT EFIPJL SET INSERTCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET INSERTCOVERTRAY=1
pjl_yinsert_lower =
  @PJL COMMENT EFIPJL SET INSERTCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET INSERTCOVERTRAY=4
pjl_yinsert_lcf =
  @PJL COMMENT EFIPJL SET INSERTCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET INSERTCOVERTRAY=21
pjl_yinsert_external_lcf =
  @PJL COMMENT EFIPJL SET INSERTCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET INSERTCOVERTRAY=22
pjl_yinsert_manual =
  @PJL COMMENT EFIPJL SET INSERTCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET INSERTCOVERTRAY=6
pjl_yinsert_env =
  @PJL COMMENT EFIPJL SET INSERTCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET INSERTCOVERTRAY=2
pjl_yinsert_postfuser =
  @PJL COMMENT EFIPJL SET INSERTCOVER=SIMPLEX
  @PJL COMMENT EFIPJL SET INSERTCOVERTRAY=10


#
# Paper selection:  paper=[...] or just use the paper name:
#  letter legal ...
#

pjl_letter = [ paper=letter ]
pjl_legal = [ paper=legal ]
pjl_ledger = [ paper=ledger ]
pjl_a3 = [ paper=a3 ]
pjl_a4 = [ paper=a4 ]
pjl_a5 = [ paper=a5 ]
pjl_b4 = [ paper=b4 ]
pjl_b5 = [ paper=b5 ]
pjl_8k = [ paper=8k ]
pjl_16k = [ paper=16k ]
pjl_folio = [ paper=folio ]
pjl_statement = [ paper=statement ]
pjl_computer = [ paper=computer ]
pjl_statement = [ paper=statement ]
pjl_computer = [ paper=computer ]
pjl_legal13 = [ paper=legal13 ]
pjl_13inchlg = [ paper=legal13 ]
pjl_sq85 = [ paper=sq85 ]
pjl_85sq = [ paper=sq85 ]


#
# Input Tray: Standard options
# manual, manualfeed
# 
# ADDED: (in) ucas, mcas, lcas, lcc, envelope = manualnr
#     upper = ucas, middle = mcas, lower = lcas, lcc, manualnr


pcl_manual =\033&l6H
pcl_manualfeed =\033&l6H

pcl_inauto=\033&l7H
pcl_inupper=\033&l1H
pcl_inlower=\033&l4H
pcl_inenvelope=\033&2H
pcl_inlcc=\033&21H
pcl_inelcc=\033&22H



#
# Output Tray is supported in Printer
#
#  outbin=[upper,lower]
#  outtray=[upper,lower]

pjl_outbin = [ outbin=\%s{outbin} ]
pjl_outtray = [ outbin=\%s{outtray} ]
pjl_outupper = [ outbin=upper ]
pjl_outlower = [ outbin=lower ]
pjl_outbin1 = [ outbin=upper ]
pjl_outbin2 = [ outbin=lower ]
pjl_outtray1 = [ outbin=upper ]
pjl_outtray2 = [ outbin=lower ]

#
# Resolution:
#  resolution=[600]
#
# image enhancement: image_enhnance=[on,off,light,medium,dark]
# 
pjl_image_enhance = [ ret=\%s{image_enhance} ]

# Toner Save:
# economode=[on,off]
#
pjl_economode = [ economode_\%s{economode} ]
pjl_economode_on = @PJL COMMENT EFIPJL SET TONERSAVE = GENERICON
pjl_economode_off = @PJL COMMENT EFIPJL SET TONERSAVE = GENERICOFF
#
# Staple is supported as a Finisher Option
#
# staple=[none, left, right, 2left, 2top, saddle ]
pjl_staple = [ staple_\%s{staple} ]
pjl_staple_none = @PJL COMMENT EFIPJL STAPLE=GENERICOFF
pjl_staple_left = 
  @PJL COMMENT EFIPJL SET STAPLE=ONEUPLEFT
  @PJL COMMENT EFIPJL SET SORTERMODE=SORT
  @PJL SET OUTBIN=UPPER
pjl_staple_right = 
  @PJL COMMENT EFIPJL SET STAPLE=ONEUPRIGHT
  @PJL COMMENT EFIPJL SET SORTERMODE=SORT
  @PJL SET OUTBIN=UPPER
pjl_staple_2left = 
  @PJL COMMENT EFIPJL SET STAPLE=TWOLEFT
  @PJL COMMENT EFIPJL SET SORTERMODE=SORT
  @PJL SET OUTBIN=UPPER
pjl_staple_2top = 
  @PJL COMMENT EFIPJL SET STAPLE=TWOUP
  @PJL COMMENT EFIPJL SET SORTERMODE=SORT
  @PJL SET OUTBIN=UPPER
pjl_staple_saddle = 
  @PJL SET DUPLEX=ON
  @PJL SET BINDING=SHORTEDGE
  @PJL COMMENT EFIPJL SET STAPLE=SADDLESTITCH
  @PJL COMMENT EFIPJL SET SORTERMODE=SORT
  @PJL SET OUTBIN=UPPER

#
# Hole Punch is supported as a Finisher Option
# punch=[none,left,upper]
#
pjl_punch = [ punch_\%s{punch} ]
pjl_punch_none =
  @PJL SET PUNCH=NONE
pjl_punch_left =
  @PJL COMMENT EFIPJL SET PUNCH = LEFT
  @PJL SET OUTBIN=UPPER
pjl_punch_upper =
  @PJL COMMENT EFIPJL SET PUNCH = TOP
  @PJL SET OUTBIN=UPPER


#
# Account Number:
#  accountnumber=[value]
pjl_accountnumber = 
  @PJL COMMENT EFIPJL SET UNAME = "??"
  @PJL COMMENT EFIPJL SET DEPARTMENTCODE = "\%s{accountnumber}"



# Job Name is supported
# jobname=[name]
pjl_jobname= @PJL COMMENT EFIPJL SET DOCNAME="\%s{jobname}"
#
# User Name ( Owner ) is supported
# username=[name]
pjl_username= @PJL COMMENT EFIPJL SET USERNAME="\%s{username}"


# OPTIONS 

pjl_user_opts = [
 collate collate_on collate_off book tablet sduplex simplex lduplex
 simplex duplex duplexshort fit fit_letter fit_legal fit_ledger
 fit_a3 fit_a4 fit_a5 fit_b4 fit_b5 fit_8k fit_16k fit_folio fit_statement
 fit_computer fit_13inchlg fit_legal13 fit_85sq fit_sq85 cover_none
 cover_blank cover_printed xcover_upper xcover_lower xcover_lcf
 xcover_external_lcf xcover_manual xcover_env xcover_postfuser
 ycover_upper ycover_lower ycover_lcf ycover_external_lcf ycover_manual
 ycover_env ycover_postfuser backcover_none backcover_blank backcover_printed
 backcover_inserter backcover_inserter_reverse xback_upper xback_lower
 xback_lcf xback_external_lcf xback_manual xback_env xback_postfuser
 yback_upper yback_lower yback_lcf yback_external_lcf yback_manual
 yback_env yback_postfuser insert_off insert_printed insert_blank
 insert_printed xinsert_upper xinsert_lower xinsert_lcf xinsert_external_lcf
 xinsert_manual xinsert_env xinsert_postfuser yinsert_upper yinsert_lower
 yinsert_lcf yinsert_external_lcf yinsert_manual yinsert_env yinsert_postfuser
 letter legal ledger a3 a4 a5 b4 b5 8k 16k folio statement computer
 statement computer legal13 13inchlg sq85 85sq outbin outtray
 outupper outlower outbin1 outbin2 outtray1 outtray2 image_enhance
 economode economode_on economode_off staple staple_none staple_left
 staple_right staple_2left staple_2top staple_saddle punch punch_none
 punch_left punch_upper accountnumber jobname username copies
 binding sortmode paper outbin ret punch
 ]
pcl_user_opts = [
 manual manualfeed inauto inupper inlower inenvelope inlcc inelcc

 ]
# PRINTER % - Sharp %, Fiery651 Family, PS and PCL, uses SNMP for status and pagecount
[ ar-651 ar-810 ]
tc=fiery651
##### This is the end of the standard ifhp.conf file.
##### Add your local files after this
##### If you want to override some entries, simply change the names to
##### something different, i.e. hp4 hp4.old
##### Here is a script to do this and then append your local file to the
##### end of the ifhp.conf file:
#####
##### #!/bin/sh
##### for i in $* ; do
#####   perl -spi.bak -e 's/ $i / $i.orig /g' ifhp.conf
##### done
##### 
##### sed -n -e '1,/XXX END XXX/p' ifhp.conf >ifhp.conf.new
##### sed '1,/XXX END XXX/d' ifhp.old >> ifhp.conf.new
#####
##### You can probably improve on this.
#####
#### XXX END XXX #####
